<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//


define('SCHLIX_INSTALLER','1.x');
error_reporting(E_ERROR | E_CORE_ERROR | E_COMPILE_ERROR  | E_PARSE | E_WARNING );
@ini_set('display_errors',1);

define ('INSTALLER_ROOT_PATH',str_replace('\\', '/', realpath(str_replace('\\', '/', dirname(__FILE__)).'/..')));

include(INSTALLER_ROOT_PATH.'/system/libs/schlix/db.inc.php');
include(INSTALLER_ROOT_PATH.'/system/libs/schlix/schlix_util.inc.php');
include(INSTALLER_ROOT_PATH.'/system/libs/schlix/util.inc.php');
include(INSTALLER_ROOT_PATH.'/system/libs/schlix/html.inc.php');
include(INSTALLER_ROOT_PATH.'/system/libs/schlix/app_interface.php');
include(INSTALLER_ROOT_PATH.'/system/libs/schlix/app_basic.class.php');
include ('schlixinstaller.class.php');

//_________________________________________________________//
function RunInstaller()
{
    $installer = new schlixInstaller();
    if (fpost_int('auto_install') === 9)
    {
        $installer->automatedInstall(
            fpost_string('agree_term'), 
            fpost_string('db_host'), 
            fpost_string('db_database'), 
            fpost_string('db_username'), 
            fpost_string('db_password'), 
            
            fpost_string('site_domain_name'), 
            fpost_string('site_use_https'), 
            fpost_string('site_httpbase'),
            fpost_string('site_name'), 
            fpost_string('site_root_file_path'), 
            fpost_string('site_id'), 
            
            fpost_string('email_from'), 
            fpost_string('email_address'), 
            
            fpost_string('admin_username'), 
            fpost_string('admin_password'), 
            
            fpost_bool('sampledata'), 
            
            fpost_bool('use_wildcard'), 
            fpost_string('timezone'),
            fpost_bool('use_www')  // new - 2017 July 3
            
                
                );
        
    } else
    {
        
        global $_html_title;

        ob_start();
        $installer->Run($_GET);
            $__html_output = ob_get_contents();
            ob_end_clean();

        if (!is_ajax_request())
            include('master.template.php');
        else
            echo $__html_output;
    }
}
//_________________________________________________________//
    // If another script includes this PHP file and defines SCHLIX_AUTO_INSTALL_CMD_INCLUDE, 
    // then it won't run the installer and let the installer performs the automation
    // this excludes auto install method where it uses HTTP POST

    if (!defined('SCHLIX_AUTO_INSTALL_CMD_INCLUDE') )
    {
        RunInstaller();
    } 

//_________________________________________________________//
 