<?php
if (!defined('SCHLIX_VERSION')) die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

$copyright = ___('Copyright').' &copy; '.'SCHLIX Web Inc';
?>
<?php global $CurrentUser, $SchlixSessionHandler, $HTMLHeader; ?>
<?php //$app_js_script = $this->getAjaxControllerScript();  ?>
<?php $this->JAVASCRIPT('admin.admin.js') ?>


<schlix-data-explorer-blank id="schlix-admin-admin" class="schlix-data-editor" data-app="<?= $this->app_name ?>" data-main-app-description="<?= ___('Main') ?>"  data-schlix-controller="SCHLIX.CMS.AdminAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="id" data-cancel-warning="true">
    
        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>
                    <li><a href="#" schlix-id="btn-global-config" data-schlix-command="global-config" data-schlix-app-action="editglobalconfig"  class="schlix-command-button"><i class="fa fa-laptop"></i> <?= ___('Global System Configuration') ?></a></li>                    
                </ul>
             </div><!-- /.navbar-collapse -->
        </nav>    
    
    <section class="content"> 
        <!-- check latest version -->
        <?php if ($latest_version): ?>
        <div class="row">
            <div class="col-sm-12">
                <?php $this->viewBox('v'.$latest_version['version'],___('A new update for SCHLIX CMS has been released on').' '.date('Y-m-d', strtotime($latest_version['date_created'])),$this->createFriendlyUrl("app=schlixupdater"),'bg-yellow-gradient','fa fa-laptop'); ?>
            </div>
        </div>
        <?php endif ?>
          <!-- Small boxes (Stat box) -->
          <div class="row">
            <div class="col-lg-3 col-xs-6">
               <?php $this->viewBox($SchlixSessionHandler->getCountWithinSeconds(120),___('Active Sessions'),$this->createFriendlyUrl("active-sessions"),'bg-orange','fa fa-desktop'); ?>
            </div><!-- ./col -->
            <div class="col-lg-3 col-xs-6">
               <?php $this->viewBox($CurrentUser->getRegisteredUsersCount(),___('Registered users'),$this->createFriendlyUrl("app=users"),'bg-purple-gradient','fa fa-user'); ?>
            </div><!-- ./col -->
            <div class="col-lg-3 col-xs-6">
               <?php $this->viewBox($SchlixSessionHandler->getUniqueIPAddressWithinDay(1),___('Unique IP addresses today'),$this->createFriendlyUrl("active-sessions"),'bg-light-blue-gradient','fa fa-map-pin'); ?>
            </div><!-- ./col -->
            <div class="col-lg-3 col-xs-6">
               <?php $this->viewBox($this->getCountOfIncomingMessagesWithinDays(30),___('New messages within 30 days'),$this->createFriendlyUrl("app=contacts"),'bg-green-gradient','fa fa-envelope'); ?>
            </div><!-- ./col -->
          </div><!-- /.row -->
          <!-- Main row -->
          <div class="row">
            <!-- Left col -->
            <section class="col-lg-7 ">

              <!-- Latest News -->
              <?= $this->viewIncomingMessages(); ?>

              <p class="alert bg-black"><i class="far fa-question-circle"></i> 
               <?= sprintf(___('For community support, please visit %s to ask questions, report bugs, etc'), 
                   \__HTML::A(___('our forum'), 'https://www.schlix.com/forum/',array('target' => '_blank', 'rel' => 'nofollow') )) ?> </p>
            </section><!-- /.Left col -->
            <!-- right col (We are only adding the ID to make the widgets sortable)-->
            <section class="col-lg-5 ">

              <!-- Latest News -->
              <div class="nav-tabs-custom" id="tabs-whatsnew">
                <!-- Tabs within a box -->
                <ul class="nav nav-tabs pull-right">
                  
                  <li><a href="#schlix_news_themes" data-toggle="tab"><i class="fas fa-tv"></i> <?= ___('Themes') ?></a></li>
                  <li><a href="#schlix_news_ext" data-toggle="tab"><i class="fa fa-puzzle-piece"></i> <?= ___('Extensions') ?></a></li>
                  <li class="active"><a href="#schlix_news_main" data-toggle="tab"><i class="far fa-newspaper"></i> <?= ___('News') ?></a></li>
                  <li class="pull-left header" id="whatsnew_schlix"><img src="https://logo.schlix.com/images/schlix_tiny_icon.png" alt="<?= ___('SCHLIX News') ?>" id="schlix_news_logo" onerror="this.style.display='none';"/> </i> <?= ___('What\'s New?') ?></li>
                </ul>
                <div class="tab-content no-padding">
                  <!-- Morris chart - Sales -->
                  
                  <div class="tab-pane" id="schlix_news_themes" style="position: relative"></div>
                  <div class="tab-pane" id="schlix_news_ext" style="position: relative"></div>
                  <div class="tab-pane active" id="schlix_news_main" style="position: relative"></div>
                </div>
              </div><!-- /.nav-tabs-custom -->
              
              <!-- /.box -->              
              <!-- System Info -->
              <div class="box box-solid bg-gray">
                <div class="box-header">
                  
                  <h3 class="box-title"><i class="fa fa-desktop "></i> <?= ___('System Info') ?></h3>
                 </div><!-- /.box-header -->
                <div class="box-body no-padding">
                    <?php $this->viewSystemInfo(); ?>
                </div><!-- /.box-body -->
              </div><!-- /.box -->

              
            </section><!-- right col -->
          </div><!-- /.row (main row) -->

        </section><!-- /.content -->
</schlix-data-explorer-blank>        