<?php
if (!defined('SCHLIX_VERSION')) die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
 

/* 
 * Copyright (C) 2015 SCHLIX WEB INC.
 *
 * This software is licensed under SHARED SOURCE; you can redistribute
 * but forking or creating a derivative is prohibited 
 *
 */
global $SystemDB, $SystemConfig, $SchlixSupportedLanguages;
$main_frontend_app = $SystemConfig->get('system', 'str_main_app');
if (empty($main_frontend_app))
    $main_frontend_app = 'html'.' ('.___('Web Pages').')';
$current_language = SCHLIX_DEFAULT_LANGUAGE == 'en_us' ? ___('Default (US English)') :
    ($SchlixSupportedLanguages[SCHLIX_DEFAULT_LANGUAGE] ? $SchlixSupportedLanguages[SCHLIX_DEFAULT_LANGUAGE] : SCHLIX_DEFAULT_LANGUAGE);

if (ini_get('opcache.enable'))
{
    $opcache_icon_colour = 'lime';
    $opcache_icon = 'fa fa-check';
    $opcache_status = ___('Yes');
    $opcache_advice = ___('Faster performance');
} else
{
    $opcache_icon_colour = 'red';
    $opcache_icon = 'fa fa-times';
    $opcache_status = ___('No');
    $opcache_advice = ___('Slower performance');
}
?>
<table class="table table-responsive table-hover ">
    <tr>
        <td><?= ___('SCHLIX CMS version') ?></td>
        <td><?= SCHLIX_VERSION ?></td>
    </tr>
    <tr>
        <td><?= ___('Language') ?></td>
        <td><?= $current_language ?> <a style="float:right" class="btn btn-primary btn-xs schlix-command-button" data-schlix-command="global-config" data-schlix-app-action="editglobalconfig"  > <i class="far fa-edit"></i> <?= ___('Change') ?></a></td>
    </tr>
    
    
    <tr>
        <td><?= ___('Front page application') ?></td>
        <td><?= $main_frontend_app ?> <a style="float:right" class="btn btn-primary btn-xs schlix-command-button" data-schlix-command="global-config" data-schlix-app-action="editglobalconfig"  > <i class="far fa-edit"></i> <?= ___('Change') ?></a></td>
    </tr>
    
    
    <tr>
        <td><?= ___('System') ?></td>
        <td><?= @php_uname("s") . ' ' . @php_uname("r") . ' ' . @php_uname("m"); ?></td>
    </tr>
    
    <tr>
        <td><?= ___('Web Server') ?></td>
        <td><?=  @php_uname("n").' ['.$_SERVER['SERVER_ADDR'].'] - '.$_SERVER['SERVER_SOFTWARE'] ?></td>
    </tr>
    
    <tr>
        <td>PHP</td>
        <td><?=  @phpversion() . ' - ' . @php_sapi_name(). ' - Zend v'.zend_version(); ?></td>
    </tr>
    
    <tr>
        <td>PHP <?= ___('Opcache Enabled') ?></td>
        <td><i class="<?= $opcache_icon ?>" style="color: <?= $opcache_icon_colour ?>"></i> <?= $opcache_status ?> - <?= $opcache_advice ?> </td>
    </tr>      
    
    <tr>
        <td><?= ___('Max upload size') ?></td>
        <td><?= number_format( $this->getMaximumFileUploadSize() / (1024.0 * 1024), 2) . 'M' ?></td>
    </tr>   
    <tr>
        <td><?= ___('Script owner') ?></td>
        <td><?= get_current_user(). ' ('.getmyuid().')' ?></td>
    </tr>        
    
    <tr>
        <td><?= ___('Script max execution timeout') ?></td>
        <td><?= ini_get('max_execution_time') ?> <?= ___('seconds') ?></td>
    </tr>        
    
    <tr>
        <td>MySQL</td>
        <td><?= $SystemDB->server_info  ?></td>
    </tr>        
    <tr>
        <td><?= ___('Script Memory Usage') ?></td>
        <td><?= number_format(memory_get_usage(TRUE) / (1024.0 * 1024), 2) . 'M' ?> / <?= (($this->convert_ini_php_memsize(ini_get('memory_limit')) / (1024.0 * 1024))) . 'M'; ?> max</td>
    </tr>      
    <tr>
        <td><?= ___('Your IP Address') ?></td>
        <td><?= get_user_real_ip_address() ?> </td>
    </tr>      
    
    
</table> 