<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
	if (!defined('SCHLIX_VERSION')) die('No Access');
 ?>

<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-blank id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.ApplicationsAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">
 
        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>
                    <li><a href="#" schlix-id="btn-install" data-schlix-command="install" class="schlix-command-button"><i class="fa fa-upload"></i> <?= ___('Install package') ?></a></li>      
                </ul>

                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
 
        <!-- Begin Data Viewer -->
        <div class="row" schlix-id="main-data-container">
                <?php $apps = $this->app->getAllItems('*','show_in_app_menu = 1'); ?>
                <?php foreach ($apps as $plugin_app): ?>
                    <?php $css_class = time_difference($plugin_app['date_modified'], get_current_datetime()) < 100 ? 'schlix-app-new' : 'schlix-app-old'; // indicate old/newly installed app ?>
                    <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2" >
                         <div class="text-center <?= $css_class ?>" >
                             <a href="<?= SCHLIX_SITE_HTTPBASE.'/admin/app/'.$plugin_app['title'] ?>">
                                 <img src="<?= \App\Applications::getApplicationIcon($plugin_app['title']) ?>" border="0" alt="<?= ___h($plugin_app['title']) ?>" /><br />
                                <?= ___h($plugin_app['title']) ?>
                                 
                             </a>
                         </div>
                    </div>            
                <?php endforeach; ?>
                
        </div>
        <!-- End Data Viewer -->
        </schlix-data-explorer-blank>
</div>

<!-- Install Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-package-installer" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.ApplicationsAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___('Install a package') ?></div>
    <div class="panel-body">
        <div id="package-installer-container">
            <!-- form -->
                <div class="alert alert-warning ">
                    <p><?= ___('Please ensure that the application you are about to upload is from a trusted source') ?>.</p>
                    <p><?= ___('SCHLIX is not responsible for any damage/security vulnerability/errors caused by 3rd party plugins') ?>.</p>
                    <p><?= ___('Maximum file size').': '.' '.round(get_real_max_upload_size()/(1024.0*1024.0), 2).' '.___('Mb') ?></p>
                </div>
                <form method="post" id="frm_install" class="schlix-form-install" action="/admin/app/<?= $app ?>?action=install" data-action="action=install" enctype="multipart/form-data">
                    <input type="hidden" id="__file_size" />
                    <input type="hidden" id="__max_file_size" name="MAX_FILE_SIZE" value="<?= get_real_max_upload_size() ?>" />                     
                    
                    <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___('Select a ZIP file') ?>
                       <input id="zipfileupload" class="form-control" type="file" name="zipfileupload" accept=".zip" required="required" />
                   </label>
                    <div class="checkbox">
                        <input type="checkbox" name="install_sample_data" id="install_sample_data" value="1" /><label class="control-label" id="label_install_sample_data" for="install_sample_data"><?= ___('Install sample data if available') ?></label>
                    </div>
                    <span id="zip_filename"></span>
                    <span id="zip_filesize"></span>
                    <hr />
                    <div class="clearfix"></div>

                    <button type="submit" name="install" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-upload"></i>&nbsp;<?= ___('Go') ?></button>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>
