<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

namespace App;

class BannedIP_Admin extends \SCHLIX\cmsAdmin_List {

//_________________________________________________________________________//    
    public function __construct() {
        // Data: Item
        parent::__construct(true, []);
        $this->setItemFieldNamesForAjaxListing('id', 'ip_address', 'reason', 'date_created', 'date_expiry');
    }


    //_________________________________________________________________________//
    public function createNewBan() {
        $banning_myself = (get_user_real_ip_address() == fpost_string('ip_address'));
        if ($banning_myself) {
            return ajax_reply(100, 'Cannot ban yourself!');
        } else {
            $result = $this->app->banIP(fpost_string('ip_address'), fpost_string('reason')); // no need to check sql injection here - already in the app
            return ($result == true) ? ajax_reply(200, 'OK') : ajax_reply(100, 'Cannot ban this IP address - invalid IPv4/IPv6/hostname');
        }
    }

    //_________________________________________________________________________//
    public function Run() {
        switch (fget_alphanumeric('action')) {
            case 'ban':return ajax_echo($this->createNewBan());
                break;
            default:return parent::Run();
        }
    }

}

?>