<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $SystemConfig;

$header_title = ($id == 'new') ? ___('New Item'): ___('Edit Item').' #'.___h($id);
$categories = $this->app->getAllCategories();

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.$header_title ?>"  data-schlix-controller="SCHLIX.CMS.BlocksAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <form method="post" name="block_item_editor" id="frm_item_editor" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" autocomplete="off" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="ob" value="<?= ___h($item['original_block']) ?>" />
            <div class="row">
                <div class="col-md-8">
                     
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___('Block Name') ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" /> 
                             
                            <!-- Instance Of -->
                            <span class="input-group-addon">
                                 <?= ___('instance of'); ?> <strong><?= ___h($item['original_block']) ?></strong>
                            </span>

                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <div class="form-group">
                        <label><?= ___('Located in category') ?>
                            <select id="category_id" name="category_id" class="form-control">
                                <?php foreach ($categories as $category): ?>
                                    <option value="<?= ___h($category['cid']) ?>" <?= $item['category_id'] == $category['cid'] ? 'selected="selected"' : '' ?> ><?= ___h($category['title']) ?></option>
                                <?php endforeach ?>
                            </select>
                        </label>

                    </div>

                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        

            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- end sidebar -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <div id="schlix_dualpane_editor_content">
                    <ul class="schlixui-tabheader">
                        <li  class="selected"><a href="#tab1"><em><?= ___('Block Configuration') ?></em></a></li>
                        <li><a href="#tab2"><em><?= ___('Visibility') ?></em></a></li>
                        <li><a href="#tab3"><em><?= ___('Permissions') ?></em></a></li>
                         <li><a href="#tab4"><em><?= ___('About') ?></em></a></li>
                    </ul>
                    <div class="schlixui-tabcontent">
                        <!-- tab -->
                        <div id="tab1">

                            <input type="hidden" name="display_in_menu_workaround" id="display_in_menu_workaround" value="<?= $item['display_in_menu']; ?>" />
                            <div class="schlix_editor_main">
                                <?= \SCHLIX\cmsConfigRegistry::loadConfigFile('blocks', $item, $item['original_block'], $item['title']) ?> 
                                <br />
                                <br />
                            </div>
                        </div>
                        <!-- tab -->
                        <div id="tab2">
                            <p><?= ___('Please choose where you want to display this block') ?>:</p>
                            <?php
                            $checked1 = ($item['display_in_menu'] == 1);
                            $checked2 = ($item['display_in_menu'] == 2);
                            ?>
                            <div class="radio">
                            <label><?= \INPUT::RADIO('display_in_menu', 1, $checked1, array('id' => 'menu_select_everywhere')); ?><?= ___('Every page (default)'); ?></label>
                            </div>
                            <div class="radio">
                            <label><?= \INPUT::RADIO('display_in_menu', 2, $checked2, array('id' => 'menu_select_some')); ?><?= ___('Only on specified pages:'); ?></label>
                            </div>
                            <br />
                            <div style="margin-left:1em">
                                <div id="schlix_multiple_categories_checkboxes">
                                    <?php include('edit.item.menu.template.php'); ?>
                                </div>
                            </div>
                        </div>
                        <!-- tab -->
                        <div id="tab3">
                            <br />
                            <fieldset id="fieldset_permission_read">
                                <legend><?= ___('Who can see this block?'); ?></legend>
                                    <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                            </fieldset>
                            <br />

                        </div>
                        <!-- tab -->
                            <div id="tab4">
                                <?php include('edit.item.about.template.php'); ?>
                            </div>
                        <!-- end tabs -->
                    </div>
                </div>
        </form>
    </div>
    </<schlix-data-editor>