<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

$all_block_types = $this->getAllBlockTypes();

?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-categorized-list id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.BlocksAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    
                    
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-cube"></i> <?= ___('New Block') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            <?php foreach ($all_block_types as $block_type): ?>
                            <?php if ($block_type['original_block']): ?>
                            <li><a href="#" schlix-id="btn-new-block-item" data-schlix-command="new-block-item" data-block-type="<?= ___h($block_type['original_block']) ?>" data-schlix-app-action="newitem&blocktype=<?= $block_type['original_block'] ?>" class="schlix-command-button"><i class="fa fa-cube"></i>  <?= ___h($block_type['original_block']) ?></a></li>
                            <?php endif ?>
                            <?php endforeach ?>
                        </ul>
                    </li>
                    <li><a href="#" schlix-id="btn-new-category" data-schlix-command="new-category" class="schlix-command-button"><i class="far fa-folder"></i> <?= ___('New Category') ?></a></li>
                    <li><a href="#" schlix-id="btn-cut" data-schlix-command="cut" class="schlix-command-button require-selected-items"><i class="fa fa-cut"></i> <?= ___('Cut') ?></a></li>
                    <li><a href="#" schlix-id="btn-copy" data-schlix-command="copy" class="schlix-command-button require-selected-items"><i class="fa fa-copy"></i> <?= ___('Copy') ?></a></li>
                    <li><a href="#" schlix-id="btn-paste" data-schlix-command="paste" class="schlix-command-button require-clipboard-items"><i class="far fa-clipboard"></i> <?= ___('Paste') ?></a></li>
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh'); ?></a></li>
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>
                    <li><a href="#" schlix-id="btn-install" data-schlix-command="install" class="schlix-command-button"><i class="fa fa-upload"></i> <?= ___('Install package') ?></a></li>      
                </ul>

                <div class="col-sm-3 col-md-3 schlix-toolbar-search-container">
                    <form schlix-id="search-form" class="navbar-form" role="search">
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search...') ?>">
                        </div>                    
                    </form>
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <!-- Left Column -->
            <div class="col-sm-2 col-xs-2 col-md-3 col-lg-3 left-column" schlix-id="left-column" >
                <schlix-treeview schlix-id="datanav-tree" >            
                </schlix-treeview>
            </div>
            <!-- Right Column -->
            <div class="col-sm-9 col-xs-2 col-md-9 col-lg-9 right-column" schlix-id="right-column" >
                <schlix-data-table schlix-id="datanav-datatable">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false" />
                        <schlix-data-table-column key="title" sortable="true" label="<?= ___('Title') ?>" formatter="SCHLIX.CMS.BlocksAdmin.formatDataTableCell_DefaultTitleColumn" />
                        <schlix-data-table-column key="original_block" sortable="true" label= "<?= ___('Original Block') ?>" formatter="string" />

                        <schlix-data-table-column key="this.field_category_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="this.field_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="status" label="<?= ___('Status') ?>" sortable="true" formatter="this.formatDataTableCell_Status" editor="new SCHLIX.UI.DropdownCellEditor({dropdownOptions:[{value:0, label: 'Inactive'}, {value:1, label: 'Active'} ],disableBtns:false})" />

                        <schlix-data-table-column key="sort_order" label="<?= ___('Sort Order') ?>" sortable="true" formatter="number" editor="new SCHLIX.UI.TextboxCellEditor({validator:SCHLIX.UI.DataTable.validateNumber,disableBtns:false})" />

                        <schlix-data-table-column key="date_modified" label='<?= ___('Date Modified') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor= "new SCHLIX.CMS.DateCellEditor({disableBtns:false})" />
                    </schlix-data-table-columns>
                </schlix-data-table>
                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-categorized-list>
</div>



<!-- New Folder Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-category-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.BlocksAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header">
        <span id="text-dlg-category-new" style="display:none"><?= ___("New Block Category"); ?></span>
        <span id="text-dlg-category-edit"  style="display:none"><?= ___("Edit Block Category"); ?></span>
    </div>
    <div class="panel-body">
        <div id="container-newcategory">
            <!-- form -->

                
                <form method="post" id="frm-category" class="schlix-dlg-form" data-action="action=ajaxsavecategory" enctype="multipart/form-data">
                    <?= \INPUT::CSRF() ?>
                    <input type="hidden" name="cid" id="dlg-category-id" />
                    <input type="hidden" name="status" value="1" />
                    <label><?= ___('Category Name') ?> <input type="text" class="form-control" name="title" id="dlg-category-title" required="required" maxlength="63" 
                                              oninvalid="setCustomValidity('Please enter a valid category name')"  onchange="setCustomValidity('')" required="required" /></label>
                    <br />

                    <button type="submit" name="create" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-check"></i>&nbsp;<?= ___('OK') ?></button>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>


<!-- Install Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-package-installer" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.BlocksAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("Install a package"); ?></div>
    <div class="panel-body">
        <div id="package-installer-container">
            <!-- form -->
                <div class="alert alert-warning ">
                    <p><?= ___("Please ensure that the block you are about to upload is from a trusted source."); ?></p>
                    <p><?= ___("SCHLIX is not responsible for any damage/security vulnerability/errors caused by 3rd party plugins"); ?></p>
                    <p><?= ___('Maximum file size').': '.' '.round(get_real_max_upload_size()/(1024.0*1024.0), 2).' '.___('Mb') ?></p>                    
                </div>
                <form method="post" id="frm_install" class="schlix-form-install" action="/admin/app/<?= $app ?>?action=install" data-action="action=install" enctype="multipart/form-data">
                    <input type="hidden" id="__file_size" />
                    <input type="hidden" id="__max_file_size" name="MAX_FILE_SIZE" value="<?= get_real_max_upload_size() ?>" />                     
                    
                    <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select a ZIP file") ?>
                       <input id="zipfileupload" class="form-control" type="file" name="zipfileupload" accept=".zip" required="required" />
                   </label>
                    
                    <span id="zip_filename"></span>
                    <span id="zip_filesize"></span>
                    <hr />
                    <div class="clearfix"></div>

                    <button type="submit" name="install" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-upload"></i>&nbsp;<?= ___('Go') ?></button>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>