<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

?>
<?php global $SystemConfig, $CurrentUser; ?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ' ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.BlogAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">

    <!-- end sidebar -->
    <div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult() 
            ///////////////////////////////
        ?>
        
        <form method="post" action="<?= $this->createFriendlyAdminURL("action=saveconfig") ?>" autocomplete="off" >
            <div class="row">
                <div class="col-md-8">
                    <!-- -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        

            <?= \INPUT::CSRF() ?>
            <!-- begin tabs -->
            <div class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li  class="selected"><a href="#tab_general"><em><?= ___('General') ?></em></a></li>                
                    <li><a href="#tab_rss"><em><?= ___('RSS') ?></em></a></li>
                    <li><a href="#tab_image_size"><em><?= ___('Image Size and Quality') ?></em></a></li>
                    <li><a href="#tab_main_opt"><em><?= ___('Default Main page Options') ?></em></a></li>
                    <li><a href="#tab_category_opt"><em><?= ___('Default Category Options') ?></em></a></li>
                    <li><a href="#tab_item_opt"><em><?= ___('Default Item Options') ?></em></a></li>                    
                    <li><a href="#tab_permissions"><em><?= ___('Permissions') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id ="tab_general">
                        <schlix-config:app_alias class="form-control" config-default-value="<?= strtolower($this->schlix_master_class) ?>" />
                        <schlix-config:app_description class="form-control" />
                        <schlix-config:textbox config-key='str_meta_keywords' label='<?= ___('Default Meta Keywords') ?>' class="form-control" config-fonticon="fa fa-hashtag" />
                        <schlix-config:textbox config-key='str_meta_description' label='<?=  ___('Default Meta Description') ?>' class="form-control" config-fonticon="fa fa-hashtag" />
                        <schlix-config:checkbox config-key='bool_convert_external_images' label='<?=  ___('Fetch external images for copy and paste operation') ?>' />
                        <schlix-config:checkbox config-key='bool_enable_pageview_stats' label='<?=  ___('Enable page impression stats') ?>' />
                    </div>
                    <!-- tab -->
                    <div id="tab_rss">
                        <div class="alert alert-info">
                            <?php
                                $rss_url = $this->app->createFriendlyURL("action=rss");
                                $jsonfeed_url = $this->app->createFriendlyURL("action=jsonfeed");
                            ?>
                            <?= ___('RSS URL') ?>: <a href="<?= $rss_url ?>" target="_blank"><?= SCHLIX_SITE_URL.'/'.$rss_url ?></a><br />
                            <?= ___('JSON Feed URL') ?>: <a href="<?= $jsonfeed_url ?>" target="_blank"><?= SCHLIX_SITE_URL.'/'.$jsonfeed_url ?></a>
                        </div>
                        <schlix-config:textbox config-key='str_rss_title' label="<?= ___('RSS/JSON Feed Title') ?>" class="form-control" />
                        <schlix-config:textbox config-key='str_author_name' label="<?= ___('Blog Author') ?>" class="form-control" />
                        <schlix-config:textbox config-key='str_author_email' label="<?= ___('Blog Author\'s E-mail Address') ?>" class="form-control" />
                        <schlix-config:textbox config-key='str_description' label="<?= ___('Blog Description') ?>" class="form-control" />
                        <schlix-config:integerbox config-key='int_max_entries_in_rss' config-default-value="20" min="1" max="200"  label='<?= ___('Maximum number of entries to be displayed in the RSS file') ?>' class="form-control" />                        

                    </div>
                    <!-- tab -->
                    <div id="tab_image_size">
                        <p><?= sprintf(___('When you upload intro image, it will be resized and uploaded to %s/media/articles'), CURRENT_SUBSITE_URL_PATH) ?></p>
                        <fieldset><legend><?= ___('Small Dimension') ?></legend>
                            <div class="form-inline">
                                <schlix-config:integerbox min="16" max="512"  config-key='int_small_width' required="required" class="form-control" style="width:100px" config-default-value="256" required="required" />                            x                            
                            <schlix-config:integerbox min="16" max="512" config-key='int_small_height' required="required" class="form-control" style="width:100px" config-default-value="256" required="required" />
                            <?= ___('pixels') ?>. <?= ___('(If you\'re not sure, you can just enter 256 x 256)') ?>
                            </div>
                        </fieldset>
                        
                        <fieldset><legend><?= ___('Medium Image Dimension') ?></legend>
                            <div class="form-inline">
                            <schlix-config:integerbox min="50" max="4096" config-key='int_medium_width' required="required" class="form-control" style="width:100px" config-default-value="512" required="required" />
                            x                            
                            <schlix-config:integerbox min="50" max="4096" config-key='int_medium_height' required="required" class="form-control" style="width:100px" config-default-value="512" required="required" />
                            <?= ___('pixels') ?>.  <?= ___('(If you\'re not sure, you can just enter 512 x 512)') ?>
                            </div>
                        </fieldset>
                        
                        <fieldset><legend><?= ___('Large Image Dimension') ?></legend>
                            <div class="form-inline">
                            <schlix-config:integerbox min="100" max="4096" config-key='int_large_width' required="required" class="form-control" style="width:100px" config-default-value="1920" required="required" />
                            x                            
                            <schlix-config:integerbox min="100" max="4096" config-key='int_large_height' required="required" class="form-control" style="width:100px" config-default-value="1920" required="required" />
                            <?= ___('pixels') ?>.  <?= ___('(If you\'re not sure, you can just enter 1024 x 1024)') ?>
                            </div>
                        </fieldset>
                        <label><?= ___('Set JPEG image quality (10-100)') ?>
                            <schlix-config:integerbox min="10" max="100" config-key='int_image_quality' required="required" class="form-control" style="width:100px" config-default-value="90" required="required" />
                        </label>
                    </div>
                    <!-- tab -->
                    <div id="tab_main_opt">
                        <div class="row">
                            <div class="col-md-6">
                        
                                <schlix-config:textbox config-key='str_mainpage_title' label='<?= ___('Main page title') ?>' class="form-control" />                        
                                <schlix-config:textarea config-key='str_mainpage_text' label="<?= ___('Main page introduction text') ?>" class='wysiwyg' />             
                            </div>
                            <!-- col -->
                            <div class="col-md-6">
                    <schlix-config:integerbox config-key='int_mainpage_items_per_page' config-default-value="10" label='<?= ___('Default maximum mumber of items to be displayed per page') ?>' class="form-control" />
                    <schlix-config:meta_options config-key='array_mainpage_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getMainpageMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultMainpageMetaOptionKeys()) ?>" item-per-column="5" column-count="1" />
                            </div>
                        </div>
                    </div>
                    <!-- tab -->
                    <div id="tab_category_opt">
                        <schlix-config:integerbox config-key='int_category_items_per_page' config-default-value="10" label='<?= ___('Default maximum mumber of items to be displayed per page') ?>' class="form-control" />
                        <schlix-config:checkbox config-key='reset_category_items_per_page' label='<?=  ___('Reset the number of items per page for all categories') ?>' />
                        <schlix-config:meta_options config-key='array_default_category_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getCategoryMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultCategoryMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                        <schlix-config:checkbox config-key='reset_category_options' label='<?=  ___('Reset all categories options') ?>' />
                    </div>
                    <!-- tab -->
                    <div id="tab_item_opt">

                       <schlix-config:meta_options config-key='array_default_item_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getItemMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultItemMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                       <schlix-config:checkbox config-key='reset_item_options' label='<?=  ___('Reset all item options') ?>' />
                    </div>                
                    <!-- tab -->
                    <div id="tab_permissions">

                        <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?= ___('Enable backend access for the following user groups') ?>" />

                        <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                    </div>
                    <!-- tab -->                                    
                </div>
            </div>
            <br />
        </form>
    </div>
</schlix-data-editor>
