<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $CurrentUser;
if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
    $header_title = ___('New Post');
} else {
    $id = (int) $id;
    $preview_link = $this->app->createFriendlyURL("action=viewitem&id={$id}");
    $header_title = ___('Edit Post').' #'.___h($id);
}
$parent_category_array = $this->getItemParentURLPathMultiplePreviewLink($item);

$max_upload_size = get_real_max_upload_size()/(1024*1024);

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.BlogAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >    

    <div class="content">
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="category_id" value="<?= (int) $item['category_id'] ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= ___h($item['guid']) ?>" />
            <div class="row">
                <div class="col-md-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___('Page Title') ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  maxlength="254"   required="required"   value="<?= ___h($item['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">

                                    <?= ___('Version') . ': ' .___h($item['version']) ?>
                                </span>
                            <?php endif; ?>
                            <!-- end version -->

                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                            <!-- Featured -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="featured" data-input-name="featured" data-value="<?= ($item['featured'] == 1) ?>" 
                                                            data-icon-yes="fa fa-star" data-icon-no="fa fa-star" data-color-yes="orange" data-color-no="grey" 
                                                            data-text-yes="<?= ___('Featured Article') ?>" data-text-no="<?= ___('Regular Article') ?>"></schlix-cms-document-status>                        

                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Search Engine Friendly Shortcut'); ?></label>                
                        <div class="input-group">
                            <span class="input-group-addon">
                                <select style="border:none;background:transparent">                                    
                                    <?php if ($parent_category_array) foreach ($parent_category_array as $parent_category): ?>
                                    <option><?= $parent_category ?></option>
                                    <?php endforeach; ?>
                                 </select>
                            </span>

                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" type="text" value="<?= ___h($item['virtual_filename']); ?>"  />
                            <span class="input-group-addon">.html</span>
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div>

                    </div>
                    <!-- END Virtual Filename -->
                    
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <strong><?= ___('Note') ?>:</strong>
            <em><?= sprintf(___('Your server max upload size: %dMb. To change this value, please contact the server admin and set it in php.ini (upload_max_filesize, post_max_size, memory_limit).'), $max_upload_size) ?></em><br />
            
            <div class="clearboth"></div>
            <!-- end main section -->
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_summary"><em><i class="far fa-file-alt"></i> <?= ___('Summary/Intro') ?></em></a></li>
                    <li><a href="#tab_description"><em><i class="fas fa-file-alt"></i> <?= ___('Description/Detail') ?></em></a></li>
                    <li><a href="#tab_meta"><em><i class="fa fa-hashtag"></i> <?= ___('Meta and Categories') ?></em></a></li>
                    <li><a href="#tab_dates"><em><i class="far fa-calendar"></i> <?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab_options"><em><i class="fas fa-sliders-h"></i> <?= ___('Options') ?></em></a></li>
                    <li><a href="#tab_permissions"><em><i class="fa fa-users"></i> <?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab_versioning"><em><i class="fas fa-code-branch"></i> <?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_summary">
                        <!-- tab 1 content -->
                        <!-- summary -->
                        <label for="summary"><?= ___('Summary') ?></label>
                        <textarea class="wysiwyg form-control" name="summary" id="summary"><?= ___h($item['summary']) ?></textarea>
                        <!-- summary -->
                        <hr />
                        <!-- secondary headline -->
                        <label for="summary_secondary_headline"><?= ___('Optional Secondary Headline') ?></label>
                        <textarea class="wysiwyg form-control" name="summary_secondary_headline" id="summary_secondary_headline"><?= ___h($item['summary_secondary_headline']) ?></textarea>
                        <!-- end secondary headline -->
                        <hr />
                        
                        <!-- image -->
                        <h3><i class="far fa-image"></i> <?= ___('Intro image') ?></h3>
                        <p><?= ___('The first image of the article to be displayed on the list view as a thumbnail and/or as the first image in the detail view. If you want the image not to be displayed on the list view, simply insert the image to the WYSIWYG editor only. Uploaded image will be resized automatically') ?></p>
                        <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select a new intro Image") ?>
                            <input type="file" class="imgselect form-control" name="summary_intro_image" id="summary_intro_image" data-preview-image="preview_summary_intro_image" />
                        </label>
                        <br /><br />
                            <img id="preview_summary_intro_image" src="<?= $item['summary_intro_image'] ? $this->app->getDataFileURLPath('image_medium', $item['summary_intro_image']) . '?rand=' . mt_rand(1, 65535) : '' ?>" border="0" align="top" style="max-width:100%" onerror="this.style.display='none';" />

                        <?php if ($item['summary_intro_image']): ?>
                            
                            <div style="margin-top:10px">
                                <schlix-cms-document-status id="delete_summary_intro_image" data-input-name="delete_summary_intro_image" data-value="" 
                                                            data-icon-yes="fa fa-times-circle" data-icon-no="fa fa-check" data-color-yes="red" data-color-no="green" 
                                                            data-text-yes="<?= ___('Delete intro image') ?>" data-text-no="<?= ___('Use this picture') ?>"></schlix-cms-document-status>                        
                            </div>

                        <?php endif; ?>
                        <!-- image -->
                        <!-- image caption -->
                        <div class="form-group">
                            <label for="summary_intro_image_caption"><?= ___('Caption for intro image'); ?></label>                
                                <input name="summary_intro_image_caption" maxlength="4096" id="summary_intro_image_caption" class="form-control" type="text" value="<?= ___h($item['summary_intro_image_caption']); ?>"  />
                        </div>
                        <!-- END image caption -->                        

                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <div id="tab_description">      
                        
                        <label for="description_alternative_title"><?= ___('Alternative Page Title') ?></label>
                        <input name="description_alternative_title" id="description_alternative_title" type="text" class="form-control"  maxlength="254"  value="<?= ___h($item['description_alternative_title']) ?>" placeholder="<?= ___('Optional alternative page title to be shown in detail view') ?>" /> 
                        
                        <!-- description -->
                        <label for="description"><?= ___('Description') ?></label>
                        <textarea class="wysiwyg form-control" name="description" id="description"><?= ___h($item['description']) ?></textarea>                        
                        <hr />
                        <!-- end description -->
                        <!-- secondary headline -->
                        <label for="description_secondary_headline"><?= ___('Alternative secondary headline') ?></label>
                        <textarea class="wysiwyg form-control" name="description_secondary_headline" id="description_secondary_headline"><?= ___h($item['description_secondary_headline']) ?></textarea>
                        <hr />                        
                        <!-- end secondary headline -->                                                
                        <!-- image -->
                        <h3><i class="far fa-image"></i> <?= ___('Alternative intro image') ?></h3>
                        <p><?= ___('If specified, the alternative intro image will be shown in the detail view.') ?></p>
                        <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select a new alternative intro image") ?>
                            <input type="file" class="imgselect form-control" name="description_intro_image" id="description_intro_image" data-preview-image="preview_description_intro_image" />
                        </label>
                        <br /><br />
                            <img id="preview_description_intro_image" src="<?= $item['description_intro_image'] ? $this->app->getDataFileURLPath('image_medium', $item['description_intro_image']) . '?rand=' . mt_rand(1, 65535) : '' ?>" border="0" align="top" style="max-width:100%" onerror="this.style.display='none';" />

                        <?php if ($item['description_intro_image']): ?>

                            <div style="clear:both"></div>
                            <div style="margin-top:10px">
                                <schlix-cms-document-status id="delete_description_intro_image" data-input-name="delete_description_intro_image" data-value="" 
                                                            data-icon-yes="fa fa-times-circle" data-icon-no="fa fa-check" data-color-yes="red" data-color-no="green" 
                                                            data-text-yes="<?= ___('Delete alternative intro image') ?>" data-text-no="<?= ___('Use this picture') ?>"></schlix-cms-document-status>                        
                            </div>
                        <?php endif; ?>
                        <!-- image -->
                        
                        <!-- image -->
                        <?php /*
                        <h3><?= ___('Background image') ?></h3>
                        <p><?= ___('Please note that the background image may not be displayed on certain theme') ?></p>
                        <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select a new background image") ?>
                            <input type="file" class="imgselect form-control" name="description_background_image" id="description_background_image" data-preview-image="preview_description_background_image" />
                        </label>
                        <br /><br />
                            <img id="preview_description_background_image" src="<?= $item['description_background_image'] ? $this->app->getDataFileURLPath('image_large', $item['description_background_image']) . '?rand=' . mt_rand(1, 65535) : '' ?>" border="0" align="top" style="max-width:100%" onerror="this.style.display='none';" />

                        <?php if ($item['description_background_image']): ?>

                            <div style="clear:both"></div>
                            <div style="margin-top:10px">
                                <schlix-cms-document-status id="delete_description_background_image" data-input-name="delete_description_background_image" data-value="" 
                                                            data-icon-yes="fa fa-times-circle" data-icon-no="fa fa-check" data-color-yes="red" data-color-no="green" 
                                                            data-text-yes="<?= ___('Delete background image') ?>" data-text-no="<?= ___('Use this picture') ?>"></schlix-cms-document-status>                        
                            </div>

                        <?php endif; ?>*/ ?>
                        <!-- image -->
                        
                        <!-- image caption -->
                        <div class="form-group">
                            <label for="description_intro_image_caption"><?= ___('Caption for alternative intro image'); ?></label>                
                                <input name="description_intro_image_caption" maxlength="4096" id="summary_intro_image_caption" class="form-control" type="text" value="<?= ___h($item['description_intro_image_caption']); ?>"  />
                        </div>
                        <!-- END image caption -->                        
                        
                        <h3><i class="fa fa-code"></i> <?= ___('Alternative custom code') ?></h3>
                        <p><?= ___('As an alternative, you can copy and paste custom HTML, CSS, and Javascript code in here for more advanced functionality in detail view. e.g. video, custom animation, etc.') ?></p>
                        <textarea class="form-control" name="description_custom_html_code" id="description_custom_html_code"><?= $item['description_custom_html_code']; ?></textarea>
                        
                    </div>
                    <!-- tab -->
                    <div id="tab_meta">
                        <!-- tab content -->
                        <div class="row">
                            <!-- col -->
                            <div class="col-sm-6">
                        <label><?= ___('Categories') ?></label>
                        <p><?= ___('Please select at least one category and then select the primary category to determine the canonical URL of this post') ?></p>
                        <div id="schlix-non-ajax-category-edit">
                            <input type="hidden" name="original_primary_category_id" id="original_primary_category_id" value="<?= $this->app->getItemPrimaryCategory($id) ?>" />
                            <div id="schlix-<?= $this->app_name ?>-edit-categories-associations"  >
                                    <?php $all_categories = $this->app->getAllCategories(); ?>
                                    <?= $this->viewCategoryTreeList($item,$all_categories,  0,  0, 'list-unstyled', 'category-item') ?>
                            </div>
                        </div>
                                
                            </div>
                            <!-- col -->
                            <div class="col-sm-6">
                                
                                <div class="form-group">                            
                                    <label for="meta_key"><?= ___('Meta Keywords') ?></label>
                                     <input type="text" data-tagfield="true" class="form-control" id="meta_key" name="meta_key" value="<?= ___h($item['meta_key']); ?>" />
                                </div>
                                <div class="form-group">
                                    <label for="meta_description"><?= ___('Meta Description') ?></label>
                                    <input type="text" class="form-control" name="meta_description" value="<?= ___h($item['meta_description']); ?>" />
                                </div>
                                <div class="form-group">
                                    <label for="tags"><?= ___('Tags') ?></label>
                                    <input type="text" data-tagfield="true" class="form-control" id="tags" name="tags" value="<?= ___h($item['tags']); ?>" />
                                </div>
                                
                            </div>                            
                        </div>

                        
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_dates">
                        <!-- tab content -->
                        <!-- date created -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_created"><?= ___('Created') ?></label>
                                <?= \INPUT::DateTimePicker('date_created', $item['date_created']); ?>
                            </div>
                        </div>
                        <!-- date modified -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_modified"><?= ___('Modified') ?></label>
                                <?= \INPUT::DateTimePicker('date_modified', $item['date_modified']); ?>
                            </div>
                        </div>

                        <!-- date available -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_available"><?= ___('Available on') ?></label>
                                <?= \INPUT::DateTimePicker('date_available', $item['date_available']); ?>
                            </div>
                        </div>

                        <!-- date expiry -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_expiry"><?= ___('Expiry') ?></label>
                                <?= \INPUT::DateTimePicker('date_expiry', $item['date_expiry']); ?>
                            </div>
                        </div> 

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_options">
                        <!-- tab content -->
                        <?= \INPUT::CMSObjectOptions('options', $this->app->getItemMetaOptionKeys(), $item['options'], $this->app->getDefaultItemMetaOptionKeys(), 1, 3);  ?>                        
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_permissions">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $item['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $item['modified_by_id'], ___('Last Modified By'), array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?') ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_versioning">
                        <!-- eh -->
                        <?php
                        \App\Versioning_Admin::displayVersioningGrid($this->app_name, $item['guid']);
                        ?>
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>

</schlix-data-editor>    
