<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

namespace App;

/*
define('BOOTSTRAPSLIDESHOW_BASE', '/media/slideshow');
define('BOOTSTRAPSLIDESHOW_THUMBS', '/thumbs/');
define('BOOTSTRAPSLIDESHOW_ORIGINAL', '/thumbs/');
define('BOOTSTRAPSLIDESHOW_XL', '/xl/');

define('URL_BOOTSTRAPSLIDESHOW', CURRENT_SUBSITE_URL_PATH . BOOTSTRAPSLIDESHOW_BASE);
define('URL_BOOTSTRAPSLIDESHOW_THUMBS', CURRENT_SUBSITE_URL_PATH . BOOTSTRAPSLIDESHOW_BASE . BOOTSTRAPSLIDESHOW_THUMBS);
define('URL_BOOTSTRAPSLIDESHOW_XL', CURRENT_SUBSITE_URL_PATH . BOOTSTRAPSLIDESHOW_BASE . BOOTSTRAPSLIDESHOW_XL);
define('FOLDER_BOOTSTRAPSLIDESHOW_XL', CURRENT_SUBSITE_PATH . BOOTSTRAPSLIDESHOW_BASE . BOOTSTRAPSLIDESHOW_XL);
define('FOLDER_BOOTSTRAPSLIDESHOW_THUMBS', CURRENT_SUBSITE_PATH . BOOTSTRAPSLIDESHOW_BASE . BOOTSTRAPSLIDESHOW_THUMBS);
define('FOLDER_BOOTSTRAPSLIDESHOW_ORIGINAL', CURRENT_SUBSITE_PATH . BOOTSTRAPSLIDESHOW_BASE . BOOTSTRAPSLIDESHOW_ORIGINAL);
*/

/**
 * Boostrap Slideshow
 */
class BootstrapSlideshow extends \SCHLIX\cmsApplication_CategorizedList
{

    public $item_options = array(0 => array('value' => 'display_pagetitle', 'label' => 'Display page title'),
        1 => array('value' => 'display_items_author', 'label' => 'Display item\'s author'),
        2 => array('value' => 'display_items_date_created', 'label' => 'Display item\'s date created'),
        3 => array('value' => 'display_items_date_modified', 'label' => 'Display item\'s date modified'),
    );
    
    protected $data_directories = array(
      'image_original' => '/media/slideshow/original',
      'image_thumbs' => '/media/slideshow/thumbs',
      'image_large' => '/media/slideshow/xl',      
    );


    public function __construct()
    {

        parent::__construct( ___('Slideshow'), 'gk_bootstrapslideshow_items', 'gk_bootstrapslideshow_categories');
        $max_upload = (int) (ini_get('upload_max_filesize'));
        $max_post = (int) (ini_get('post_max_size'));
        $memory_limit = (int) (ini_get('memory_limit'));
        $this->max_upload_mb = min($max_upload, $max_post, $memory_limit);
    }

    //_______________________________________________________________________________________________________________//
    public function viewMainPage($pg = 1)
    {
        redirect_url(SCHLIX_SITE_HTTPBASE);
    }

    //_______________________________________________________________________________________________________________//
    public function fullTextSearch($keyword, $sortby = '', $sortdirection = 'ASC')
    {
        return false;
    }
    
    public function getValidationErrorListBeforeSaveItem($datavalues) {
        $error_list = parent::getValidationErrorListBeforeSaveItem($datavalues);
        $init_data_dir_error = $this->initializeDataDirectories();
        if ($init_data_dir_error)
        {
            $error_list[] = ___('Error while trying to create data directories. Maybe you can check the permission on the /web folder');
        }
        return $error_list;
    }


    /**
     * Override default modify item data before save
     * @param array $datavalues
     */

    protected function modifyDataValuesBeforeSaveItem($datavalues) {
        $datavalues = parent::modifyDataValuesBeforeSaveItem($datavalues);
        $short_name =  convert_into_sef_friendly_title(strtolower($datavalues['title']));
        $datavalues['virtual_filename'] = $this->preventDuplicateValueInItemTable('virtual_filename', $short_name, $datavalues[$this->field_id]) ;

        $int_thumb_width = $this->getConfig('int_thumb_width',128);
        $int_thumb_height = $this->getConfig('int_thumb_height',128);
        $int_xl_width = $this->getConfig('int_xl_width',1024);
        $int_xl_height = $this->getConfig('int_xl_height',1024);

        $new_image_filename = $datavalues['virtual_filename'];
        $file_icon = $_FILES['image'];

        if (is_uploaded_file($_FILES['image']['tmp_name'])) {
            if ($file_icon['error'] == UPLOAD_ERR_OK) {
                $icon_file_name = $_FILES['image']['name'];
                $new_image_filename =  pathinfo($new_image_filename, PATHINFO_FILENAME) . '.' . pathinfo($icon_file_name, PATHINFO_EXTENSION);

                $valid_image = is_valid_uploaded_image_file($_FILES['image']['tmp_name'], $new_image_filename);
                if ($valid_image)
                {
                    // name the image the same as the vfname
                    $datavalues['image'] = $new_image_filename;
                    $img_original_filename = $this->getDataFileFullPath('image_original', $new_image_filename);
                    move_uploaded_file($file_icon['tmp_name'], $img_original_filename);

                    create_image_thumbnail($img_original_filename, $this->getDataFileFullPath('image_thumbs', $new_image_filename), $int_thumb_width, $int_thumb_height, true);
                    create_image_thumbnail($img_original_filename, $this->getDataFileFullPath('image_large', $new_image_filename), $int_xl_width, $int_xl_height, true, 90);

                    //create_image_thumbnail($this->getDataFileFullPath('icons_original', $new_icon_filename), $this->getDataFileFullPath('icons', $new_icon_filename), 128, 128);
                } 
                
            }
        }
        
        return $datavalues;
    }
    /**
     * Ensure directory exists
     */
    public function ensureDataDirectoryExists()
    {
        $this->initializeDataDirectories();
    }
         
    //_______________________________________________________________________________________________________________//
    public function Run($command)
    {
        redirect_url(SCHLIX_SITE_HTTPBASE);
    }

}