<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;
if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
} else {
    $id = (int) $id;
    $preview_link = $this->app->createFriendlyURL("action=viewitem&id={$id}");
}
$field_category_id = $this->app->getFieldCategoryID();

$array_image_position = array(  
array('label'=>'LEFT','value'=>'0'), 
array('label'=>'RIGHT','value'=>'1'), 
array('label'=>'TOP','value'=>'2'), 

);

$max_upload_size = get_real_max_upload_size()/(1024*1024);

$parent_category_text = $this->getItemParentURLPathPreviewLink($item); 
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Edit Item') ?>" data-schlix-controller="SCHLIX.CMS.BootstrapSlideshowAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
    <div class="content">
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="category_id" value="<?= (int) $item['category_id'] ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= ___h($item['guid']) ?>" />
            <div class="row">
                <div class="col-md-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___('Page Title') ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">

                                    <?= ___('Version') . ': ' .___h($item['version']) ?>
                                </span>
                            <?php endif; ?>
                            <!-- end version -->

                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                            <!-- Featured -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="featured" data-input-name="featured" data-value="<?= ($item['featured'] == 1) ?>" 
                                                            data-icon-yes="fa fa-star" data-icon-no="fa fa-star" data-color-yes="orange" data-color-no="grey" 
                                                            data-text-yes="<?= ___('Featured Article') ?>" data-text-no="<?= ___('Regular Article') ?>"></schlix-cms-document-status>                        

                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Search Engine Friendly Shortcut'); ?></label>                
                        <div class="input-group">
                            <span class="input-group-addon"><?= $parent_category_text ?></span>

                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" pattern="[a-zA-Z0-9-_]+" type="text" value="<?= ___h($item['virtual_filename']); ?>"  />
                            <span class="input-group-addon">.html</span>
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div> 
                    </div>
                    <!-- END Virtual Filename -->
                    <!-- URL -->
                    <div class="form-group">
                        <label for="url"><?= ___('Optional Link URL'); ?></label>                
                        <div class="input-group">
                            <input name="url" size="49" maxlength="255" id="url" class="form-control"  type="text" value="<?= ___h($item['url']); ?>" placeholder="<?= ___('Can be with protocol (http://) or relative URL') ?>"  />
                        </div> 
                    </div>
                    <!-- END URL -->



                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_content"><em><i class="far fa-file-alt"></i> <?= ___('Content') ?></em></a></li>
                    <li><a href="#tab_meta"><em><i class="fa fa-hashtag"></i> <?= ___('Meta') ?></em></a></li>
                    <li><a href="#tab_dates"><em><i class="far fa-calendar"></i> <?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab_permissions"><em><i class="fa fa-users"></i> <?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab_versioning"><em><i class="fas fa-code-branch"></i> <?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_content">
                        <!-- row -->
                        <div class="row">
                            <div class="col-md-8">
                                <fieldset><legend><?= ___('Upload Image') ?></legend>
                                <!-- existing image -->

                                    
                                    
                                    <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select an image") ?>
                                        <input type="file" class="form-control" name="image" id="image" />
                                   </label>
                                    
                                    <strong><?= ___('Note') ?>:</strong>
                                    <em><?= sprintf(___('Your server max upload size: %dMb. To change this value, please contact the server admin and set it in php.ini (upload_max_filesize, post_max_size, memory_limit).<br />'), $max_upload_size) ?></em>
                                <?php if ($item['image']): ?>
                                    <br />
                                    <h3><?= ___('Existing image') ?> </h3>
                                    <br />
                                    <img id="preview_image" src="<?= $this->app->getDataFileURLPathWithHash('image_large', $item['image']) ?>" border="0" align="top" style="max-width:100%" />
                                    
                                <div style="clear:both"></div>
                                <div style="margin-top:10px">
                        <schlix-cms-document-status id="delete_picture" data-input-name="delete_picture" data-value="" 
                                data-icon-yes="fa fa-times-circle" data-icon-no="fa fa-check" data-color-yes="red" data-color-no="green" 
                                data-text-yes="<?= ___('Delete this picture once saved. I will use custom image placement in the text area below') ?>" data-text-no="<?= ___('Use this picture') ?>"></schlix-cms-document-status>                        
                                </div>
                                    
                                <?php endif; ?>
                                <!-- end existing image -->
                                </fieldset>
                                
                            </div>
                            <?php /* disable
                            <div class="col-md-4">
                                
                                <?= \INPUT::RADIO_GROUP('image_position', $array_image_position, ($item['image_position']), ___('Image Position'), false); ?>
                                
                            </div>  */ ?>                      
                        </div>
                        <!-- row -->
                        <div class="row">
                            <div class="col-md-12">
                        <label for="summary"><?= ___('Text Content') ?></label>
                        <textarea class="wysiwyg form-control" name="summary" id="summary"><?= ___h($item['summary']) ?></textarea>

                        <div class="clearboth"></div>
                             </div>
                        </div>
                    </div> 
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_meta">
                        <!-- tab content -->
                        <label><?= ___('Meta Keywords') ?><br />
                            <input type="text" class="form-control" name="meta_key" value="<?= ___h($item['meta_key']); ?>" />
                        </label>
                        <br />
                        <label><?= ___('Meta Description') ?><br />
                            <input type="text" class="form-control" name="meta_description" value="<?= ___h($item['meta_description']); ?>" />
                        </label>
                        <br />
                        <label><?= ___('Tags') ?><br />
                            <input type="text" class="form-control" name="tags" value="<?= ___h($item['tags']); ?>" />
                        </label>

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_dates">
                        <!-- tab content -->
                        <!-- date created -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_created"><?= ___('Created') ?></label>
                                <?= \INPUT::DateTimePicker('date_created', $item['date_created']); ?>
                            </div>
                        </div>
                        <!-- date modified -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_modified"><?= ___('Modified') ?></label>
                                <?= \INPUT::DateTimePicker('date_modified', $item['date_modified']); ?>
                            </div>
                        </div>

                        <!-- date available -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_available"><?= ___('Available on') ?></label>
                                <?= \INPUT::DateTimePicker('date_available', $item['date_available']); ?>
                            </div>
                        </div>

                        <!-- date expiry -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_expiry"><?= ___('Expiry') ?></label>
                                <?= \INPUT::DateTimePicker('date_expiry', $item['date_expiry']); ?>
                            </div>
                        </div> 

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_permissions">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $item['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $item['modified_by_id'], ___('Last Modified By'), array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?') ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_versioning">
                        <!-- eh -->
                        <?php
                            App\Versioning_Admin::displayVersioningGrid($this->app_name, $item['guid']);
                        ?>
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>