<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?><?php $app = $this->app_name; ?>
<div class="schlix-explorer">

    <schlix-data-explorer-hierarchical-treelist id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.BootstrapSlideshowAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-upload" data-schlix-command="upload" class="schlix-command-button require-category"><i class="fa fa-upload"></i> <?= ___("Upload Multiple Images") ?></a></li>

                    <li><a href="#" schlix-id="btn-new-item" data-schlix-command="new-item" data-schlix-app-action="newitem"  class="schlix-command-button require-category"><i class="far fa-file-alt"></i> <?= ___('New Slide') ?></a></li>
                    <li><a href="#" schlix-id="btn-new-category" data-schlix-command="new-category" data-schlix-app-action="newcategory" class="schlix-command-button"><i class="far fa-folder"></i> <?= ___('New Category') ?></a></li>
                    <li><a href="#" schlix-id="btn-edit-current-category" data-schlix-command="edit-current-category" data-schlix-app-action="editcategory" class="schlix-command-button require-category"><i class="fas fa-pencil-alt"></i> <?= ___('Edit Current Category') ?></a></li>                    

                    
                    <li><a href="#" schlix-id="btn-cut" data-schlix-command="cut" class="schlix-command-button require-selected-items"><i class="fa fa-cut"></i> <?= ___('Cut') ?></a></li>
                    <li><a href="#" schlix-id="btn-copy" data-schlix-command="copy" class="schlix-command-button require-selected-items"><i class="fa fa-copy"></i> <?= ___('Copy') ?></a></li>
                    <li><a href="#" schlix-id="btn-paste" data-schlix-command="paste" class="schlix-command-button require-clipboard-items"><i class="far fa-clipboard"></i> <?= ___('Paste') ?></a></li>
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh'); ?></a></li>
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>

                </ul>

                <div class="col-sm-3 col-md-3 schlix-toolbar-search-container">
                    <form schlix-id="search-form" class="navbar-form" role="search">
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search...') ?>">
                        </div>                    
                    </form>
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">

                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
        <?php if ($this->app->getConfig('int_thumb_width') == 0 || $this->app->getConfig('int_xl_width') == 0): ?>
            <div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i>&nbsp;<?= ___('Image thumbnail/large size have not been initialized or set correctly in the configuration. Please click configure to fix this error') ?></div>
        <?php endif ?>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <!-- Left Column -->
            <div class="col-sm-2 col-xs-2 col-md-3 col-lg-3 left-column" schlix-id="left-column" >
                <schlix-treeview schlix-id="datanav-tree"  >            
                </schlix-treeview>
            </div>
            <!-- Right Column -->
            <div class="col-sm-9 col-xs-2 col-md-9 col-lg-9 right-column" schlix-id="right-column" >
                <schlix-data-table schlix-id="datanav-datatable">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false" />
                        <schlix-data-table-column key="this.field_item_title" sortable="true" label="<?= ___('Title') ?>" formatter="SCHLIX.CMS.BootstrapSlideshowAdmin.formatDataTableCell_Image" />

                        <schlix-data-table-column key="this.field_category_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="this.field_id" hidden="true" sortable="false" formatter="number" />
                        <schlix-data-table-column key="status" label="<?= ___('Status') ?>" sortable="true" formatter="this.formatDataTableCell_Status" editor="new SCHLIX.UI.DropdownCellEditor({dropdownOptions:[{value:0, label: 'Inactive'}, {value:1, label: 'Active'} ],disableBtns:false})" />

                        <schlix-data-table-column key="sort_order" label="<?= ___('Sort Order') ?>" sortable="true" formatter="number" editor="new SCHLIX.UI.TextboxCellEditor({validator:SCHLIX.UI.DataTable.validateNumber,disableBtns:false})" />

                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor="new SCHLIX.CMS.DateCellEditor( {disableBtns:false})" />
                        <schlix-data-table-column key="date_modified" label='<?= ___('Date Modified') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor= "new SCHLIX.CMS.DateCellEditor({disableBtns:false})" />
                    </schlix-data-table-columns>
                </schlix-data-table>

                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-hierarchical-treelist>
</div>

<!-- Upload Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-upload-image-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.BootstrapSlideshowAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___('Upload images') ?></span></div>
    <div class="panel-body">
        <div id="container-upload" style="min-width:320px">
            <!-- form -->
                <div class="alert alert-warning ">
                    <p><?= ___('Maximum file size').': '.' '.round(get_real_max_upload_size()/(1024.0*1024.0), 2).' '.___('Mb') ?></p>
                </div>
            <form method="post" id="frm_upload" class="schlix-form-install" action="/admin/app/<?= $app ?>?action=upload" data-action="action=upload" enctype="multipart/form-data">
                    <input type="hidden" id="__max_file_size" name="MAX_FILE_SIZE" value="<?= get_real_max_upload_size() ?>" />                     
                    <input type="hidden" id="__total_file_size" name="__total_file_size" value="0" />                     
                
                <?= \INPUT::CSRF() ?>
                <div class="row">
                    <div class="col-xs-6 col-md-6">
                        <span class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select images") ?>
                            <input id="filedata" multiple="true" class="form-control" type="file" name="filedata[]" accept="images" required="required" />
                        </span>
                    </div>
                </div>
                    <div style="max-height:100px;overflow: auto">
                    <ul id="filelist" class="list-unstyled" ></ul>
                    </div>
                    <p><span id="filelist-prefix-totalsize"></span>&nbsp;<span id="filelist-display-totalsize"></span></p>
                    <button type="submit" name="upload" id="btn-media-upload" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-upload"></i>&nbsp;<?= ___('Go') ?></button>
                    <button type="submit" name="cancel" id="btn-media-cancel"data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>

            </form>        
            <!-- end form -->
        </div>
    </div>
</div>
