<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php global $SystemConfig, $CurrentUser; ?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ' ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.ContactsAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">

    <!-- end sidebar -->
    <div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult();
            ///////////////////////////////
        ?>        
        
        <form method="post" action="<?= $this->createFriendlyAdminURL("action=saveconfig") ?>" autocomplete="off" >


            <div class="row">
                <div class="col-md-8">
                    <!-- -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        


            <?= \INPUT::CSRF() ?>

            <!-- begin tabs -->
            <div class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li  class="selected"><a href="#tab1"><em><?= ___('General') ?></em></a></li>   
                    <li><a href="#tab_main_opt"><em><?= ___('Default Main page Options') ?></em></a></li>
                    <li><a href="#tab_category_opt"><em><?= ___('Default Category Options') ?></em></a></li>
                    <li><a href="#tab_item_opt"><em><?= ___('Default Item Options') ?></em></a></li>                    
                    <li><a href="#tab_permissions"><em><?= ___('Permissions') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id ="tab_general">
                        <schlix-config:app_alias class="form-control" config-default-value="<?= strtolower($this->schlix_master_class) ?>" />
                        <schlix-config:app_description class="form-control" />
                        <schlix-config:textbox config-key='str_meta_keywords' label='<?= ___('Default Meta Keywords') ?>' class="form-control" config-fonticon="fa fa-hashtag" />
                        <schlix-config:textbox config-key='str_meta_description' label='<?=  ___('Default Meta Description') ?>' class="form-control" config-fonticon="fa fa-hashtag" />

                        <schlix-config:textbox config-key='str_google_maps_api_key' label='<?= ___('Google Maps API key') ?>' class="form-control" config-fonticon="fa fa-key" />
                        
                        <schlix-config:checkbox config-key='bool_enable_captcha' label='<?=  ___('Enable captcha for contact form') ?>' />
                        <schlix-config:checkbox config-key='bool_disable_contact_form' label='<?=  ___('Disable the contact form') ?>' />
                        <schlix-config:integerbox min="0" max="999" config-key='int_seconds_before_next_contact' label='<?= ___('Flood control to prevent spam robot - wait time in seconds before next form submission (recommended: 30 seconds)') ?>' class="form-control" />
                       
                        
                        <schlix-config:textarea config-key='str_mainpage_text' label='Main page introduction text' class='wysiwyg' />
                    </div>
                    <div id ="tab_main_opt">
                    
                    <schlix-config:integerbox config-key='int_mainpage_max_items_per_page' config-default-value="5" min="1" max="100" label='<?= ___('Number of items per page') ?>' class="form-control" />
                    <schlix-config:radiogroup  config-key="str_mainpage_category_sortby" label="<?= ___('Main page Categories Sort By') ?>" >
                        <?php foreach ($this->app->getSortableCategoryColumns() as $sort_opt): ?>
                        <schlix-config:option value="<?= ___h($sort_opt['value']) ?>"><?= ___h($sort_opt['label']) ?></schlix-config:option>
                        <?php endforeach ?>
                    </schlix-config:radiogroup> 
                    <schlix-config:radiogroup  config-key="str_mainpage_category_sortdirection" label="<?= ___('Main page Categories Sort Direction') ?>" >
                        <schlix-config:option value="asc"><?= ___('Ascending') ?></schlix-config:option>
                        <schlix-config:option value="desc"><?= ___('Descending') ?></schlix-config:option>
                    </schlix-config:radiogroup> 
                    
                    <schlix-config:radiogroup  config-key="str_mainpage_item_sortby" label="<?= ___('Main page Items Sort By') ?>">
                        <?php foreach ($this->app->getSortableItemColumns() as $sort_opt): ?>
                        <schlix-config:option value="<?= ___h($sort_opt['value']) ?>"><?= ___h($sort_opt['label']) ?></schlix-config:option>
                        <?php endforeach ?>
                    </schlix-config:radiogroup> 
                    <schlix-config:radiogroup  config-key="str_mainpage_item_sortdirection" label="<?= ___('Main page Items Sort Direction') ?>">
                        <schlix-config:option value="asc"><?= ___('Ascending') ?></schlix-config:option>
                        <schlix-config:option value="desc"><?= ___('Descending') ?></schlix-config:option>
                    </schlix-config:radiogroup> 
                    </div>
                    <!-- tab -->
                    <!-- tab -->
                    <div id="tab_category_opt">
                        <schlix-config:integerbox config-key='int_category_items_per_page' config-default-value="10" label='<?= ___('Default maximum mumber of items to be displayed per page') ?>' class="form-control" />
                        <schlix-config:checkbox config-key='reset_category_items_per_page' label='<?=  ___('Reset the number of items per page for all categories') ?>' />
                        <schlix-config:meta_options config-key='array_default_category_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getCategoryMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultCategoryMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                        <schlix-config:checkbox config-key='reset_category_options' label='<?=  ___('Reset all categories options') ?>' />
                    </div>
                    <!-- tab -->
                    <div id="tab_item_opt">

                       <schlix-config:meta_options config-key='array_default_item_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getItemMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultItemMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                       <schlix-config:checkbox config-key='reset_item_options' label='<?=  ___('Reset all item options') ?>' />
                    </div>                
                    <!-- tab -->
                    <div id="tab_permissions">

                        <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?= ___('Enable backend access for the following user groups') ?>" />

                        <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                    </div>
                    <!-- tab -->                                    

                </div>
            </div>
            <br />
        </form>
    </div>
</schlix-data-editor>