<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php 

$google_map_api_key = $this->app->getConfig('str_google_maps_api_key'); 
if (empty($google_map_api_key)):
?>
<div class="alert alert-warning">
    <i class="fa fa-exclamation-triangle"></i> <?= ___('You have not set Google MAP API key in the configuration. The map may be displayed incorrectly') ?>
</div>
<?php endif ?>
<script type="text/javascript" src="//maps.googleapis.com/maps/api/js?key=<?= $google_map_api_key ?>"></script>
<div class="row">
    <div class="col-md-3">
        <a id="btn_update_map" class="btn btn-info"><i class="fas fa-sync"></i> <?= ___('Update Map') ?></a>
    </div>
    <!-- col -->
    <div class="col-md-3">
        <label><?= ___('Map Zoom Level'); ?><br /><input type="text" class="form-control" id="map_zoom"  name="map_zoom" value="<?= (int) ($item['map_zoom']); ?>" /></label>
    </div>
    <!-- col -->
    <div class="col-md-3">
        <label><?= ___('Latitude'); ?><br /><input type="text" class="form-control" id="latitude"  name="latitude" value="<?= (float) ($item['latitude']); ?>" /></label>
    </div>
    <!-- col -->
    <div class="col-md-3">
        <label><?= ___('Longitude'); ?><br /><input type="text" class="form-control" id="longitude" name="longitude" value="<?= (float) ($item['longitude']); ?>" /></label>
    </div>    
</div>

<p><?= ___('Click the Update Location button above to get the latitude and longitude of the place by *street address*. You can move and drag or double click the marker around to reflect a more accurate location.'); ?></p>
<p><?= ___('Note: Width and Height of the map display on the frontend must be set from your own template CSS!') ?></p>

<div id="map_canvas" style="width:100%;height:400px" >

</div>
<!-- end map -->