<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $CurrentUser;
if ($id == 'new') {
    $item['permission_read'] = serialize('everyone');
    $header_title = ___('New Item');
} else {
    $id = (int) $id;
    $preview_link = $this->app->createFriendlyURL("action=viewitem&id={$id}");
    $header_title = ___('Edit Item').' #'.___h($id);
}

$category_text = '';
$field_category_id = $this->app->getFieldCategoryID();
if ($item['category_id'] > 0) {
    $category_text = $this->app->createFriendlyURL("action=viewcategory&{$field_category_id}={$item['category_id']}");
}
$parent_category_text = $this->getItemParentURLPathPreviewLink($item); 

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.$header_title ?>" data-schlix-controller="SCHLIX.CMS.ContactsAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >

<div class="content">
    <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
        <?= \INPUT::CSRF() ?>
        <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
        <input type="hidden" name="category_id" value="<?= (int) $item['category_id'] ?>" />
        <input type="hidden" name="guid" id="guid" value="<?= ___h($item['guid']) ?>" />

        <!-- main -->
        <div class="row">
            <div class="col-md-8">
                
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___('Page Title') ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">

                                    <?= ___('Version') . ': ' .___h($item['version']) ?>
                                </span>
                            <?php endif; ?>
                            <!-- end version -->

                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                            <!-- Featured -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="featured" data-input-name="featured" data-value="<?= ($item['featured'] == 1) ?>" 
                                                            data-icon-yes="fa fa-star" data-icon-no="fa fa-star" data-color-yes="orange" data-color-no="grey" 
                                                            data-text-yes="<?= ___('Featured Article') ?>" data-text-no="<?= ___('Regular Article') ?>"></schlix-cms-document-status>                        

                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Search Engine Friendly Shortcut'); ?></label>                
                        <div class="input-group">
                            <span class="input-group-addon"><?= $parent_category_text ?></span>

                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" pattern="[a-zA-Z0-9-_]+" type="text" value="<?= ___h($item['virtual_filename']); ?>"  />
                            <span class="input-group-addon">.html</span>
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div> 
                    </div>
                    <!-- END Virtual Filename -->
 
                <label for="schema_org_type"><?= ___('Indicate to search engines that this place is a '); ?></label>
                <?= \INPUT::SELECT('schema_org_type', $this->opt_contacts_schema_org_types, $item['schema_org_type'],  array('id' => 'schema_org_type', 'class' => 'form-control')); ?>
 
            </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>            
        </div>

        <div class="clearboth"></div>
        <!-- end main section -->
        <br />
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
        
        <br />
        <!-- begin tabs -->
        <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
            <!-- tab navigation -->
            <ul class="schlixui-tabheader">
                <li class="selected"><a href="#tab1"><em><?= ___('General'); ?></em></a></li>
                <li><a href="#tab2"><em><?= ___('Additional Description'); ?></em></a></li>
                <li><a href="#tabmap"><em><?= ___('Map'); ?></em></a></li>
                <li><a href="#tab4"><em><?= ___('Incoming Messages'); ?></em></a></li>
                <li><a href="#tab6"><em><?= ___('Versions') ?></em></a></li>
            </ul>
            <!-- end tab navigation -->
            <!-- tab ocntent -->
            <div class="schlixui-tabcontent">
                <div id="tab1">
                    
                    <div class="row">
                        <div class="col-md-6">
                            <!-- content -->
                                <label><?= ___('Branch/Building Name'); ?><input class="form-control"  name="branch" type="text" value="<?= ___h($item['branch']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Contact Person'); ?><input class="form-control"  name="contact_person" type="text" value="<?= ___h($item['contact_person']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('PO Box'); ?><input class="form-control"  name="pobox" type="text" value="<?= ___h($item['pobox']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Street Address'); ?><input class="form-control"  name="street" id="street" type="text" value="<?= ___h($item['street']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('City'); ?><input class="form-control"  name="city" id="city" type="text" value="<?= ___h($item['city']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Province/State'); ?><input class="form-control"  name="province" id="province" type="text" value="<?= ___h($item['province']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Postal/Zip Code'); ?><input class="form-control"  name="postal" id="postal" type="text" value="<?= ___h($item['postal']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Country'); ?><input class="form-control"  name="country" id="country" type="text" value="<?= ___h($item['country']); ?>" size="49" class="schlix_editor_input" /></label><br />
                            
                            <!-- end content -->
                        </div>
                        <div class="col-md-6">
                            <!-- content -->
                                <label><?= ___('Toll Free'); ?><input class="form-control"  name="tollfree" type="text" value="<?= ___h($item['tollfree']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Phone'); ?><input class="form-control"  name="phone" type="text" value="<?= ___h($item['phone']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Fax'); ?><input class="form-control"  name="fax" type="text" value="<?= ___h($item['fax']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('Mobile'); ?><input class="form-control"  name="mobile" type="text" value="<?= ___h($item['mobile']); ?>" size="49" class="schlix_editor_input" /></label><br />
                                <label><?= ___('E-mail').' - '.___('please ensure that this is a valid e-mail address'); ?><input class="form-control"  name="email" type="text" value="<?= ___h($item['email']); ?>" size="49" class="schlix_editor_input required validate-email" /></label>
                                <p><?= ___('Display E-mail Address'); ?>
                                    <label>
                                        <input type="radio" name="display_email" id="display_email_yes" class="validate-one-required" value="1" <?php if ($item['display_email'] == 1) echo ' checked '; ?> />
                                        <?= ___('Yes'); ?></label>
                                    <label>
                                        <input type="radio" name="display_email" id="display_email_no" value="0" <?php if ($item['display_email'] == 0) echo ' checked '; ?> />
                                        <?= ___('No'); ?></label></p>

                                <p><?= ___('Display Map'); ?>
                                    <label>
                                        <input type="radio" name="display_map" id="display_map_yes" class="validate-one-required" value="1" <?php if ($item['display_map'] == 1) echo ' checked '; ?> />
                                        <?= ___('Yes'); ?></label>
                                    <label>
                                        <input type="radio" name="display_map" id="display_map_no" value="0" <?php if ($item['display_map'] == 0) echo ' checked '; ?> />
                                        <?= ___('No'); ?></label></p>
                            
                            <!-- end content -->
                        </div>                        
                    </div> 
                    <!-- end tab1 -->
                </div>
                <div id="tab2">
                    <label for="additional_info"><?= ___('Additional Info'); ?></label>
                        <textarea class="wysiwyg form-control" name="additional_info" id="additional_info"  ><?= $item['additional_info']; ?></textarea>
                    <!-- end tab2 -->
                </div>

                <div id="tabmap">
                    <?php include ('edit.item.map.template.php'); ?>
                    <!-- end tab2 -->
                </div>
                <div id="tab4">
                    <?php include('edit.item.messages.template.php') ?>
                </div>
                <!-- tab -->

                <div id="tab6">
                    <!-- eh -->
                    <?php
                           App\Versioning_Admin::displayVersioningGrid($this->app_name, $item['guid']);
                    ?>
                </div>
                <!-- end tab -->
            </div>
            <!-- end tab content -->
        </div>
        <!-- end tabs -->
    </form>
</div>

</schlix-data-editor>