<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

if (!defined('SCHLIX_VERSION'))
    die();

global $HTMLHeader;

$preset_name = str_limit($_COOKIE['schlixcontact-name'], 127);
$preset_email = str_limit($_COOKIE['schlixcontact-email'], 255);
$HTMLHeader->JAVASCRIPT_SCHLIX_UI();
$HTMLHeader->JAVASCRIPT_SCHLIX_INIT();
$this->JAVASCRIPT('contacts.js');
/**
 * Note: you can customize this contact form by copying the file to your theme
 * folder. e.g. /web/<your-subsite>/themes/<your-theme-name>/apps/contacts/
 * Please keep the field ID and name the same, otherwise it won't work
 */
?>
<div id="schlix-contact-form-id-<?= (int) $item['id'] ?>">
<div id="s_c_h_l_i_x_contact_result"></div>
<form name="s_c_h_l_i_x_contact_form" id="s_c_h_l_i_x_contact_form" class="contact_form" enctype="multipart/form-data">    
    <?= \INPUT::CSRF() ?>
    <span id="schlixcontact-id" data-value="<?= ___h($item['id']) ?>"></span>

    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="well well-sm">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name"><?= ___('Name') ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="fa fa-user"></span>
                                    </span>

                                    <input type="text" class="form-control" id="schlixcontact-name" name="name" placeholder="<?= ___('Name') ?>" required="required" value="<?= ___h($preset_name) ?>" />
                                </div>
                            </div>


                            <div class="form-group">
                                <label for="email"><?= ___('E-mail'); ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="fa fa-envelope"></span>
                                    </span>
                                    <input type="email" class="form-control" id="schlixcontact-email" name="email" placeholder="<?= ___('Email') ?>" required="required" value="<?= ___h($preset_email) ?>" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="subject"><?= ___('Subject'); ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="far fa-comment"></span>
                                    </span>
                                    <input type="text" class="form-control" id="schlixcontact-subject" name="subject" placeholder="<?= ___('Subject') ?>" required="required" />
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="subject"><?= ___('Phone'); ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <span class="fa fa-phone"></span>
                                    </span>
                                    <input type="text" class="form-control" id="schlixcontact-phone" name="phone" placeholder="<?= ___('Phone') . ' (' . ___('optional') . ')' ?>"  />
                                </div>
                            </div>



                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name"><?= ___('Message') ?></label>
                                <textarea name="message" id="schlixcontact-message" class="form-control" rows="13" cols="25" required="required"
                                          placeholder="<?= ___('Type your message here') ?>"></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">

                            <?php if ($this->enable_captcha): ?>
                                <div class="contacts_form_field">
                                    <p><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="border: 0" /></p>

                                    <div class="form-group">
                                        <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="far fa-hand-paper fa-lg" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="verification_code" id="schlixcontact-verification"  placeholder="<?= ___('Please type the random text above') ?>"  required="required" />
                                        </div>
                                    </div>


                                </div>
                            <?php endif; ?>


                            <button type="submit" name="sendmail" id="schlixcontact-submit-button" value="Submit" class="btn btn-default pull-right" ><i class="fa fa-paper-plane"></i> <?= ___('Send') ?></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

</div>