<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $SystemConfig, $CurrentUser;
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.CronSchedulerAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult();
            ///////////////////////////////
        ?>        
        
        <!-- content -->
        <div class="row">
            <div class="col-md-8">
                <!-- config goes here -->

                <form method="post" action="<?= $this->createFriendlyAdminURL('action=saveconfig') ?>" autocomplete="off" >
                    <?= \INPUT::CSRF() ?>
                    <schlix-config:checkbox config-key='bool_use_manual_scheduler' label='<?=  ___('Use manual scheduler') ?>' />
                    
                    <br />
                    <p><?= ___('If you choose this option, the CMS does not run its scheduler automatically, but the automation must be done by a call to the following URL') ?></p>
                    <input type="text" class="form-control" readonly="readonly" value="<?= SCHLIX_SITE_URL.$this->app->createFriendlyURL('') ?>" disabled="disabled" />
                    <br />
                    <schlix-config:textbox config-key='str_manual_scheduler_restrict_ip_address' pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$" label='<?=  ___('Restrict running of manual scheduler to this IP Address') ?>' class="form-control" />
                    
                                        
                    <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?=  ___('Enable backend access for the following user groups') ?>" /> 
                    <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                </form>

                <!-- end config -->
            </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>            
        </div>


        <!-- end content -->
    </div>
</schlix-data-editor>    
