<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $SystemConfig, $CurrentUser;
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.EmailQueueAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult();
            ///////////////////////////////
        ?>        
        
        <!-- content -->
        <div class="row">
            <div class="col-md-8">
                <!-- config goes here -->

                <form method="post" action="<?= $this->createFriendlyAdminURL('action=saveconfig') ?>" autocomplete="off" >
                    <?= \INPUT::CSRF() ?>
                    <schlix-config:integerbox min="1" config-key='int_max_email_per_batch' class="form-control" label="<?= ___('Max emails/batch send') ?>" config-default-value="10" />
                    <schlix-config:integerbox min="1" config-key='int_max_email_per_hour' class="form-control" label="<?= ___('Max emails/hour') ?>" config-default-value="200" />                    
                    <div class="form-group">
                        <label><?= ___('SMTP Timeout') ?></label>
                        <div class="input-group">
                            <schlix-config:integerbox config-key='int_smtp_timeout' 
                                                      config-default-value="180" 
                                                       min="30" max="600" class="form-control" /> 
                            <span class="input-group-addon">seconds</span>
                        </div>
                    </div>

                                        
                    <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?= ___('Enable backend access for the following user groups') ?>" /> 
                    <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                </form>

                <!-- end config -->
            </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>            
        </div>


        <!-- end content -->
    </div>
</schlix-data-editor>    
