<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.EmailQueueAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh'); ?></a></li>
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>

                </ul>

                <div class="col-sm-3 col-md-3 schlix-toolbar-search-container">
                    <form schlix-id="search-form" class="navbar-form" role="search">
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search...') ?>">
                        </div>                    
                    </form>
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" data-default-sort-by="id" data-default-sort-direction="desc">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false" />

                        <schlix-data-table-column key="id" hidden="false" label="<?= ___('ID') ?>" sortable="true" formatter="number" />
                        <schlix-data-table-column key="guid" hidden="false" label="<?= ___('GUID') ?>" sortable="false" formatter="string" />
                        <schlix-data-table-column key="field_subject" sortable="true" label="<?= ___('Subject') ?>" role="title" formatter="SCHLIX.CMS.EmailQueueAdmin.formatDataTableCell_ViewMail" />
                        <schlix-data-table-column key="field_to_email" label="<?= ___('To') ?>" formatter="string" />

                        <schlix-data-table-column key="date_queued" label="<?= ___('Date Queued') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="date_sent" label="<?= ___('Date Sent') ?>" sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="retry_count" label="<?= ___('Retry Count') ?>" sortable="true" formatter="number" />
                    </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>





<!-- Preview Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-emailqueueviewer-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.EmailQueueAdmin" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("View Email"); ?></div>
    <div class="panel-body">
        <div id="message-container" style="max-width:800px">
            <!-- form -->
            <div class="row">
                <div class="col-md-6">
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('From') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                            <input type="text" class="form-control" name="email_from" id="email_from" readonly="readonly" />
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('To') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                            <input type="text" class="form-control" name="email_to" id="email_to" readonly="readonly" />
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Date Queued') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="far fa-clock"></i></span>
                            <input type="text" class="form-control" name="email_datequeued" id="email_datequeued" readonly="readonly" />
                        </div>
                    </div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Date Sent') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="far fa-clock"></i></span>
                            <input type="text" class="form-control" name="email_datesent" id="email_datesent" readonly="readonly" />
                        </div>
                    </div>
                    
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Subject') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="far fa-edit"></i></span>
                            <input type="text" class="form-control" name="email_subject" id="email_subject" readonly="readonly" />
                        </div>
                    </div>
                    
                </div>
                <!-- col -->
                <div class="col-md-6">
                    <div id="email_bodyhtml"></div>
                    <!-- field -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Message') ?></label>
                        <div id="email_bodytext"></div>
                    </div>                    
                    
                </div>
            </div>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('OK') ?></button>
                <!-- end form -->
        </div>
    </div>
</div>
