<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<div class="schlix-explorer">
    <schlix-data-explorer-list id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.EmailTemplatesAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-new-item" data-schlix-command="new-item" data-schlix-app-action="newitem"  class="schlix-command-button"><i class="far fa-file-alt"></i> <?= ___('New Item') ?></a></li>
                    <li><a href="#" schlix-id="btn-copy" data-schlix-command="copy" class="schlix-command-button require-selected-items"><i class="fa fa-copy"></i> <?= ___('Copy') ?></a></li>
                    <li><a href="#" schlix-id="btn-paste" data-schlix-command="paste" class="schlix-command-button require-clipboard-items"><i class="far fa-clipboard"></i> <?= ___('Paste') ?></a></li>
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh'); ?></a></li>
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>

                </ul>

                <div class="col-sm-3 col-md-3 schlix-toolbar-search-container">
                    <form schlix-id="search-form" class="navbar-form" role="search">
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search...') ?>">
                        </div>                    
                    </form>
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >
                
                <schlix-data-table schlix-id="datanav-datatable" schlix-field-item-title="subject">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="SCHLIX.CMS.EmailTemplatesAdmin.formatDataTableCell_CheckBox" sortable="false" />
                        <schlix-data-table-column key="this.field_item_title" sortable="true" label="<?= ___('Title') ?>" formatter="this.formatDataTableCell_DefaultTitleColumn" role="title"  />

                        <schlix-data-table-column key="id" hidden="true" sortable="false" formatter="number" role="primary_key" />
                        <schlix-data-table-column key="virtual_filename" label="<?= ___('Shortcut') ?>" formatter="string" />

                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor="new SCHLIX.CMS.DateCellEditor( {disableBtns:false})" />
                        <schlix-data-table-column key="date_modified" label='<?= ___('Date Modified') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor= "new SCHLIX.CMS.DateCellEditor({disableBtns:false})" />
                    </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>


