<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php global $SystemConfig, $CurrentUser; ?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.HtmlAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">

<!-- end sidebar -->
<div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult();
            ///////////////////////////////
        ?>        
    
        <form method="post" action="<?= $this->createFriendlyAdminURL("action=saveconfig") ?>" autocomplete="off" >

    
            <div class="row">
                <div class="col-md-8">
                    <!-- -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        

    
        <?= \INPUT::CSRF() ?>
            
        
        <!-- begin tabs -->
        <div class="schlixui-tabcontainer">
            <!-- tab navigation -->
            <ul class="schlixui-tabheader">
                <li class="selected"><a href="#tab_general"><em><?= ___('General') ?></em></a></li>                
                <li><a href="#tab_category_opt"><em><?= ___('Default Category Options') ?></em></a></li>
                <li><a href="#tab_item_opt"><em><?= ___('Default Item Options') ?></em></a></li>
                <li><a href="#tab_permissions"><em><?= ___('Permissions') ?></em></a></li>
            </ul>
            <!-- end tab navigation -->
            <!-- tab ocntent -->
            <div class="schlixui-tabcontent">
                <!-- tab -->
                <div id ="tab_general">
                    <schlix-config:app_alias class="form-control" config-default-value="<?= strtolower($this->schlix_master_class) ?>" />
                    <schlix-config:app_description class="form-control" />
                    <schlix-config:textbox config-key='str_meta_keywords' label='<?= ___('Default Meta Keywords') ?>' class="form-control" config-fonticon="fa fa-hashtag" />
                    <schlix-config:textbox config-key='str_meta_description' label='<?=  ___('Default Meta Description') ?>' class="form-control" config-fonticon="fa fa-hashtag" />
                    <schlix-config:checkbox config-key='bool_convert_external_images' label='<?=  ___('Fetch external images for copy and paste operation') ?>' />
                    <schlix-config:checkbox config-key='bool_enable_pageview_stats' label='<?=  ___('Enable page impression stats') ?>' />
                </div>
                <!-- tab -->
                <div id="tab_category_opt">
                    <schlix-config:integerbox config-key='int_category_items_per_page' config-default-value="10" label='<?= ___('Default maximum mumber of items to be displayed per page') ?>' class="form-control" />
                    <schlix-config:checkbox config-key='reset_category_items_per_page' label='<?=  ___('Reset the number of items per page for all categories') ?>' />
                    <schlix-config:meta_options config-key='array_default_category_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getCategoryMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultCategoryMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                    <schlix-config:checkbox config-key='reset_category_options' label='<?=  ___('Reset all categories options') ?>' />
                </div>
                <!-- tab -->
                <div id="tab_item_opt">
                    
                   <schlix-config:meta_options config-key='array_default_item_meta_options' config-options="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getItemMetaOptionKeys()) ?>" config-default-value="<?= \SCHLIX\cmsConfigRegistry::encodeArray($this->app->getDefaultItemMetaOptionKeys()) ?>" item-per-column="1" column-count="3" />
                   <schlix-config:checkbox config-key='reset_item_options' label='<?=  ___('Reset all item options') ?>' />
                </div>                
                <!-- tab -->
                <div id="tab_permissions">
                    
                    <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?=  ___('Enable backend access for the following user groups') ?>" />

                    <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                </div>
            </div>
        </div>
        <br />
    </form>
</div>
</schlix-data-editor>