<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php


global $CurrentUser;

if ($id == 'new') {
    $category['permission_read'] = serialize('everyone');
    $category['items_per_page'] = 10;
    $header_title = ___('New Category');
}
else {
    $id = (int) $id;
    $preview_link = $this->app->createFriendlyURL("action=viewcategory&cid={$id}");
    $header_title = ___('Edit Category').' #'.___h($id);
}
$parent_category_text = $this->getCategoryParentURLPathPreviewLink($category);
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.$header_title ?>" data-schlix-controller="SCHLIX.CMS.HtmlAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldCategoryID() ?>" data-cancel-warning="true" >    
    <div class="content">
        <form id="frm_category_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=savecategory') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="cid" id="cid" value="<?= ___h($category['cid']) ?>" />
            <input type="hidden" name="parent_id" value="<?= (int) $category['parent_id']; ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= ___h($category['guid']) ?>" />

            <div class="row">
                <div class="col-md-8">
                    <!-- Category Title -->
                    <div class="form-group">
                        <label for="title"><?= ___('Category Title') ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($category['title']) ?>" /> 
                            <!-- version -->
                            <?php if ($category['version'] > 0): ?>
                                <span class="input-group-addon"><?= ___('Version') . ': ' .___h( $category['version']) ?></span>
                            <?php endif; ?>
                            <!-- end version -->
                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($category['status'] == 1 || $category[$this->field_category_id] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Search Engine Friendly Shortcut'); ?></label>                
                        <div class="input-group">
                            <span class="input-group-addon"><?= $parent_category_text ?></span>
                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" type="text" value="<?= ___h($category['virtual_filename']); ?>" />
                            <?php if ($id !== 'new'): ?>
                                <span class="input-group-addon"> <a href="<?= $preview_link; ?>" target="_blank"><i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></span>
                            <?php endif ?>
                        </div>

                    </div>
                    <!-- END Virtual Filename -->
                    
                </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-category" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-category" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-category" name="btn_save"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>       
            </div>

            <div class="clearboth"></div>
            <!-- end main section -->
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>

            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_content"><em><i class="far fa-file-alt"></i> <?= ___('Content') ?></em></a></li>
                    <li><a href="#tab_meta"><em><i class="fa fa-hashtag"></i> <?= ___('Meta') ?></em></a></li>
                    <li><a href="#tab_dates"><em><i class="far fa-calendar"></i> <?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab_options"><em><i class="fas fa-sliders-h"></i> <?= ___('Options') ?></em></a></li>
                    <li><a href="#tab_permissions"><em><i class="fa fa-users"></i> <?= ___('Permissions') ?></em></a></li>
                    <li><a href="#tab_versioning"><em><i class="fas fa-code-branch"></i> <?= ___('Versioning') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_content">
                        <!-- tab 1 content -->
                        <label for="summary"><?= ___('Summary') ?></label>
                        <textarea class="wysiwyg form-control" name="summary" id="summary"><?= ___h($category['summary']) ?></textarea>

                        <div class="clearboth"></div>
                        
                        <label for="description"><?= ___('Description') ?></label>
                        <textarea class="wysiwyg form-control" name="description" id="description"><?= ___h($category['description']) ?></textarea>
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_meta">
                        <!-- tab content -->
                        <div class="form-group">                            
                            <label for="meta_key"><?= ___('Meta Keywords') ?></label>
                             <input type="text" data-tagfield="true" class="form-control" id="meta_key" name="meta_key" value="<?= ___h($category['meta_key']); ?>" />
                        </div>
                        <div class="form-group">
                            <label for="meta_description"><?= ___('Meta Description') ?></label>
                            <input type="text" class="form-control" name="meta_description" value="<?= ___h($category['meta_description']); ?>" />
                        </div>
                        <div class="form-group">
                            <label for="tags"><?= ___('Tags') ?></label>
                            <input type="text" data-tagfield="true" class="form-control" id="tags" name="tags" value="<?= ___h($category['tags']); ?>" />
                        </div>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_dates">
                        <!-- tab content -->
                        <table class="schlix_date_attributes" border="0">
                            <tr>
                                <td><?= ___('Created'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_created', $category['date_created']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Modified'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_modified', $category['date_modified']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Published'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_available', $category['date_available']); ?></td>
                            </tr>
                            <tr>
                                <td><?= ___('Expired'); ?></td>
                                <td><?= \INPUT::DateTimePicker('date_expiry', $category['date_expiry']); ?></td>
                            </tr>
                        </table>

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_options">
                        <!-- tab content -->
                        <label><?= ___('Maximum mumber of items to be displayed per page') ?><br />
                            <input type="number" class="form-control" name="items_per_page" value="<?= (int) $category['items_per_page'] ?>" min="1" max="10000" size="5" style="max-width:100px" />
                        </label>
                        <br />
                        <?= \INPUT::CMSObjectOptions('options', $this->app->getCategoryMetaOptionKeys(), $category['options'], $this->app->getDefaultCategoryMetaOptionKeys(), 1, 3);  ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_permissions">
                        <!-- tab content -->
                        <?= \INPUT::UserNameSelectionField('created_by_id', $category['created_by_id'], ___('Owner / Created By'), array('class'=>'form-control')); ?>
                        <?= \INPUT::UserNameSelectionField('modified_by_id', $category['modified_by_id'], ___('Last Modified By'), array('class'=>'form-control')); ?>

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Who can read this page?'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $category['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Who can modify this page?'); ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $category['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_versioning">
                        <!-- eh -->
                        <?php
                        App\Versioning_Admin::displayVersioningGrid($this->app_name, $category['guid']);
                        ?>
                    </div>
                    <!-- end tab -->

                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->


        </form>
    </div>
</schlix-data-editor>