<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $CurrentUser;
if ($id == 'new')
    $item['permission_read'] = serialize('everyone');
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Edit Item') ?>" data-schlix-controller="SCHLIX.CMS.HttpErrorAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
    <div class="content">

        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="status" id="status" value="1" />
            <div class="row">
                <div class="col-md-8">
                    <label><?= ___('Page Title') ?>
                        <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254" required="required"   value="<?= ___h($item['title']) ?>" /> 
                    </label>
                    <!-- version -->
                    <?php if ($item['version'] > 0): ?>
                        <?= ___('Version') . ': ' .___h($item['version']) ?>
                    <?php endif; ?>
                    <!-- end version -->

                    <br />
                    <label><?= ___('Shortcut name') ?>
                        <?php if ($item['is_system_message']):  ?>
                     ~ <?= ___('System Default (cannot be modified)'); ?>
                    <?php endif; ?>                
                       <input name="virtual_filename" size="49" maxlength="254" id="virtual_filename" class="form-control" pattern="[a-zA-Z0-9-_]+" type="text" value="<?= ___h($item['virtual_filename']); ?>"  <?php if ($item['is_system_message'] == 1) echo 'readonly'; ?> />
                    </label>

                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <br />
            <br />
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab1"><em><?= ___('Content') ?></em></a></li>
             <?php /*       <li><a href="#tab6"><em><?= ___('Versioning') ?></em></a></li> */ ?>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab1">
                        <!-- tab 1 content -->
                        <label for="summary"><?= ___('HTML Body') ?></label>
                        <textarea class="wysiwyg form-control" name="summary" id="summary"><?= ___h($item['summary']) ?></textarea>

 
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- end tab --> 
                    <!-- tab -->
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>
    