<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
$package_info = get_system_or_user_file("/macros/{$item['title']}/packageinfo.inc.php", false); // SCHLIX_SITE_PATH . "/admin;

if (file_exists($package_info))
    include($package_info);
?>
<div class="content">
    <div class="row">
        <div class="col-md-12">
            <div  class="text-center">
                <h1><?= $name ? ___h($name) : ___h($item['title']) ?></h1>
                <?php if ($version): ?><p>v<?= $version ?></p><?php endif; ?>
                <?php if ($author && $email): ?><p><?= ___('Author') ?>: <a href="mailto:<?= $email ?>"><?= $author ?></a></p><?php endif; ?>
                <?php if ($url): ?><p><?= ___('Web') ?>: <a href="<?= $url ?>"><?= $url ?></a></p><?php endif; ?>
                <?php if (!$this->isSystem($item['title'])): ?>
                <p><a href="<?= $this->createFriendlyAdminURL('action=uninstall&name=' . convert_into_sef_friendly_title($item['title'])); ?>"><i class="fa fa-times-circle"></i> <?= ___('Uninstall') ?></a></p>
                <?php endif ?>
            </div>
        </div>
    </div>
</div>    