<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $SystemConfig;

$app_list = $this->getListofApplicationsOrBlocks('apps');
$block_list = $this->getListofApplicationsOrBlocks('blocks');
$array_enabled_apps = unserialize($item['enabled_apps']);
$array_enabled_blocks = unserialize($item['enabled_blocks']);
/*
$macro_config = new \SCHLIX\cmsConfigRegistry('gk_macro_config');
//$config = $macro_config->get($item['title']);
$macro_name = '\\Macro\\' . $item['title'];
$the_macro = new $macro_name($macro_config);
$the_macro->loadLanguageFile();
$local_variables = array('filter_config' => $macro_config);*/
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.___('Edit Item') ?>"  data-schlix-controller="SCHLIX.CMS.MacrosAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <form method="post" name="macro_item_editor" id="macro_item_editor" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" autocomplete="off" >
            <?= \INPUT::CSRF() ?>


            <div class="row">
                <div class="col-md-8">
                    
                        <?= ___('Macro Name'); ?>
                        <strong><?= htmlspecialchars($item['title']); ?></strong>
                    <br />
                    <div>
                        <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                data-text-yes="<?= ___('Active') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                    </div>



                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- end sidebar -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <div id="schlix_dualpane_editor_content">
                    <ul class="schlixui-tabheader">
                        <li class="selected"><a href="#tab1"><em><?= ___('Macro Configuration') ?></em></a></li>
                        <li><a href="#tab2"><em><?= ___('Application Visibility') ?></em></a></li>
                        <li><a href="#tab3"><em><?= ___('Block Visibility') ?></em></a></li>
                        <li><a href="#tab4"><em><?= ___('About') ?></em></a></li>
                    </ul>
                    <div class="schlixui-tabcontent">
                        <div id="tab1">
                            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
                            <input type="hidden" name="display_in_apps_workaround" id="display_in_apps_workaround" value="<?= $item['display_in_apps']; ?>" />
                            <input type="hidden" name="display_in_blocks_workaround" id="display_in_blocks_workaround" value="<?= $item['display_in_blocks']; ?>" />
                            <div class="schlix_editor_main">
                                <?= \SCHLIX\cmsConfigRegistry::loadConfigFile('macros', $item, $item['title'], $item['title']) ?>
                                           
                                <br />
                                <br />
                            </div>
                        </div> <!-- end tab -->

                        <div id="tab2">
                            <p><?= ___('Please choose which application(s) should process this macro:') ?></p>
                            <div class="radio">
                                <label><input type="radio" name="display_in_apps" id="apps_select_all" value="1" <?= ($item['display_in_apps'] == 1) ? 'checked' : '' ?> /><?= ___('All applications') ?></label>
                            </div>
                            <div class="radio">
                            <label><input type="radio" name="display_in_apps" id="apps_select_some"  value="2" <?= ($item['display_in_apps'] == 2) ? 'checked' : '' ?> /><?= ___('Only on specified applications') ?></label>
                            </div>

                            <div id="app_selections">

                                <?= \INPUT::CHECKBOX_GROUP('enabled_apps', $app_list, $array_enabled_apps, ___('Applications to be enabled')); ?>

                            </div>
                        </div> <!-- end tab -->

                        <div id="tab3">
                            <p><?= ___('Please choose which block(s) should process this macro:') ?></p>
                            <?php
                            $checked1 = ($item['display_in_blocks'] == 1);
                            $checked2 = ($item['display_in_apps'] == 2);
                            ?>
                            <div class="radio">
                                <label><input type="radio" name="display_in_blocks"  id="blocks_select_all" value="1" <?= ($item['display_in_blocks'] == 1) ? 'checked' : '' ?> /><?= ___('All blocks') ?></label><br />
                            </div>
                            <div class="radio">                            
                                <label><input type="radio" name="display_in_blocks" id="blocks_select_some"  value="2" <?= ($item['display_in_blocks'] == 2) ? 'checked' : '' ?> /><?= ___('Only on specified blocks') ?></label><br />
                            </div>
                            <div id="block_selections">
                                <?= \INPUT::CHECKBOX_GROUP('enabled_blocks', $block_list, $array_enabled_blocks, ___('Blocks to be enabled')); ?>
                            </div>
                        </div><!-- end tab -->

                        <div id="tab4">
                            <?php include('edit.item.about.template.php'); ?>
                        </div>
                        <!-- end tab -->                        

                    </div>
                </div>

            </div>

        </form>
    </div>    
</schlix-data-editor>
