<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php if (!defined('SCHLIX_VERSION')) die('No Access'); ?>
<?php $is_wysiwyg_mode = (fget_int('frame') > 0); ?>
<?php $app = $this->app_name; ?>


<script type='text/javascript'>
    var is_wysiwyg_mode = <?= $is_wysiwyg_mode ? 'true' : 'false' ?>;
    var schlix_cache_path = '<?=  CURRENT_SUBSITE_URL_PATH.'/cache/thumbnails' ?>';
</script>    

<div class="schlix-explorer" id="media-manager">
    <schlix-file-manager id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.MediaManager" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-upload" data-schlix-command="upload" class="schlix-command-button"><i class="fa fa-upload"></i> <?= ___("Upload") ?></a></li>
                    <li><a href="#" schlix-id="btn-new-folder" data-schlix-command="new-folder" class="schlix-command-button"><i class="far fa-folder"></i> <?=  ___("New Folder") ?></a></li>
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh'); ?></a></li>
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>

                </ul>

                <div class="col-sm-3 col-md-3 schlix-toolbar-search-container">
                    <form schlix-id="search-form" class="navbar-form" role="search">
                        <div class="btn-group">
                            <input schlix-id="search-keyword" type="search" class="form-control border-left-none search-with-clear"  placeholder="<?= ___('Search...') ?>">
                        </div>                    
                    </form>
                </div>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><?= ___('Help') ?> <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            
                            <li class="divider"></li>
                            <li><a href="#" schlix-id="btn-help-about" data-schlix-command="help-about" data-schlix-app-action="helpabout" class="schlix-command-button"><?= ___('About') ?></a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>

        <schlix-data-breadcrumb schlix-id="breadcrumb">
        </schlix-data-breadcrumb>
        <div style=" clear:both"></div>
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <!-- Left Column -->
            <div class="col-sm-2 col-xs-2 col-md-3 col-lg-3 left-column" schlix-id="left-column" >
                <schlix-treeview schlix-id="datanav-tree" data-dynamic="true" >            
                </schlix-treeview>
            </div>
            <!-- Right Column -->
            <div class="col-sm-9 col-xs-2 col-md-9 col-lg-9 right-column" schlix-id="right-column" >
                <schlix-data-table schlix-id="datanav-datatable">
                    <schlix-data-table-columns>
                        <?php if (!$is_wysiwyg_mode): ?>

                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="SCHLIX.CMS.MediaManager.formatDataTableCell_CheckBox" sortable="false" />                           

                        <?php endif; ?>
                        
                        <schlix-data-table-column key="virtual_filename" sortable="true" label="<?= ___('Title') ?>" formatter="SCHLIX.CMS.MediaManager.formatDataTableCell_Filename" />
                        <schlix-data-table-column key="this.field_id" hidden="true" sortable="true" formatter="string" />
                        <schlix-data-table-column key="size" label="<?= ___('Size') ?>" sortable="true" formatter="SCHLIX.CMS.MediaManager.formatDataTableCell_FileSize" />
                        <schlix-data-table-column key="permission" label="<?= ___('Permission') ?>" sortable="true" formatter="string"   />
                        <schlix-data-table-column key="owner" label="<?= ___('Owner') ?>" sortable="false" formatter="string"  />
                        <schlix-data-table-column key="date_modified" label='<?= ___('Date Modified') ?>' sortable="true" formatter="this.formatDataTableCell_Date" />
                        <schlix-data-table-column key="this.field_item_title" label="<?= ___('Action') ?>" sortable="false" formatter="SCHLIX.CMS.MediaManager.formatAction"   />
                    </schlix-data-table-columns>
                </schlix-data-table>
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>

            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-file-manager>
</div>


<!-- Upload Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-upload-image-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.MediaManager" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("Upload to") ?>&nbsp;/web/<?= CURRENT_SUBSITE_NAME ?><span id="header-uploadstartpath"></span></div>
    <div class="panel-body">
        <div id="container-upload">
            <!-- form -->

                <div class="alert alert-warning ">
                    <p><?= ___('Maximum file size').': '.' '.round(get_real_max_upload_size()/(1024.0*1024.0), 2).' '.___('Mb') ?></p>
                </div>
                <form method="post" id="frm_upload_file" class="schlix-form-install" action="/admin/app/<?= $app ?>?action=upload" data-action="action=upload" enctype="multipart/form-data">
                    <input type="hidden" id="__max_file_size" name="MAX_FILE_SIZE" value="<?= get_real_max_upload_size() ?>" />                     
                    <input type="hidden" id="__total_file_size" name="__total_file_size" value="0" />                     
                    <?= \INPUT::CSRF() ?>
                    <div class="row">
                        <div class="col-xs-5 col-md-5">
                            <span class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Select file(s) for upload to") ?>
                        <input id="filedata" multiple="true" class="form-control" type="file" name="filedata[]" accept="images" required="required" />
                    </span>
                        </div>
                        <div class="col-xs-7 col-md-7">
                           <input type="text" class="form-control" name="uploadstartpath" id="text-uploadstartpath" required="required" readonly="readonly" />
                        </div>                        
                    </div>
                    <div style="max-height:100px;overflow: auto">
                    <ul id="filelist" class="list-unstyled" ></ul>
                    </div>
                    <p><span id="filelist-prefix-totalsize"></span>&nbsp;<span id="filelist-display-totalsize"></span></p>
                    
                    
                    <button type="submit" name="upload" id="btn-media-upload" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-upload"></i>&nbsp;<?= ___('Go') ?></button>
                    <button type="submit" name="cancel" id="btn-media-cancel"data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>

<!-- New Folder Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-new-folder-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.MediaManager" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("New folder"); ?></div>
    <div class="panel-body">
        <div id="container-newfolder">
            <!-- form -->

                
                <form method="post" id="frm_new_folder" class="schlix-form-install" data-action="action=newfolder" enctype="multipart/form-data">
                    <?= \INPUT::CSRF() ?>
                    <label><?= ___('Create a new folder under') ?> <input type="text" class="form-control" name="newfolderstartpath" id="text-newfolderstartpath" required="required" readonly="readonly" /></label>
                    <br />

                    <label><?= ___('Folder Name') ?> <input type="text" class="form-control" name="foldername" id="text-newfolder" required="required" maxlength="63" 
                                              oninvalid="setCustomValidity('Please enter a valid folder name')"  onchange="setCustomValidity('')" required="required" /></label>
                    <br />

                    <button type="submit" name="install" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-check"></i>&nbsp;<?= ___('OK') ?></button>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>


<!-- Rename Dialog -->
<div class="schlix-cms-common-dialog" id="schlix-cms-rename-dialog" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.MediaManager" data-model="<?= $this->getDataModelURL() ?>">    
    <div class="panel-header"><?= ___("Rename a file"); ?></div>
    <div class="panel-body">
        <div id="container-rename">
            <!-- form -->

                <form method="post" id="frm_rename" class="schlix-form-install" data-action="action=rename" enctype="multipart/form-data">
                    <?= \INPUT::CSRF() ?>
                    <p><?= ___("Please enter the new name for "); ?> <input type="text" class="form-control" readonly="true" name="oldname"  id="text-oldname" /></p>
                    <input type="hidden" class="form-control" name="filetype"  readonly="true"  id="text-filetype" />
                    <label><?= ___('Old Name') ?><input type="text" class="form-control" name="oldfilenameonly"  readonly="true"  id="text-oldfilenameonly" required="required" /></label>
                    <br />
                    <label><?= ___('New Name') ?><input type="text" class="form-control" name="newname" id="text-newfilenameonly" required="required" /></label>
                    <br />
                    <br />
                    <button type="submit" name="rename" data-schlix-command="dialog-submit" class="btn btn-primary"><i class="fa fa-check"></i>&nbsp;<?= ___('OK') ?></button>
                    <button type="submit" name="cancel" data-schlix-command="dialog-close" class="btn btn-default"><i class="fa fa-times"></i>&nbsp;<?= ___('Cancel') ?></button>
                </form>        
                <!-- end form -->
        </div>
    </div>
</div>
