<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;

$array_ssl_states = array(array('label' => ___('Auto (Default)'), 'value' => '0'),
    array('label' => ___('HTTP - Regular'), 'value' => '1'),
    array('label' => ___('HTTPS - Encrypted SSL only (will not work if it is not setup properly)'), 'value' => '2'));

$array_subtemplates = $this->getListOfFrontendSubtemplates();

$current_website_template = $this->getDefaultFrontendThemeID();
$template_name = $current_website_template['title'];
$template_id = $current_website_template['id'];
$template_link =  $template_name; //A($template_name, "index.php?app=templates&action=edititem&id={$template_id}", array('target' => '_blank'));

$header_title = ($id == 'new') ? ___('New Item') : ___('Edit Item');
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $header_title ?>" data-schlix-controller="SCHLIX.CMS.MenusAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >    
    <div class="content">
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="category_id" value="<?= (int) $item['category_id'] ?>" />
            <input type="hidden" name="existing_application" id="existing_application" value="<?= ___h($item['application']) ?>" />
            <input type="hidden" name="existing_menuaction" id="existing_menuaction" value="<?= ___h($item['menuaction']) ?>" />
            <input type="hidden" name="existing_menuitem" id="existing_menuitem" value="<?= ___h($item['menuitem']) ?>" />
            <input type="hidden" name="existing_customurl" id="existing_customurl" value="<?= ___h($item['customurl']) ?>" />
            <input type="hidden" name="user_changed_item_or_category" id="user_changed_item_or_category" value="0" />
            <?php if ($item['menuaction'] == 'standard_browse'):
                $existing_menu_parent_category = $this->getMenuItemParentCategoryForMenuItemSelection($item['application'], $item['menuitem']);
                ?>
                <input type="hidden" name="existing_menu_parent_category" id="existing_menu_parent_category" value="<?= $existing_menu_parent_category; ?>" />
            <?php endif; ?>


            <div class="row">
                <div class="col-md-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Menu Title") ?></label>
                        <div class="input-group">
                             <!-- title --> 
                                 
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" /> 
                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___('Active') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                            <!-- Featured -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="open_in_new_window" data-input-name="open_in_new_window" data-value="<?= ($item['open_in_new_window'] == 1) ?>" 
                                        data-icon-yes="fas fa-external-link-alt-square" data-icon-no="far fa-minus-square" data-color-yes="salmon" data-color-no="blue" 
                                        data-text-yes="<?= ___('Open in a new tab/window') ?>" data-text-no="<?= ___('Open in current window') ?>"></schlix-cms-document-status>

                            </span>
                        </div>
                    <!-- current link -->
                    <?php
                    if (SCHLIX_SEF_ENABLED) {
                        $url = SCHLIX_SITE_URL . $item['sefurl'];
                    }
                    else
                        $url = SCHLIX_SITE_URL . '/index.php?' . $item['internalurl'];

                    if ($item['application'] == 'external_link')
                        $url = $item['customurl'];
                    ?>
                    <?= ___('currently links to') ?> <?= $item['application'] ?>:
                    <?php if ($item['id'] == 'new') echo 'undefined (new item)';
                    else echo $url; ?>
                    <!-- end current link -->
                        
                    </div>
                    <!-- End Page Title -->

                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            <br />
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected "><a href="#tab1"><em><?= ___('Application') ?></em></a></li>
                    <li><a href="#tab2"><em><?= ___('Icon and Page subtemplate') ?></em></a></li>
                    <li><a href="#tab3"><em><?= ___('Connection') ?></em></a></li>
                    <li><a href="#tab5"><em><?= ___('Permissions') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab1">
                        <!-- tab 1 content -->
                        <div class="row">
                            <div class="col-md-3">
                                <h4><i class="fa fa-puzzle-piece"></i> <?= ___("Please select an application") ?></h4>
                                <?= $this->drawApplicationChoices($item['application']); ?>
                            </div>
                            <div class="col-md-9">
                                <div id="menu_application_methods_container">
                                    <!-- this is where the action (e.g. main, view item, rss, etc will be displayed -->
                                </div>
                                
                                 
                                <!-- ################################## -->
                                <!-- ########## For the app ########### -->
                                <!-- ################################## -->
                                <div id="menu_editor_layout">
                                    <?php include('edit.item.layout.template.php') ?>
                                </div>
                                <!-- ################################## -->
                                <!-- ########## end for the app ####### -->
                                <!-- ################################## -->
                            </div>
                        </div>
                        

                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab2">
                        <!-- tab content -->
                        <div class="row">
                            <!-- col -->
                            <div class="col-md-5">
                            <fieldset>
                                <legend><?= ___('Font icon') ?></legend>
                               <button class="btn btn-default" name="font_icon"  data-iconset="fontawesome" data-icon="<?= ___h($item['font_icon']); ?>" role="iconpicker"></button> 
                                <schlix-cms-document-status id="use_font_icon_only_no_text" data-input-name="use_font_icon_only_no_text" 
                                                            data-value="<?= ($item['use_font_icon_only_no_text'] == 1) ?>" 
                                                            data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                                            data-text-yes="<?= ___('Use font icon only') ?>" data-text-no="<?= ___('Use both text and font icon') ?>"></schlix-cms-document-status>
                                
                            </fieldset>
                                
                            <fieldset>
                                <legend><?= ___('CSS') ?></legend>
                                <!-- custom css class -->
                                <label>
                                    <?= ___('Custom CSS Class'); ?><br />
                                    <input name="custom_css_class" class="form-control" type="text" value="<?= ___h($item['custom_css_class']); ?>" />
                                </label>
                            </fieldset>
                            </div>
                            
                            <!-- col -->
                            <div class="col-md-7">
                            <p><?= ___('Current website theme') ?>:&nbsp;<strong><?= $template_link; ?></strong></p>
                            <?php $subtemplate_desktop = ($id ==='new') ? 'index' : $item['subtemplate']; ?>
                            <?php $subtemplate_desktop_inner_pages = ($id ==='new') ? 'index' : $item['subtemplate_inner_pages']; ?>
                            <?php $subtemplate_mobile = ($id ==='new') ? 'index' : $item['subtemplate_mobile']; ?>
                            <?= \INPUT::RADIO_GROUP('subtemplate', $array_subtemplates, $subtemplate_desktop, '<i class="fa fa-desktop"></i> '. ___('Desktop and Responsive subtemplate') ); ?>
                            <?= \INPUT::RADIO_GROUP('subtemplate_inner_pages', $array_subtemplates, $subtemplate_desktop_inner_pages, '<i class="fa fa-desktop"></i> '. ___('Desktop and Responsive inner pages subtemplate')); ?>
                            <?= \INPUT::RADIO_GROUP('subtemplate_mobile', $array_subtemplates, $subtemplate_mobile, '<i class="fas fa-mobile-alt-phone"></i> '.___('Specific mobile subtemplate (Adaptive)') ); ?>
                            <p><?= ___('Note') ?>: <?= sprintf(___('You can create more custom %s (sub-template files) in the current theme directory: %s'), '*.template.php', CURRENT_THEME_URL_PATH) ?> </p>
                            </div>
                        </div>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab3">
                        <!-- tab content -->
                        <?= \INPUT::RADIO_GROUP('ssl_state', $array_ssl_states, ($item['ssl_state']), ___('Connection Type'), false); ?>


                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->

                    <!-- tab -->
                    <div id="tab5">
                        <!-- tab content -->

                        <fieldset id="fieldset_permission_read">
                            <legend><?= ___('Read permissions'); ?></legend>
                            <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                        </fieldset>
                        <fieldset id="fieldset_permission_write">
                            <legend><?= ___('Write permissions'); ?></legend>
                            <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                        </fieldset>                    
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>