<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
$new_url_query_string = 'action=search';
if (fget_string('keyword'))
{
    $clean_keyword = fget_string('keyword',255); 
    $new_url_query_string.= "&keyword={$clean_keyword}";
}
$i = 0;
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-search_result">
    
    <h1><?= ___('Search'); ?></h1>
    <div class="text-center">
        <form id="form1" name="form1" method="get" action="<?= $this->createFriendlyURL('action=search'); ?>" enctype="multipart/form-data" >
                
            <div class="nice-search">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="<?= ___('Search'); ?>" name="keyword" id="keyword" value="<?= ___h(urldecode($clean_keyword)); ?>" />
                    <span class="input-group-btn">
                        <button class="btn btn-info" type="button">
                            <i class="fa  fa-search"></i>
                        </button>
                    </span>
                </div>
            </div>
                
        </form>
    </div>
    <?php if ($items) : ?>
        <?php foreach ($items as $item): ?>
            <?php
            $article = $item;
            $summary = mb_substr(strip_tags($article['summary']), 0, 150, 'UTF-8') . '...';
            $theobj = $item['object'];
            $methods = get_class_methods($theobj);
            if (in_array('createFriendlyURL', $methods))
                $articlelink = $theobj->createFriendlyURL("action=viewitem&id={$item['id']}");
            $i++;
            ?>
            <h3 class="search_result_title"><?= ___h($article['title']); ?></h3>
            <div class="search_result_text">
                <p class="search_result_text">
                    <?= $summary; ?>
                    <br/><a class="search_result_link" href="<?= $articlelink; ?>">[<?= ___('Read More') ?>...]</a>
                </p>
            </div>
        <?php endforeach; ?>
    <?php else: ?>
        <p><?= sprintf(___('No result for keyword %s'), ___h($clean_keyword)) ?></p>
       
    <?php endif; ?>
    <br />
    <?php $pagination_str = $this->displayItemPagination($pg, $pagination['total'], $new_url_query_string); ?>
    <?php if ($pagination_str): ?>
        <div class="pagination"><?= $pagination_str; ?></div>
    <?php endif ?>
</div>

<!-- end pagination -->