<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = $this->app_name; ?>
<?php $this->app->createSitemapIfNotExist() ?>
<?php 
$current_sitemap_content = file_get_contents(CURRENT_SUBSITE_PATH.'/cache/sitemap.xml');

?>
<div class="schlix-explorer">
    <schlix-data-explorer-blank id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.SitemapAdmin" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
        <div class="content">
        <p><?= ___('There is no backend for sitemap. You can, however, configure which apps can be searched by clicking configuration') ?></p>
        <p><?= ___('The following sitemap XML URL can be submitted to Google Webmaster Tools, Bing, Yandex, Yahoo and other search engines to help them crawl your website better.') ?></p>
        <p><?= ___('Your sitemap can be found here:') ?>
            <input type="url" class="form-control" readonly="readonly" value="<?= $this->app->getCachedSitemapXMLURL() ?>" />
            <br />
        <p>
            <button id="btn-regenerate-sitemap" class="btn btn-success"><?= ___('Regenerate Sitemap') ?></button></p>
            
            <label class="control-label" for="txt_cached_sitemap"><?= ___('Current cached sitemap') ?></label>
            <textarea class="form-control" id="txt_cached_sitemap" readonly="readonly" style="min-height:400px"><?= $current_sitemap_content ?></textarea>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-blank>
</div>

