<?php if (!defined('SCHLIX_VERSION')) die('No Access'); ?>
<?php $app = $this->app_name ?>

<div class="row">
    <div class="col-md-6">
<div class="schlix-explorer" id="hostnames-section">
    <schlix-wwwaddress-data-explorer id="schlix-hostnames-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.SiteManagerAdmin" 
                               data-model="<?= $this->getDataModelURL() ?>">
        <schlix-datasource>
            <custom-command data-default="action=getdataresponseschemas"  data-replace-with="action=gethostdataresponseschemas"></custom-command>
            <custom-command data-default="action=getallitems"  data-replace-with="action=gethostnames&id=<?= ___h($id) ?>"></custom-command>
            <custom-command data-default="action=updatefield"  data-replace-with="action=updatehost&id=<?= ___h($id) ?>"></custom-command>
        </schlix-datasource>
        
        
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-hostnames-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-new-address" data-schlix-command="new-address" class="schlix-command-button"><i class="fa fa-globe"></i> <?= ___('New Address') ?></a></li>                    
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >

                <schlix-data-table schlix-id="datanav-datatable" schlix-field-item-tile="hostname">
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="hostname" label="Hostname" hidden="false" sortable="false" formatter="SCHLIX.CMS.SiteManagerAdmin.formatSiteName" editor="new SCHLIX.UI.TextboxCellEditor({disableBtns:false})"></schlix-data-table-column>
                        <schlix-data-table-column key="id" label="Action" hidden="false" sortable="false" formatter="SCHLIX.CMS.SiteManagerAdmin.formatAction"></schlix-data-table-column>
                    </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-wwwaddress-data-explorer>
</div>
</div>
    <div class="col-md-6">
        <div class="alert alert-warning">
            <?= ___('Please enter one or more valid domain names') ?>.
            <?= ___('For example') ?>:
            <ul>
                <li>www.example.com <i class="fa fa-check" style="color:green"></i></li>
                <li>example.com <i class="fa fa-check" style="color:green"></i></li>
                <li>example.net <i class="fa fa-check" style="color:green"></i></li>
                <li>example (<?= ___('usually this is in your intranet or local development environment') ?>) <i class="fa fa-check" style="color:green"></i></li>
                <li>xn--eckwd4c7c.xn--zckzah.com <i class="fa fa-check" style="color:green"></i> (<?= ___('translates to')?>: ドメイン.テスト.com)</li>
                <li>xn--h1alffa9f.ru <i class="fa fa-check" style="color:green"></i> (<?= ___('translates to')?>: Россия.ru) </li>
                <li>xn--fiqs8s.cn <i class="fa fa-check" style="color:green"></i> (<?= ___('translates to')?>: 中国.cn) </li>
            </ul>
        </div>
    </div>
</div>