<?php
if ($id != 'new') {
    $configvar = $this->parseSiteConfigFile($item['title']);
}

$system_timezone = $configvar['SCHLIX_SYSTEM_TIMEZONE'];
$userclass_selections = $this->getUsersClassArray();
$usergroup_selections = $this->getUserGroupsArray();

if ($configvar['SCHLIX_SITE_HTTP_URL'] == 'http://')
    $configvar['SCHLIX_SITE_HTTP_URL'] = '';
$site_http_url = $configvar['SCHLIX_SITE_HTTP_URL'];


$config_file_location = SCHLIX_ROOT_PATH . '/web/' . $item['title'] . '/config.inc.php';

if ($was_new) {
    $configvar['SCHLIX_DB_USERNAME'] = SCHLIX_DB_USERNAME;
    $configvar['SCHLIX_DB_PASSWORD'] = SCHLIX_DB_PASSWORD;
    $configvar['SCHLIX_DB_HOST'] = SCHLIX_DB_HOST;
    $configvar['SCHLIX_MAIL_DEFAULT_SENDER'] = SCHLIX_MAIL_DEFAULT_SENDER;
    $configvar['SCHLIX_MAIL_DEFAULT_EMAIL'] = SCHLIX_MAIL_DEFAULT_EMAIL;
    $configvar['SCHLIX_SESSION_LOGIN_TIME'] = 86400;
}

$current_error_report = $this->getCurrentErrorReportingInArray();

$current_site_id = $this->getCurrentSiteID();
$is_editing_current_site = ((int) $id === (int) $current_site_id);
?>

<div class="content">

    <?php if ($was_new): ?>
        <div class="alert alert-info">
            <i class="far fa-lightbulb"></i>&nbsp;<?= ___('Administrator password on this new website will be set to your current password') ?>
        </div>
    <?php endif ?>

    <?php if ($id != 'new' && file_exists($config_file_location) && !is_writable($config_file_location)): ?>
        <div class="panel panel-danger">
            <div class="panel-heading">
                <?= ___('Error') ?>
            </div>
            <div class="panel-body">
                <?= ___('Cannot write to configuration file') . ' ' . $config_file_location ?>
            </div>    
        </div>
    <?php endif; ?>    


    <!-- row -->
    <div class="row">
        <!-- begin column -->
        <div class="col-md-6">
            <!-- ############ CONFIG SECTION #############3 --> 
            <!-- ##### BOX ##### -->
            <div class="box box-info">
                <!-- box header -->
                <div class="box-header"><h3 class="box-title"> <?= ___('Site') ?></h3></div>
                <!-- end box header -->
                <div class="box-body ">
                    <!-- begin box content -->

                    <div class = "form-group">
                        <!-- form-group content -->
                        <label for="site_name"><?= ___('Site Name') ?></label>                        
                        <div class="input-group">                            
                            <span class="input-group-addon"><i class="fas fa-university"></i></span>
                            <input name="site_name" id='site_name' class="form-control" type="text" value="<?= $configvar['SCHLIX_SITE_NAME'] ?>" title="<?= ___('Site Name is required') ?>" required="required" />
                            <span class="input-group-addon"> <label><input type="checkbox" name="site_online" id="site_online" value="1" <?= ($configvar['SCHLIX_SITE_OFFLINE'] == 'false') ? 'checked' : '' ?>  />
                                    <i class="fa fa-star"></i>&nbsp;<?= ___('Active'); ?></label></span>
                        </div>
                        <!-- field -->

                        <?php if (!$was_new): ?>
                            <!-- field -->
                            <label for="site_http_url"><?= ___('Site HTTP URL') ?> </label>

                            <div class="input-group">                            
                                <input name="site_http_url" id='site_http_url' class="form-control validate-http-domain required" type="url" value="<?= $site_http_url; ?>" placeholder="http://.... <?= ___('Leave blank for auto configuration') ?>"  />
                            </div>
                        <?php endif ?>
                        <!-- SSL -->
                        <label><?= ___('Site HTTPS URL') ?> (SSL)</label>
                        <div class="input-group">                            

                            <input name="site_https_url" id='SCHLIX_SITE_HTTPS_URL' class="form-control validate-https-domain" type="url" value="<?= $configvar['SCHLIX_SITE_HTTPS_URL']; ?>"  placeholder="https://... <?= ___('Leave blank for auto configuration') ?>" />
                            <span class="input-group-addon"> 
                                <label><input type="checkbox" name="ssl_enabled" id="ssl_enabled" value="1" <?= ($configvar['SCHLIX_SITE_SSL_ENABLED'] == 'true') ? 'checked' : '' ?>  /><?= ___('Enable SSL') ?></label></span>     
                            <span class="input-group-addon">
                                <label><input type="checkbox" name="force_ssl_admin_login" id="force_ssl_admin_login"  value="1" <?php if ($configvar['SCHLIX_FORCE_SSL_ADMIN_LOGIN'] == 'true') echo 'checked'; ?> />
                                    <?= ___('Force SSL login'); ?></label>
                            </span>
                        </div>
                        <!-- end SSL -->

                        <!-- field -->
                        <label for="admin_login_time"><?= ___('Session validity time') ?></label>
                        <?php $session_validity_seconds = $configvar['SCHLIX_SESSION_LOGIN_TIME']; ?>
                        <div class="input-group">                            
                            <span class="input-group-addon"><i class="far fa-clock"></i></span>
                            
                            <select id="admin_login_time" name="admin_login_time" class="form-control" required="required">
                                <option value="0"><?= ___('Please select') ?></option>
                                <option value="900" <?= $session_validity_seconds == 900 ? 'selected' : '' ?>><?= ___('15 minutes') ?></option>
                                <option value="1800" <?= $session_validity_seconds == 1800 ? 'selected' : '' ?>><?= ___('30 minutes') ?></option>
                                <option value="3600" <?= $session_validity_seconds == 3600 ? 'selected' : '' ?>><?= ___('1 hour') ?></option>
                                <option value="7200" <?= $session_validity_seconds == 7200 ? 'selected' : '' ?>><?= ___('2 hours') ?></option>
                                <option value="14400" <?= $session_validity_seconds == 14400 ? 'selected' : '' ?>><?= ___('4 hours') ?></option>
                                <option value="28800" <?= $session_validity_seconds == 28800 ? 'selected' : '' ?>><?= ___('8 hours') ?></option>
                                <option value="43200" <?= $session_validity_seconds == 43200 ? 'selected' : '' ?>><?= ___('12 hours') ?></option>
                                <option value="86400" <?= $session_validity_seconds == 86400 ? 'selected' : '' ?>><?= ___('1 day') ?></option>
                                <option value="172800" <?= $session_validity_seconds == 172800 ? 'selected' : '' ?>><?= ___('2 days') ?></option>
                                <option value="604800" <?= $session_validity_seconds == 604800 ? 'selected' : '' ?>><?= ___('1 week') ?></option>
                                <option value="1209600" <?= $session_validity_seconds == 1209600 ? 'selected' : '' ?>><?= ___('2 weeks') ?></option>
                            </select>
                            
                        </div>
                        <!-- field -->
                        <label for="system_timezone"><?= ___('System Timezone') ?></label>
                        <div class="input-group">                            
                            <span class="input-group-addon"><i class="fa fa-globe"></i></span>
                            <?= INPUT::TimeZoneSelectList('system_timezone', $system_timezone ? $system_timezone : 'GMT', array('class' => 'form-control')); ?>
                        </div>
                        <!-- field -->

                        <!-- form-group content -->
                    </div>          

                    <!-- end box content -->
                </div>
            </div>
            <!-- ##### END BOX ##### -->

            <!-- ######### END CONFIG SECTION ########### --> 
        </div>
        <!-- end column -->

        <!-- begin column -->
        <div class="col-md-6">
            <!-- ############ CONFIG SECTION #############3 --> 
            <div class="box box-danger">
                <div class="box-header"><h3 class="box-title"><?= ___('E-mail') ?></h3></div>
                <div class="box-body">
                    <div class = "form-group">


                        <!-- body -->
                        <!-- field -->

                        <label for="mail_default_sender"><?= ___('Default Mail Sender Name') ?></label>
                        <div class="input-group">                            
                            <span class="input-group-addon"><i class="fa fa-user-circle"></i></span>

                            <input name="mail_default_sender" id='mail_default_sender' class="form-control" type="text" value="<?= $configvar['SCHLIX_MAIL_DEFAULT_SENDER']; ?>"  required="required" />
                        </div>
                        <!-- field -->
                        <label><?= ___('Email address') ?></label>
                        <div class="input-group">                            
                            <span class="input-group-addon"><i class="far fa-envelope"></i></span>

                            <input name="mail_default_email" id='mail_default_email' class="form-control validate-email" type="email" value="<?= $configvar['SCHLIX_MAIL_DEFAULT_EMAIL']; ?>" pattern="^[a-zA-Z0-9][-a-zA-Z0-9.!#$%&amp;+-=?^_`{|}~\/]+@([-a-zA-Z0-9]+\.)+[a-zA-Z]{2,5}$" required="required" />

                        </div>
                        <br />
                        <fieldset><legend><?= ___('Outgoing SMTP server') ?></legend>
                        <em>
                            <?= (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN' && $configvar['SCHLIX_SMTP_HOST'] == '') ? ___('Please configure the SMTP server, otherwise registration/contact mail will not work') : ___('Leave the SMTP settings below blank to use the default settings') ?></em>
                        <br />
                        <!-- field -->
                        <div class="form-inline">
                            <!-- inner field -->
                            <label><?= ___('Host') ?></label>
                            <div class="input-group">                            
                                <span class="input-group-addon"><i class="far fa-envelope"></i></span>


                                <input name="smtp_host" id='smtp_host' class="form-control" type="text" value="<?= $configvar['SCHLIX_SMTP_HOST'] ? $configvar['SCHLIX_SMTP_HOST'] : '' ?>"  />
                            </div>
                            <!-- inner field -->
                            <label><?= ___('Port') ?></label>
                            <div class="input-group">                            

                                <input name="smtp_port" id='smtp_port' class="form-control" type="number" value="<?= ($configvar['SCHLIX_SMTP_PORT'] ? $configvar['SCHLIX_SMTP_PORT'] : ''); ?>" placeholder="25, 465 (SSL), <?= ___('or') ?> 587 (TLS)"  />
                            </div>
                            <!-- end inner fields -->
                        </div>
                        <br />
                        <!-- field -->
                        <div class="form-inline">
<div class="input-group">
                            <strong><?= ___('Security') ?>: </strong>
                            <div class="radio">
                                <label> <input type="radio" name="smtp_secure_with" id="smtp_secure_with"  value="" <?= ($configvar['SCHLIX_SMTP_SECURITY'] == '') || !$configvar['SCHLIX_SMTP_SECURITY'] ? 'checked' : ''; ?> /><?= ___('none') ?></label>
                            </div>
                            <div class="radio">
                                <label> <input type="radio" name="smtp_secure_with" id="smtp_secure_with"  value="ssl" <?= (strtolower($configvar['SCHLIX_SMTP_SECURITY']) == 'ssl') ? 'checked' : '' ?> /><?= ___('SSL') ?></label>
                            </div>
                            <div class="radio">
                                <label> <input type="radio" name="smtp_secure_with" id="smtp_secure_with"  value="tls" <?= (strtolower($configvar['SCHLIX_SMTP_SECURITY']) == 'tls') ? 'checked' : '' ?> /><?= ___('TLS') ?></label>
                            </div>
                        </div>
                            
                        </div>
                                                <!-- field -->
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" name="smtp_use_auth" id="smtp_use_auth"  value="1" <?= ($configvar['SCHLIX_SMTP_USE_AUTH'] == 1) ? 'checked' : ''; ?> />
                                <?= ___('Use SMTP authentication'); ?></label>
                        </div>
                        <!-- field -->
                        <label for="smtp_username"><?= ___('Username') ?></label>
                            <div class="input-group">                            
                            <span class="input-group-addon"><i class="far fa-user"></i></span>
                            <input name="smtp_username" id='smtp_username' class="form-control" type="text" value="<?= ($configvar['SCHLIX_SMTP_USERNAME'] ? $configvar['SCHLIX_SMTP_USERNAME'] : ''); ?>" autocomplete="off"   />
                            </div>
                        <label for="smtp_password"><?= ___('Password') ?></label>                     
                            <div class="input-group">                            
                            <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                        
                            <input name="smtp_password" id='smtp_password' class="form-control" type="password" value="<?= ($configvar['SCHLIX_SMTP_PASSWORD'] ? $configvar['SCHLIX_SMTP_PASSWORD'] : ''); ?>" autocomplete="off"  />
                            </div>
                        </fieldset>
                        <!-- end body -->
                    </div>
                </div>
            </div>                
            <!-- ######### END CONFIG SECTION ########### --> 
        </div>
        <!-- end column -->            

    </div>
    <!-- row -->
    <div class="row">
        <!-- begin column -->
        <div class="col-md-6">
            <!-- ############ CONFIG SECTION #############3 --> 
            <div class="box box-warning">
                <div class="box-header">
                    <h3 class="box-title"><?= ___('Database') ?></h3>
                </div>
                <div class="box-body">
                    <?php if ($is_editing_current_site): ?>
                        <div class="alert alert-info">
                            <?= ___('Database information cannot be changed when you are editing the current site configuration') ?>
                        </div>
                    <?php endif ?>
                    <?php if ($was_new): ?>
                        <input type="hidden" name="db_tested" id='db_tested' value="0" />
                        <div class="alert alert-warning">
                            <?= ___('Please ensure that you have created the database in MySQL before proceeding') ?>
                        </div>
                    <?php else: ?>                    
                        <input type="hidden" name="db_tested" id='db_tested' value="yes" />
                    <?php endif ?>
                    <!-- body -->
                    <div class="row">
                        <div class="col-sm-8">
                            <!-- settings -->
                            <label for="db_host"><?= ___('Host') ?></label>                    
                            <div class="input-group">                            
                                <span class="input-group-addon"><i class="fa fa-server"></i></span>
                                <input name="db_host" id='db_host' class="form-control" type="text" value="<?= $configvar['SCHLIX_DB_HOST'] ?>" required="required" pattern="^[A-Za-z0-9-_\.]{1,100}$" <?= $is_editing_current_site ? 'readonly="readonly"' : '' ?> />
                            </div>
                            <!-- field -->
                            
                            <label for="db_database"><?= ___('Database Name') ?></label>                        
                            <div class="input-group">                            
                            <span class="input-group-addon"><i class="fa fa-database"></i></span>
                                <input name="db_database" id='db_database' class="form-control" type="text" value="<?= $configvar['SCHLIX_DB_DATABASE'] ?>"  required="required" pattern="^[A-Za-z0-9-_]{1,40}$" <?= $is_editing_current_site ? 'readonly="readonly"' : '' ?> />
                            </div>
                            <!-- field -->
                            <label for="db_username"><?= ___('Username') ?></label>                       
                            <div class="input-group">                            
                            <span class="input-group-addon"><i class="far fa-user"></i></span>

                                <input name="db_username" id='db_username' class="form-control" type="text" value="<?= $configvar['SCHLIX_DB_USERNAME'] ?>" required="required"  pattern="^[A-Za-z0-9-_]{1,40}$" <?= $is_editing_current_site ? 'readonly="readonly"' : '' ?> />
                            </div>
                            <!-- field -->                            
                            <label for="db_password"><?= ___('Password') ?></label>
                            <div class="input-group">                            
                            <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                            
                                <input name="db_password" id='db_password' class="form-control" type="password" value="<?= $configvar['SCHLIX_DB_PASSWORD'] ?>" required="required" pattern=".{4,25}" <?= $is_editing_current_site ? 'readonly="readonly"' : '' ?> />
                            </div>
                            <!-- field -->                            
                            <label><?= ___('SQL Cache') ?></label>
                            
                            <div class="input-group">                            
                                <span class="input-group-addon"><label>
                                <input name="enable_sql_cache" id='enable_sql_cache'  type="checkbox" value="1" <?= ($configvar['SCHLIX_SQL_CACHE_ENABLED'] == 'true') ? "checked" : '' ?>  /> <?= ___('Enable') ?></label></span>
                                <input name="sql_cache_time" id='sql_cache_time' class="form-control" type="number" value="<?= $configvar['SCHLIX_SQL_CACHE_TIME'] ?>"  />
                                <span class="input-group-addon"><?= ___('seconds') ?></span>
                                
                            </div>
                            
                            <div class="checkbox">
                            <label>
                                <input name="enforce_sql_row_limit" id="enforce_sql_row_limit" type="checkbox" value="1" <?= ($configvar['SCHLIX_SQL_ENFORCE_ROW_LIMIT'] == 'true') ? "checked" : '' ?>  /> <?= ___('Enforce SQL Row Limit') ?></label>
                            </div>

                            <!-- end settings -->
                        </div>
                        <div class="col-sm-4">
                            <!-- button -->
                            <a href="javascript:void(0)" class="btn btn-warning" id="btn_test_database">
                                <i class="fa fa-database"></i> <?= ___('Test Connection') ?>
                            </a>
                            <div id="db_test_result"></div>
                            <!-- end button -->
                        </div>
                    </div>
                    <!-- end body -->
                </div>
            </div>                
            <!-- ######### END CONFIG SECTION ########### --> 
        </div>
        <!-- end column -->

        <!-- begin column -->
        <div class="col-md-6">
            <!-- ############ CONFIG SECTION #############3 --> 
            <div class="box box-success">
                <div class="box-header"><h3 class="box-title"><?= ___('Other Settings') ?></h3></div>
                <div class="box-body">
                    <!-- body -->
                    <?php if ($userclass_selections): ?>
                        <label><?= ___('Default User Class') ?><br />
                            <select name="default_user_class" id="default_user_class" class="form-control">
                                <?php foreach ($userclass_selections as $userclass): ?>
                                    <option value="<?= $userclass; ?>" <?= ($userclass == $configvar['SCHLIX_DEFAULT_USER_CLASS']) ? ' selected ' : '' ?>><?= $userclass; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </label>
                    <?php endif; ?>

                    <br />
                    <?php if ($usergroup_selections): ?>
                        <label><?= ___('Default Administrator Group') ?><br />
                            <select name="default_admin_group" id="default_admin_group" class="form-control" required="required">
                                <?php foreach ($usergroup_selections as $group): ?>
                                    <option value="<?= $group['label']; ?>" <?= ($group == $configvar['SCHLIX_DEFAULT_ADMIN_GROUP']) ? ' selected ' : '' ?>><?= $group['label']; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </label>
                    <?php endif; ?>
                    <?php /*
                      <br />
                      <label><?= ___('SCHLIX Javascript Mode') ?>
                      <select class="form-control" id="schlix_js_mode" name="schlix_js_mode">
                      <option value="1" <?= intval($configvar['SCHLIX_JS_MODE']) == 3 ? 'selected': '' ?>><?= ___('Production (Minified, GZIP-ped)') ?></option>
                      <option value="2" <?= intval($configvar['SCHLIX_JS_MODE']) == 2 ? 'selected': '' ?>><?= ___('Minified only') ?></option>
                      <option value="3" <?= intval($configvar['SCHLIX_JS_MODE']) == 1 ? 'selected': '' ?>><?= ___('Debug') ?></option>
                      </select>
                      </label> */
                    ?>
                    <fieldset>
                        <legend><?= ___('Options') ?></legend>
                        <div class="checkbox">
                            <label><input type="checkbox" name="display_errors" id="display_errors"  <?= boolval(@ini_get('display_errors')) ? 'checked="checked"' : '' ?> value="1" /> <?= ___('Display PHP Errors') ?></label>
                        </div>
                        <div class="checkbox">
                            <label><input type="checkbox" name="record_404_errors" id="record_404_errors"  <?= intval($configvar['record_404_errors']) == 1 ? 'checked="checked"' : '' ?> value="1" /> <?= ___('Record 404 Errors in the database') ?></label>

                        </div>
                        <div class="checkbox">
                            <label>
                                <input type="checkbox" name="sef_enabled" id="sef_enabled" value="1" <?= ($configvar['SCHLIX_SEF_ENABLED'] == 'true' || $id == 'new') ? 'checked' : '' ?> />
                                <?= ___('Enable Search Engine Friendly URL') ?></label>
                        </div>

                    </fieldset>

                    <?= \INPUT::CHECKBOX_GROUP('error_report', $this->error_choices, $current_error_report, ___('Error Reporting')) ?>


                    <label><?= ___('Default Meta Keyword') ?><br />
                        <input name="site_meta_key" id='site_meta_key' class="form-control" type="text" value="<?= $configvar['SCHLIX_SITE_META_KEYWORDS'] ?>"  /></label>
                    <br />
                    <label><?= ___('Default Meta Description') ?><br />                            
                        <textarea class="form-control" name="site_meta_description" class="form-control" id="site_meta_description"><?= $configvar['SCHLIX_SITE_META_DESCRIPTION'] ?></textarea>
                    </label>

                    <!-- end body -->
                </div>
            </div>                
            <!-- ######### END CONFIG SECTION ########### --> 
        </div>
        <!-- end column -->            

    </div>
    <!-- row -->        
</div>
