<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $CurrentUser;

$was_new = false;

if ($id == 'new')
{
    $was_new = true;
    $id = $this->createBlankSite();    
    $item['permission_read'] = serialize('everyone');
}

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Edit Item') ?>" data-schlix-controller="SCHLIX.CMS.SiteManagerAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true" >
    <div class="content">
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="status" id="status" value="1" />
            <div class="row">
                <!-- col -->
                <div class="col-md-8">
                    <label for="title"><?= ___("Site Folder identifier - cannot be changed once it has been saved for the first time. Please use only alphanumeric characters with no space.") ?></label>
                <div class="input-group">                                                        
                    
                    <span class="input-group-addon"><i class="fa fa-bookmark"></i></span>
                        <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="20" class="form-control" required="required"   value="<?= ___h($item['title']) ?>" pattern="^[a-zA-Z][a-zA-Z0-9-_\.]{1,20}$" <?= (!$was_new) ? 'readonly' : '' ?> /> 

                </div>
                </div>
                <!-- col -->
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <br />
            <br />
            <!-- begin tabs -->
            <h3><i class="fa fa-cloud"></i> <?= ___('Website Addresses') ?></h3>
            <div class="content">
                <?php include ('edit.item.hosts.template.php') ?>
            </div>
            <div style="clear:both"><br />
            <h3><i class="fas fa-cog"></i> <?= ___('Configuration') ?></h3>
                <?php include ('edit.item.site.template.php') ?>            
 
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>
    