<?php
/**
 * Tag - Main admin view template
 * 
 * Tag Manager
 * 
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license Shared Source License
 *
 
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die();

$this->CSS('tag.admin.css');
$all_tags = $this->app->getAllTagsWithCount();
?>
<div class="schlix-explorer">
    <schlix-data-explorer-blank id="schlix-<?= $this->app->getApplicationNameOnly() ?>-admin" class="schlix-data-explorer"  data-schlix-controller="SCHLIX.CMS.TagAdminController" data-main-app-description="<?= $this->app->getApplicationDescription() ?>" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-model="<?= $this->getDataModelURL() ?>">

        <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- for mobile -->
            <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-<?= $this->app->getApplicationNameOnly() ?>-admin-toolbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <!-- end for mobile -->

            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-config" data-schlix-command="config" data-schlix-app-action="editconfig"  class="schlix-command-button"><i class="fas fa-cog"></i> <?= ___('Configuration') ?></a></li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </nav>
        <div class="content">
            
        <p><?= ___('There is no backend as all tags are generated automatically. You can, however, configure which apps can be searched by clicking configuration') ?></p>
        <?php if ($all_tags): ?>
            <?php foreach ($all_tags as $tag): ?>
        <a class="tag_word tag_size_<?= $tag['rank'] ?>" target="_blank" href="<?= $this->app->createFriendlyURL("action=viewcategory&cid={$tag[$this->field_category_id]}") ?>" data-toggle="tooltip" title="<?= $tag['total_item_count'].' '.___('articles') ?>"><?= ___h($tag['title']) ?></a>
            <?php endforeach ?>
        <?php endif ?>
        <!-- End Data Viewer -->
    </schlix-data-explorer-blank>
</div>

