<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $SystemConfig, $CurrentUser;

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() ?>"  data-schlix-controller="SCHLIX.CMS.ThemesAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">

        <form method="post" name="block_item_editor" id="frm_item_editor" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" autocomplete="off" >
            <?= \INPUT::CSRF() ?>
        <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />

            <div class="row">
                <div class="col-md-8">
                    
                    
                    <label>
                        <?= ___('Theme') ?><br>
                        <input name="title" type="text" class="form-control" value="<?= ___h($item['title']); ?>"  readonly="true" /></label> 
                        <br />
                        <div>
                        <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($item['status'] == 1 || $item['id'] == 'new') ?>" 
                                data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                data-text-yes="<?= ___S('Active & Published') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                        
                            
                        </div>


                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        

            <!-- end sidebar -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <div id="schlix_dualpane_editor_content">
                    <ul class="schlixui-tabheader">
                        <li class="selected"><a href="#tab_config"><em><?= ___('Options') ?></em></a></li>
                        <li><a href="#tab_about"><em><?= ___('About') ?></em></a></li>
                    </ul>
                    <div class="schlixui-tabcontent">
                        <!-- tab -->                        
                        <div id="tab_config">
                                <?php
                                $filename = get_system_or_user_file("/themes/{$item['title']}/config.template.php",false); // SCHLIX_SITE_PATH . "/admin;
                                if (file_exists($filename)) {
                                    $admin_language = SCHLIX_DEFAULT_LANGUAGE;
                                    if ($admin_language != 'en_us')
                                    {
                                        $language_filename = get_system_or_user_file("/themes/{$item['original_block']}/lang_{$admin_language}.php", FALSE); 
// SCHLIX_SITE_PATH . "/admin/blocks/{$item['original_block']}/lang_{$admin_language}.php";
                                        if (file_exists($language_filename))
                                            include_once($language_filename);
                                    }
                                    
                                    $block_config = new \SCHLIX\cmsConfigRegistry ('gk_theme_config');
                                    //$config = $block_config->get($this->app_name); // this is not necessary 
                                    ob_start();
                                    include_once ($filename);
                                    $block_config_html = ob_get_contents();
                                    ob_end_clean();
                                    echo $block_config->processConfigTags($item['title'], $block_config_html);
                                    
                                } else
                                    echo \__Html::P(___('This theme does not have a configuration file built-in:') . " {$item['title']}");
                                ?>
                            
                        </div>
                        
                        <!-- tab -->
                        <div id="tab_about">
                            <?php include('editorabout.template.php') ?>
                        </div>
                    </div>
                </div>
        </form>
    </div>
    </<schlix-data-editor>