<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;

$users_in_this_category = $this->app->getItemsByCategoryID($category['cid']);
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-editor-admin" class="schlix-data-editor" data-app="main" data-schlix-controller="SCHLIX.CMS.UsersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="id" data-desc="User Category Editor">
    <div class="content">
        <form id="frm_category_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=savecategory') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="cid" id="cid" value="<?= ___h($category['cid']) ?>" />            
            <input type="hidden" name="guid" id="guid" value="<?= ___h($category['guid']) ?>" />
            <div class="row">
                <div class="col-md-8">
                    <!-- Category Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Group Name") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="groupname" type="text" class="form-control"  size="49" maxlength="254" required="required"   value="<?= ___h($category['groupname']) ?>" <?php if ($category['groupname'] == 'Administrators') echo 'readonly' ?> /> 
                            <!-- version -->
                            <?php if ($category['version'] > 0): ?>
                                <span class="input-group-addon"><?= ___('Version') . ': ' .___h( $category['version']) ?></span>
                            <?php endif; ?>
                            <!-- end version -->
                            <!-- Status -->
                            <span class="input-group-addon">
                                <schlix-cms-document-status id="status" data-input-name="status" data-value="<?= ($category['status'] == 1 || $category[$this->field_category_id] == 'new') ?>" 
                                data-icon-yes="fa fa-check" data-icon-no="fa fa-times" data-color-yes="green" data-color-no="red" 
                                data-text-yes="<?= ___('Active') ?>" data-text-no="<?= ___('Inactive') ?>"></schlix-cms-document-status>
                            </span>
                        </div>
                    </div>
                    <!-- End Page Title -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <?php if ($category['groupname'] != 'Administrators'): ?>
                        <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                        <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <?php endif; ?>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>

            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected "><a href="#tab1"><em><?= ___('Users in this group') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab1">
                        <!-- tab 1 content -->
                        <?php if ($users_in_this_category): ?>
                            <h4><?= ___('List of users in this category'); ?></h4>
                            <ul class="list-unstyled">
                                <?php foreach ($users_in_this_category as $user): ?>
                                <li><i class="fa fa-user"></i> <a href="index.php?app=users&action=edititem&id=<?= (int) $user['id']; ?>"><?= ___h($user['username']) ?></a></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab --> 

                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>
