<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
global $CurrentUser;

$field_category_id = $this->app->getFieldCategoryID();

$is_existing_user = (intval($id) > 0);
$is_new_user = ($id === 'new');
$desc = $is_new_user ? ___('New User') : ___('Edit User');
$require_gender = $this->app->getConfig('bool_require_gender');
$require_dob = $this->app->getConfig('bool_require_dob');

$is_editing_current_user = $id == $CurrentUser->getCurrentUserID();

$status_readonly = $is_editing_current_user ? 'readonly="readonly"' : '';
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-editor-admin" class="schlix-data-editor" data-app="main" data-schlix-controller="SCHLIX.CMS.UsersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="id" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . $desc ?>">
    <div class="content">
        <form id="frm_item_editor" method="post" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
            <input type="hidden" name="category_id" value="<?= (int) $item['category_id'] ?>" />
            <input type="hidden" name="guid" id="guid" value="<?= ___h($item['guid']) ?>" />
            <?php if ($is_existing_user): ?>
                <input type="hidden"  name="original_email_address" id="original_email_address"  value="<?= ___h($item['email_address']); ?>" />            
            <?php endif ?>
            <div class="row">
                <div class="col-md-2">
                    <div class="form-group">
                        <label for="username" class=" control-label"><?= ___('Username') ?></label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user fa" ></i></span>
                            <?php if ($is_existing_user): ?>
                            <label class="form-control"><?= $item['username'] ?> </label>
                            <?php else: ?>
                            <input type="text" class="form-control" name="username" id="username"  placeholder="<?= ___('Enter the username') ?>" 
                                   value="<?= ___h($item['username']); ?>" required="required" pattern="^[a-zA-Z][a-zA-Z0-9-_]{5,63}$" title="Minimum 5 characters, maximum 63 characters, alphanumeric, underscores, and dash only"  />
                            <?php endif ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <!-- status -->
                    <div class="form-group">
                        <label class=" control-label"><?= ___('Status') ?></label><br />
                        <label class="radio-inline">
                            <input type="radio" class="confirm_status" id="status_inactive" name="status" value="0" <?= $status_readonly ?> <?= $item['status']==0 && !$is_new_user ? 'checked="checked"' : '' ?> required="required" /><i class="fa fa-times"></i>&nbsp;<?= ___('Inactive') ?>
                        </label>

                        <label class="radio-inline">
                            <input type="radio" class="confirm_status" id="status_requires_activation" name="status" value="<?= USER_REQUIRES_ACTIVATION ?>" <?= $status_readonly ?> <?= $item['status']== USER_REQUIRES_ACTIVATION ? 'checked="checked"' : '' ?> required="required" /><i class="fa fa-question"></i>&nbsp;<?= ___('Requires activation') ?>
                        </label>
                        <label class="radio-inline">
                            <input type="radio" class="confirm_status" id="status_active" name="status" value="<?= USER_ACTIVATED_IMMEDIATELY ?>" <?= $status_readonly ?> <?= $item['status']== USER_ACTIVATED_IMMEDIATELY ? 'checked="checked"' : '' ?> required="required"/><i class="fa fa-check"></i>&nbsp;<?= ___('Active') ?>
                        </label>
                    </div>
                    <!-- field -->
                    <?php if($is_new_user): ?>
                    <div class="form-group">
                        <div class="checkbox">
                            <label class="control-label"><input type="checkbox" name="notify_new_account" id="notify_new_account" value="1" checked="checked"  /><?= ___('Send the new user an email about this new account') ?></label>
                        </div>
                        
                    </div>
                    <?php endif ?>
                     <!-- end field -->


                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>
            <?php if ($is_new_user): ?>
            <Br />
            <div class="alert alert-info col-md-6">
                    <p class="small">
                        <?= ___('If the status is set to') ?>
                        <ul>
                            <li class="small"><?= ___('Active: an email with plaintext password will be sent') ?></li>
                            <li class="small"><?= ___('Requires Activation: an email with activation link will be sent and the user must click to verify its email address') ?></li>
                            <li class="small"><?= ___('Inactive: no email will be sent but the user will not be able to login') ?></li>
                        </ul>
                    </p>            
            </div>
            <?php endif ?>
            <!-- main -->
            <div class="clearboth"></div>
            <!-- end main section -->
            <?php
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastSaveResult()
            ///////////////////////////////
            ?>
            <br />
            <!-- begin tabs -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_user_info"><em><?= ___('User Information') ?></em></a></li>
                    <li><a href="#tab_user_bio"><em><?= ___('Short Bio and Picture') ?></em></a></li>
                    <li><a href="#tab_user_group"><em><?= ___('User Groups') ?></em></a></li>
                    <li><a href="#tab_dates"><em><?= ___('Dates') ?></em></a></li>
                    <li><a href="#tab_history"><em><?= ___('History') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <div id="tab_user_info">
                        <!-- tab 1 content -->
                        <div class="row">
                            <div class="col-md-4">
                                <div class="content">
                                    <!-- col -->
                                    <?php if ($is_existing_user): ?>
                                    <p><?= ___('Current e-mail address') ?>: <strong><?= ___h($item['email_address']) ?></strong></p>
                                        <div class="form-group" id="change_email_opt_div">
                                            <div class="checkbox">
                                                <label class="control-label"><input type="checkbox" name="change_email" id="change_email" value="1"  /><?= ___('Change Email') ?></label>
                                            </div>
                                        </div>
                                    <?php endif ?>       
                                    
                                    <div class="form-group" id="change_email_div" style="<?= $is_existing_user ? 'display:none' : 'display:block' ?>">
                                        <?php if ($is_existing_user): ?>
                                        <p><?= ___('Send an e-mail about the change to') ?></p>
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="notify_user_email_change_old_address" id="notify_user_email_change_old_address" value="1" checked="checked" /><?= sprintf(___('The old e-mail address %s'),___h($item['email_address'])) ?>
                                            </label>
                                        </div>
                                        
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="notify_user_email_change_new_address" id="notify_user_email_change_new_address" value="1" checked="checked" /><?= ___('The new e-mail address below') ?>
                                            </label>
                                        </div>
                                        
                                        <?php endif ?>
                                        
                                        <label for="email" class=" control-label"><?= ___('Enter and verify the email address') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-envelope fa" ></i></span>
                                            <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter email') ?>"  value="<?= ___h($item['email_address']); ?>" required="required" />
                                            <input type="email" class="form-control" name="email_address_verify" id="email_address_verify"  placeholder="<?= ___('Verify email') ?>"  value="<?= ___h($item['email_address']); ?>" required="required" />
                                        </div>
                                    </div>
                                    <!-- field -->
                                    <?php if ($is_existing_user): ?>
                                        <div class="form-group" id="change_password_opt_div">
                                            <div class="checkbox">
                                                <label class="control-label"><input type="checkbox" name="change_password" id="change_password" value="1"  /><?= ___('Change Password') ?></label>
                                            </div>
                                        </div>
                                    <?php endif ?>       
                                    <!-- field -->
                                    <div class="form-group" id="change_password_div" style="<?= $is_existing_user ? 'display:none' : 'display:block' ?>">
                                        <?php if ($is_existing_user): ?>
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" name="notify_user_password_change" id="notify_user_password_change" value="1" checked="checked" /><?= ___('Send the plain text password to the current email address') ?>
                                            </label>
                                        </div>
                                        <?php endif ?>
                                        <label for="password" class=" control-label"><?= ___('Enter and verify the password') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-lock fa-lg" ></i></span>
                                            <input type="password" class="form-control" name="password" id="password"  placeholder="<?= ___('Enter Password') ?>"  pattern=".{7,50}" <?= ($is_new_user) ? 'required="required"' : ''; ?> value="" />
                                            <input type="password" class="form-control" name="password_verify" id="confirm"  placeholder="<?= ___('Confirm Password') ?>"  <?= ($is_new_user) ? 'required="required"' : ''; ?> value="" />
                                        </div>
                                        <?php if ($is_existing_user): ?>
                                        <p><i class="fa fa-exclamation-triangle" style="color:orange"></i> <?= ___('Warning: It is recommended that you use the send password reset link button instead of emailing plain text password') ?></p>
                                        <!-- sendpwlink -->
                                        <button type="button" class="btn btn-info" id="btn_send_password_reset"><i class="fa fa-envelope"></i>&nbsp;<?= ___('Send password reset link') ?></button> to <strong><?= $item['email_address'] ?></strong>                                        
                                        <!-- end sendpwlink -->
                                        <?php endif ?>
                                    </div>
                                    <!-- field -->
                                    <!-- end col -->
                                </div>
                            </div>
                            <div class="col-md-4" >
                                <div class="content">
                                    <!-- content -->
                                    <!-- field -->
                                    <div class="form-group">
                                        <label for="name" class=" control-label"><?= ___S('First & Last Name') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-users fa" ></i></span>
                                            <input type="text" class="form-control" name="firstname" id="name"  placeholder="<?= ___('Enter first name') ?>"  value="<?= ___h($item['firstname']); ?>" required="required" />
                                            <input type="text" class="form-control" name="lastname" id="name"  placeholder="<?= ___('Enter last name') ?>" value="<?= ___h($item['lastname']); ?>" required="required" />
                                        </div>
                                    </div>
                                    <!-- field -->
                                    
                                    <!-- field -->
                                    <div class="form-group">
                                        <label for="name" class=" control-label"><?= ___('Display Name') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-user fa" ></i></span>
                                            <input type="text" class="form-control" name="display_name" id="display_name"  placeholder="<?= ___('Optional display name') ?>"  value="<?= ___h($item['display_name']); ?>" required="required" />
                                        </div>
                                    </div>
                                    <!-- field -->
                                    
                        
                                    <div class="form-group">
                                        <label for="dob_year" class=" control-label"><?= ___('Date of Birth') ?>&nbsp;(<?= $require_gender ? ___('required') : ___('optional') ?>) </label>
                                        <?= \INPUT::DatePicker('dob', $item['date_of_birth'], 1900, date('Y')) ?>
                                    </div>
                                    <!-- field -->
                                    <div class="form-group">
                                        <label class=" control-label"><?= ___('Gender') ?>&nbsp;(<?= $require_gender ? ___('required') : ___('optional') ?>)</label><br />

                                        <label class="radio-inline">
                                            <input type="radio" id="gender_male" name="gender" value="1" <?= $item['gender']==1 ? 'checked="checked"' : '' ?> <?= $require_gender ? 'required="required"' : '' ?> /><i class="fa fa-male"></i>&nbsp;<?= ___('Male') ?>
                                        </label>
                                        <label class="radio-inline">
                                            <input type="radio" id="gender_female" name="gender" value="2" <?= $item['gender']==2 ? 'checked="checked"' : '' ?> <?= $require_gender ? 'required="required"' : '' ?> /><i class="fa fa-female"></i>&nbsp;<?= ___('Female') ?>
                                        </label>
                                        <label class="radio-inline">
                                            <input type="radio" id="gender_unspecified" name="gender" value="0" <?= $item['gender']==3 ? 'checked="checked"' : '' ?> <?= $require_gender ? 'required="required"' : '' ?>/><?= ___('Unspecified') ?>
                                        </label>
                                    </div>
                                    
                                    <!-- end content -->
                                </div>
                            </div>
                        </div>
                        <!-- end tab 1 content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_user_bio">
                        <!-- tab content -->
                        <div class="row">
                            <div class="col-md-3">
                                
                                <div class="form-group">
                                    <?php if ($is_existing_user): ?>
                                    <p><a href="<?= $this->app->createFriendlyURL("action=viewitem&id={$id}") ?>" class="btn btn-success" target="_blank">
                                            <i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></p>
                                    <?php endif ?>
                                    
                                    <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Change avatar/picture") ?>
                                        <input  type="file" name="user_avatar" id="user_avatar" style="display:none" />
                                   </label>


                                    <br /><br />
                                        <label><?= ___('Avatar') ?></label><Br />
                                        <img src="<?= $this->app->getUserAvatarURLByExistingUserInfo($item, 'medium') ?>" id="preview_avatar"  style="max-width:256px;border:none" />
                                </div> 
                                
                            </div>
                            <div class="col-md-9">

                                <label for="summary"><?= ___('User Bio - Intro') ?></label>
                                <textarea class="wysiwyg form-control" name="summary" id="description"><?= ___h($item['summary']) ?></textarea>
                                
                                <label for="description"><?= ___('User Bio - Details') ?></label>                                
                                <textarea class="wysiwyg form-control" name="description" id="description"><?= ___h($item['description']) ?></textarea>
                                
                            </div>
                        </div>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    
                    <!-- tab -->
                    <div id="tab_user_group">
                        <!-- tab content -->

                        <?php include ('editorgroups.template.php') ?>
                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_dates">
                        <!-- tab content -->
                        <!-- date created -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_created"><?= ___('Created') ?></label>
                                <?= \INPUT::DateTimePicker('date_created', $item['date_created']); ?>
                            </div>
                        </div>
                        <!-- date modified -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_modified"><?= ___('Modified') ?></label>
                                <?= \INPUT::DateTimePicker('date_modified', $item['date_modified']); ?>
                            </div>
                        </div>

                        <!-- date available -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_available"><?= ___('Available on') ?></label>
                                <?= \INPUT::DateTimePicker('date_available', $item['date_available']); ?>
                            </div>
                        </div>

                        <!-- date expiry -->
                        <div class="row">
                            <div class="col-sm-2">
                                <label for="date_expiry"><?= ___('Expiry') ?></label>
                                <?= \INPUT::DateTimePicker('date_expiry', $item['date_expiry']); ?>
                            </div>
                        </div> 

                        <!-- end tab content -->
                    </div>
                    <!-- end tab -->
                    <!-- tab -->
                    <div id="tab_history">
                        <!-- tab content -->
                        <?php if ($is_existing_user) include ('editorhistory.template.php') ?>
                        <!-- end tab content -->
                    </div>

                    <!-- end tab -->
                </div>
                <!-- end tab content -->
            </div>
            <!-- end tabs -->
        </form>
    </div>
</schlix-data-editor>