<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;

$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';
?>
<div class="app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-activation_completed">
    <h1><?= ___('New User Activation'); ?></h1>
    <?php if ($activation_error): ?>
        <div class="alert alert-danger">
            <p><?= $activation_error ?></p>
        </div>
    <?php endif; ?>
    <form method="post" action="<?= $this->createFriendlyURL('action=activation'); ?>" name="activation" id="activation" enctype="multipart/form-data" autocomplete="off">
        <?= \INPUT::CSRF() ?>


        <input id="userid" name="userid" type="hidden" value="<?= ___h($userid); ?>" />
        <div class="row">
            <!-- col -->
            <div class="col-sm-6 col-md-4 ">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong> <?= ___('Activation') ?></strong>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-10  col-md-offset-1 ">

                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-lock"></i>
                                        </span>
                                        <input class="form-control" placeholder="<?= ___('Auth Code'); ?>" name="activation_string" type="text" value="<?= ___h($token) ?>" required="required">
                                    </div>
                                </div>


                                <?php if ($enable_captcha_user_activation): ?>
                                    <p class="text-center"><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>

                                    <div class="form-group">
                                        <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="far fa-hand-paper fa-lg" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= ___h($_POST['verification_code']); ?>" required="required" />
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div class="form-group">                                  

                                    <button type="submit" name="submit" class="btn btn-lg btn-success btn-block" value="Submit"><i class="fas fa-sign-in-alt"></i> <?= ___('Activate Account') ?></button>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer ">

                    </div>
                </div>
            </div>
            <!-- col -->
            <div class="col-sm-6 col-md-8 ">
                <?= $this->getConfig('str_account_activation_text') ?>
            </div>   
        </div>        
    </form>
</div>