<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();

global $HTMLHeader, $WYSIWYGEditor;
$HTMLHeader->JAVASCRIPT_SCHLIX_UI();
$HTMLHeader->JAVASCRIPT_SCHLIX_CMS();
$WYSIWYGEditor->runDefaultLimitedPrivilegeWysiwygEditor();
$this->JAVASCRIPT('users.js');

$fieldnames= array('email_address', 'display_name', 'firstname','lastname','email_address','date_of_birth','gender','summary','description');
$chk_userinfo = [];
foreach ($fieldnames as $field)
{
    $chk_userinfo[$field] = $_POST[$field] ? $_POST[$field] : $userinfo[$field];
}

if (fpost_int('dob_year') && fpost_int('dob_month') && fpost_int('dob_day'))
{
    $user_input_date = fpost_int('dob_year').'-'.str_pad(fpost_int('dob_month'),2,'0',STR_PAD_LEFT).'-'.str_pad(fpost_int('dob_day'),2,'0',STR_PAD_LEFT);
    $chk_userinfo['date_of_birth'] = $user_input_date;
} 
?>

<h1 class="title"><i class="fa fa-user"></i> <?= ___('Edit Profile') ?></h1>
<hr />

<div class="row">
    <div class="col-sm-12">
        
        <?php if (___c($error_list) > 0): ?>
            <!-- errors -->
            <div class="alert alert-danger">
                <?php foreach ($error_list as $error_str): ?>
                    <i class="fa fa-times"></i> <?= $error_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
        <?php if ($_SESSION['user_profile_update_status']): ?>
            <div class="alert alert-success">
                    <i class="fa fa-check"></i> <?= $_SESSION['user_profile_update_status'] ?><br />
            </div>
        <?php $_SESSION['user_profile_update_status'] = '' ?>
        <?php endif ?>
        <!-- content -->
        <?= $this->getConfig('str_myprofile_text') ?>
        <!-- end content -->
        
        
    </div>
</div>
<form method="post" action="<?= $this->createFriendlyURL('action=myprofile'); ?>" name="editprofile" id="editprofile" enctype="multipart/form-data" autocomplete="off">

<!-- row -->
<div class="row">
    <!-- col -->
    <div class="col-sm-6 col-md-4 ">
        <!-- col content -->
        <div class="panel panel-default">
            <div class="panel-heading">
                <strong> <?= ___('User Profile') ?></strong>
            </div>
            <div class="panel-body">
                <!-- form -->

                    <?= \INPUT::CSRF() ?>

                    <div class="main-profile">

                        <div class="form-group">
                            <label for="username" class=" control-label"><?= ___('Username') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-user fa" aria-hidden="true"></i></span>
                                <input type="text" class="form-control" name="n_" id="username"  placeholder="<?= ___('Enter your Username') ?>" value="<?= ___h($userinfo['username']); ?>" readonly="readonly" />
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="email" class=" control-label"><?= ___('Email') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                                <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter your Email') ?>"  value="<?= ___h($chk_userinfo['email_address']); ?>" required="required" />
                            </div>
                        </div>
                        

                        <div class="form-group">
                            <label for="name" class=" control-label"><?= ___S('First & Last Name') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-users fa" aria-hidden="true"></i></span>
                                <input type="text" class="form-control" name="firstname" id="firstname"  placeholder="<?= ___('Enter your first name') ?>"  value="<?= ___h($chk_userinfo['firstname']); ?>" required="required" />
                                <input type="text" class="form-control" name="lastname" id="lastname"  placeholder="<?= ___('Enter your last name') ?>" value="<?= ___h($chk_userinfo['lastname']); ?>" required="required" />
                            </div>
                        </div>
                        
                        <!-- field -->
                        <div class="form-group">
                            <label for="name" class=" control-label"><?= ___('Display Name') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-user fa" ></i></span>
                                <input type="text" class="form-control" name="display_name" id="display_name"  placeholder="<?= ___('Optional display name') ?>"  value="<?= ___h($chk_userinfo['display_name']); ?>" required="required" />
                            </div>
                        </div>
                        <!-- field -->
                        

                        <?php if ($this->getConfig('bool_require_dob')) : ?>
                        
                        <div class="form-group">
                            <label for="dob_year" class=" control-label"><?= ___('Date of Birth') ?></label>
                            <?= \INPUT::DatePicker('dob', $chk_userinfo['date_of_birth'], 1900, date('Y')) ?>
                        </div>
                        <?php endif ?>
                        
                        <?php if ($this->getConfig('bool_require_gender')) : ?>
                        <div class="form-group">
                            <label class=" control-label"><?= ___('Gender') ?></label><br />

                            <label class="radio-inline">
                                <input type="radio" id="gender_male" name="gender" value="1" <?= $chk_userinfo['gender']==1 ? 'checked="checked"' : '' ?> /><i class="fa fa-male"></i>&nbsp;<?= ___('Male') ?>
                            </label>
                            <label class="radio-inline">
                                <input type="radio" id="gender_female" name="gender" value="2" <?= $chk_userinfo['gender']==2 ? 'checked="checked"' : '' ?> /><i class="fa fa-female"></i>&nbsp;<?= ___('Female') ?>
                            </label>
                            <label class="radio-inline">
                                <input type="radio" id="gender_unspecified" name="gender" value="0" <?= $chk_userinfo['gender']==3 ? 'checked="checked"' : '' ?>/><?= ___('Unspecified') ?>
                            </label>
                        </div>
                        <?php endif ?>
                        <!-- pic -->
                                <div class="form-group">
                                    <?php if ($is_existing_user): ?>
                                    <p><a href="<?= $this->app->createFriendlyURL("action=viewitem&id={$id}") ?>" class="btn btn-success" target="_blank">
                                            <i class="fa fa-eye"></i>&nbsp;<?= ___('Preview') ?></a></p>
                                    <?php endif ?>
                                    
                                    <label class="btn btn-default btn-file"><i class="far fa-folder-open"></i> <?= ___("Change avatar/picture") ?>
                                        <input type="hidden" id="__max_file_size" name="MAX_FILE_SIZE" value="<?= min(get_real_max_upload_size(), 200000) ?>" />     
                                        <input  type="file" name="user_avatar" id="user_avatar" style="display:none" />
                                   </label>


                                    <br /><br />
                                        <label><?= ___('Avatar') ?></label><Br />
                                        <img src="<?= $this->getUserAvatarURLByExistingUserInfo($userinfo, 'medium') ?>" id="preview_avatar"  style="max-width:256px;border:none" />
                                </div> 
                        <!-- end pic -->
                        <div class="form-group ">
                            <button type="submit" name="submit" value="yes" class="btn btn-success btn-block login-button"><i class="fa fa-user"></i> <?= ___('Update') ?></button>
                        </div>
                    </div>               

                <!-- end form -->
            </div>
        </div>
        <!-- end col content -->
    </div>
    <!-- col -->
    <div class="col-sm-6 col-md-8   ">
        <!-- pic and bio -->
        <!-- bio -->
                                <label for="summary"><?= ___('User Bio - Intro') ?></label>
                                <textarea class="wysiwyg form-control" name="summary" id="summary"><?= ___h($chk_userinfo['summary']) ?></textarea>
                                
                                <label for="description"><?= ___('User Bio - Details') ?></label>                                
                                <textarea class="wysiwyg form-control" name="description" id="description"><?= ($chk_userinfo['description']) ?></textarea>
        
        <!-- end pic and bio -->
    </div>
</div>     

                </form>
