<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();
$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';

global $HTMLHeader;

$HTMLHeader->JAVASCRIPT_SCHLIX_UI();
$HTMLHeader->JAVASCRIPT_SCHLIX_CMS();
?>
<h1 class="title"><i class="fa fa-user"></i> <?= ___('Forgot your password?') ?></h1>
<hr />
<?php if ($display_forgot_password_form): ?>
    <div class="row">

        <form name="forgotpassword" method="post" action="<?= $this->createFriendlyURL('action=forgotpassword'); ?>" enctype="multipart/form-data" >
            <input name="login" type="hidden" value="login" >
            <?= \INPUT::CSRF() ?>

            <!-- col -->
            <div class="col-sm-6 col-md-4 ">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong> <?= ___('Password Recovery') ?></strong>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-10  col-md-offset-1 ">
                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="fa fa-user"></i>
                                        </span> 
                                        <input class="form-control" placeholder="<?= ___('E-mail') ?>" name="email" type="email" value="<?= ___h($_POST['email']) ?>" autofocus="1"  required="required">
                                    </div>
                                </div> 



                                <div class="form-group">
                                    <?php if ($this->getConfig('bool_enable_captcha_forgot_password')): ?>
                                        <p><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>
                                        <div class="form-group">
                                            <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="far fa-hand-paper fa-lg" aria-hidden="true"></i></span>
                                                <input type="text" class="form-control" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= ___h($_POST['verification_code']); ?>" required="required" />
                                            </div>
                                        </div>

                                    <?php endif ?>
                                    <button type="submit" name="submit" class="btn btn-warning btn-block" value="Submit"><i class="fas fa-sign-in-alt"></i> <?= ___('Send password recovery link') ?></button>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer ">
                        <a href="<?= $this->createFriendlyURL("action=login"); ?>"><i class="fas fa-sign-in-alt"></i> <?= ___('Login with an existing account'); ?></a>

                    </div>
                </div>
            </div>

        </form>
    <?php endif ?>        
    <!-- col -->
    <div class="col-sm-6 col-md-8 ">
        <?php if (___c($error_list) > 0): ?>
            <!-- errors -->
            <div class="alert alert-danger">
                <?php foreach ($error_list as $error_str): ?>
                    <i class="fa fa-times"></i> <?= $error_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
        <?php if (___c($success_list) > 0): ?>
            <!-- success -->
            <div class="alert alert-info">
                <?php foreach ($success_list as $success_str): ?>
                    <i class="fa fa-check"></i> <?= $success_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            

        <?= $this->getConfig('str_forgot_password_text') ?>
    </div>   
</div>