<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $app = 'versioning'; ?>
<div class="schlix-explorer" id="versioning-section">
    <schlix-data-explorer-list id="schlix-versioning-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>" data-schlix-controller="SCHLIX.CMS.VersioningAdmin" 
                               data-model="/admin/app/<?= $app ?>">

        
        <schlix-datasource>
            <custom-command data-default="action=getallitems"  data-replace-with="action=getitemversions&appname=<?= $app_name ?>&guid=<?= $guid ?>"></custom-command>
        </schlix-datasource>
        
        
       <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
            <!-- FIX - ADD TOOLBAR BUTTON PLEASE -->
            <div class="collapse navbar-collapse" schlix-id="toolbar">
                <ul class="nav navbar-nav">
                    <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>
                    <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh') ?></a></li>
                </ul> 
            </div><!-- /.navbar-collapse -->
        </nav>        
        <!-- Begin Data Viewer -->
        <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
            <div class="col-sm-12" schlix-id="right-column" >

                <schlix-data-table schlix-id="datanav-datatable" schlix-field-item-tile="description" >
                    <schlix-data-table-columns>
                        <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="this.formatDataTableCell_CheckBox" sortable="false"></schlix-data-table-column>
                        <schlix-data-table-column key="version" label="Version" formatter="string" sortable="true"></schlix-data-table-column>
                        <schlix-data-table-column key="date_created" label='<?= ___('Date Created') ?>' sortable="true" formatter="this.formatDataTableCell_Date" editor="new SCHLIX.CMS.DateCellEditor( {disableBtns:false})"></schlix-data-table-column>
                        <schlix-data-table-column key="guid" label="GUID" formatter="string"></schlix-data-table-column>
                        <schlix-data-table-column key="id" label="Action" hidden="false" sortable="false" formatter="SCHLIX.CMS.VersioningAdmin.formatAction"></schlix-data-table-column>

                    </schlix-data-table-columns>
                </schlix-data-table>                
                <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
            </div>
        </div>
        <!-- End Data Viewer -->
    </schlix-data-explorer-list>
</div>
<?php /*
<div class="schlix-cms-common-dialog" id="schlix-versioning-view" data-fixedcenter="true" data-visible="false" data-constraintoviewport="true" data-schlix-controller="SCHLIX.CMS.VersioningAdmin">    
<div class="panel-header">View item versions</div>
<div class="panel-body">
    <div id="schlix_versioning_view_item_content"></div>
</div>
</div> */ ?>