<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $SystemConfig, $CurrentUser;
$all_wysiwyg_profiles = \App\wysiwygEditors_Profiles::getAllWysiwygProfiles();

?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.WysiwygEditorsAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <?php 
            ///////////////////////////////
            // Display save error, if any
            $this->displayLastConfigSaveResult();
            ///////////////////////////////
        ?>        
        
        <!-- content -->
        <div class="row">
            <div class="col-md-8">
                <!-- config goes here -->

                <form method="post" action="<?= $this->createFriendlyAdminURL('action=saveconfig') ?>" autocomplete="off" >
                    <?= \INPUT::CSRF() ?>
                    
                    <!-- row -->
                    <h3><?= ___('Default WYSIWYG Editor Profiles') ?></h3>
                    <!-- row -->
                    <div class="row">
                        <div class="col-sm-6">
                            <schlix-config:dropdownlist class="form-control" config-key='int_default_full_privilege_wysiwyg_profile_id' label='<?=  ___('Full privilege (backend and frontend)') ?>'>
                            <?php foreach ($all_wysiwyg_profiles as $profile): ?>
                                <schlix-config:option value="<?= $profile['id'] ?>"><?= ___h('#'.$profile['id'].' '.$profile['editor_name'].': '.$profile['title'].' ('.$profile['virtual_filename'].')') ?> </schlix-config:option>
                            <?php endforeach ?>
                            </schlix-config:dropdownlist>
                            
                            <schlix-config:dropdownlist class="form-control" config-key='int_default_limited_privilege_wysiwyg_profile_id' label='<?=  ___('Limited privilege (frontend application)') ?>'>
                            <?php foreach ($all_wysiwyg_profiles as $profile): ?>
                                <schlix-config:option value="<?= $profile['id'] ?>"><?= ___h('#'.$profile['id'].' '.$profile['editor_name'].': '.$profile['title'].' ('.$profile['virtual_filename'].')') ?> </schlix-config:option>
                            <?php endforeach ?>
                            </schlix-config:dropdownlist>
                            
                        </div>
                    </div>
                    
                    <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label='<?= ___('Enable backend access for the following user groups') ?>' /> 
                    <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                </form>

                <!-- end config -->
            </div>
            <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
            </div>            
        </div>


        <!-- end content -->
    </div>
</schlix-data-editor>    
