<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $SystemConfig, $CurrentUser;

/*$editor_app_name =  '\\WysiwygEditor\\'.$item['title'];
$editor_app = new $editor_app_name();
$editor_app->ensureDefaultProfiles(); */
if ($id > 0)
{
    $editor_app_name =  '\\WysiwygEditor\\'.$item['title'];
    $editor_app = new $editor_app_name();
    $editor_app->ensureDefaultProfilesExist();
}
?>
<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() ?>"  data-schlix-controller="SCHLIX.CMS.WysiwygEditorsAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">

        <form method="post" name="block_item_editor" id="frm_item_editor" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" autocomplete="off" >
            <?= \INPUT::CSRF() ?>
        <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />

            <div class="row">
                <div class="col-md-8">
                    
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Editor") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" readonly="readonly" /> 
                            <!-- version -->

                        </div>
                    </div>
                    <!-- End Page Title -->


                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        
            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>

            <!-- end sidebar -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <div id="schlix_dualpane_editor_content">
                    <ul class="schlixui-tabheader">
                        <li class="selected"><a href="#tab_profiles"><em><?= ___('Profiles') ?></em></a></li>
                        <li><a href="#tab_permissions"><em><?= ___('Permissions') ?></em></a></li>
                    </ul>
                    <div class="schlixui-tabcontent">
                        <!-- tab -->
                        <div id="tab_profiles">
                        <!-- ############################################## -->
                        <!-- ################ choices ##################### -->
                        <!-- ############################################## -->
                        <schlix-data-explorer-list id="schlix-<?= $app ?>-profiles-admin" class="schlix-data-explorer-list" data-app="<?= $app ?>.profiles" data-schlix-controller="SCHLIX.CMS.WysiwygEditorsAdmin" data-model="<?= $this->getDataModelURL() ?>.profiles" >
                            <schlix-datasource>
                                <custom-command data-default="action=getallitems"  data-replace-with="action=getprofiles&id=<?= ___h($id) ?>"></custom-command>
                            </schlix-datasource>

                           <nav class="navbar navbar-default schlix-data-explorer-toolbar" role="navigation">
                                <!-- for mobile -->
                                <button type="button" class="navbar-toggle collapsed schlix-toolbar-toggle" data-toggle="collapse" data-target="#schlix-poll-choices-admin-toolbar">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                </button>
                                <!-- end for mobile -->

                                <div class="collapse navbar-collapse" schlix-id="toolbar">
                                    <ul class="nav navbar-nav">
                                        <li><a href="#" schlix-id="btn-new-item" data-schlix-command="new-item" data-schlix-app-action="newitem&editorname=<?= ___h($item['title']) ?>"  data-wysiwyg-editor-name="<?= ___h($item['title']) ?>" class="schlix-command-button"><i class="far fa-file-alt"></i> <?= ___('New Profile') ?></a></li>
                                        <li><a href="#" schlix-id="btn-delete" data-schlix-command="delete" class="schlix-command-button require-selected-items"><i class="far fa-trash-alt"></i> <?= ___('Delete') ?></a></li>                                        
                                        <li><a href="#" schlix-id="btn-refresh" data-schlix-command="refresh" class="schlix-command-button"><i class="fas fa-sync"></i> <?= ___('Refresh') ?></a></li>
                                    </ul> 
                                </div><!-- /.navbar-collapse -->
                            </nav>        
                            <!-- Begin Data Viewer -->
                            <div class="schlix-data-container row" schlix-id="main-data-container" style="margin:0">
                                <div class="col-sm-12" schlix-id="right-column" >
                                    <schlix-data-table schlix-id="datanav-datatable" schlix-field-item-tile="hostname">
                                        <schlix-data-table-columns>
                                            <schlix-data-table-column key="check" label="this.getSelectAllCheckboxTableHeader()" formatter="SCHLIX.CMS.WysiwygEditorsAdmin.formatProfile_CheckBox" sortable="false" />
                                            
                                            <schlix-data-table-column key="id" label="#" hidden="false" sortable="true"></schlix-data-table-column>
                                            <schlix-data-table-column key="title" label="Profile Name" hidden="false" sortable="false" formatter="SCHLIX.CMS.WysiwygEditorsAdmin.formatDataTableCell_ProfileTitleColumn"></schlix-data-table-column>
                                            <schlix-data-table-column key="virtual_filename" label="Profile Short Name" hidden="false" sortable="true" formatter="string" ></schlix-data-table-column>
                                            <schlix-data-table-column key="is_system" label="Is System" hidden="false" sortable="true" formatter="string"></schlix-data-table-column>
                                            <schlix-data-table-column key="date_created" label="Date Created" hidden="false" sortable="true" formatter="string"></schlix-data-table-column>
                                            <schlix-data-table-column key="date_modified" label="Date Modified" hidden="false" sortable="true" formatter="string"></schlix-data-table-column>                                            
                                        </schlix-data-table-columns>
                                    </schlix-data-table>                
                                    <div schlix-id="datanav-paginator" class="schlixui-pg-container"></div>
                                </div>
                            </div>
                            <!-- End Data Viewer -->
                        </schlix-data-explorer-list>        
                        <!-- ############################################## -->
                        <!-- ##################### end choices ########### -->
                        <!-- ############################################## -->
                            
                        </div>
                        <!-- tab -->
                        <div id="tab_permissions">
                            <fieldset id="fieldset_permission_read">
                                <legend><?= ___('Who can use this WYSIWYG Editor?') ?></legend>
                                    <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                            </fieldset>

                        </div>
                    </div>
                </div>
        </form>
    </div>
    </<schlix-data-editor>