<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

global $SystemConfig, $CurrentUser, $WYSIWYGEditor;

if ((int) $id > 0)
{
    $editor_name = \App\wysiwygEditors_Profiles::getClassNameByProfileID($id);
    
} else
{
    $editor = $WYSIWYGEditor->getWysiwygEditorByName(fget_string('editorname'));
    if ($editor)
        $editor_name = $editor['title'];
    else die('Editor not found');
}
?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription().': '.___('Edit Item') ?>"  data-schlix-controller="SCHLIX.CMS.WysiwygEditorsProfilesAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">
    <div class="content">
        <form method="post" name="wysiwyg_item_editor" id="wysiwyg_item_editor_form" action="<?= $this->createFriendlyAdminURL('action=saveitem') ?>" enctype="multipart/form-data" autocomplete="off" >
            <?= \INPUT::CSRF() ?>
        <input type="hidden" name="id" id="id" value="<?= ___h($id) ?>" />
        <input type="hidden" name="wysiwyg_editor_name" id="wysiwyg_editor_name" value="<?= $editor_name; ?>" />

            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <!-- Page Title -->
                    <div class="form-group">
                        <label for="title"><?= ___("Profile Name") ?></label>
                        <div class="input-group">
                             <!-- title -->
                             <input name="title" id="title" type="text" class="form-control"  size="49" maxlength="254"  required="required"   value="<?= ___h($item['title']) ?>" <?= $item['is_system'] ? 'readonly="readonly"' : '' ?> /> 
                            <!-- version -->
                            <?php if ($item['version'] > 0): ?>
                                <span class="input-group-addon">
                                    <?= ___('Version') . ': ' .___h($item['version']) ?>
                                </span>
                            <?php endif; ?>
                            <?php if ($item['is_system']): ?>
                                <span class="input-group-addon">
                                    <?= ___('System Profile'); ?>
                                </span>
                            <?php endif; ?>                            
                            <!-- end version -->

                        </div>
                    </div>
                    <!-- End Page Title -->
                    <!-- Virtual Filename -->
                    <div class="form-group">
                        <label for="virtual_filename"><?= ___('Profile Short Code Name'); ?></label>                
                        <div class="input-group">
                            <input name="virtual_filename" size="49" maxlength="255" id="virtual_filename" class="form-control" type="text" value="<?= ___h($item['virtual_filename']); ?>" <?= $item['is_system'] ? 'readonly="readonly"' : '' ?> />
                        </div>                              
                    </div>
                    <!-- END Virtual Filename -->
                    
                    
                </div>
                <div class="col-md-4 col-lg-4 text-right" schlix-id="data-editor-toolbar">
                        <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                        <button type="submit" class="btn btn-info schlix-command-button" data-schlix-command="apply-item" name="btn_save"><i class="far fa-caret-square-right"></i> <?= ___('Apply'); ?></button>
                        <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                    
                </div>            
            </div>


            <?php 
                ///////////////////////////////
                // Display save error, if any
                $this->displayLastSaveResult() 
                ///////////////////////////////
            ?>
            
            <!-- end sidebar -->
            <div id="schlix_editor_main_content" class="schlixui-tabcontainer">
                <div id="schlix_dualpane_editor_content">
                    <ul class="schlixui-tabheader">
                        <li class="selected"><a href="#tab1"><em><?= ___('Editor Configuration') ?></em></a></li>
                        <li><a href="#tab2"><em><?= ___('Permissions') ?></em></a></li>
                        
                    </ul>
                    <div class="schlixui-tabcontent">
                        <div id="tab1">
                            <div class="schlix_editor_main">
                                <?=  \SCHLIX\cmsConfigRegistry::loadConfigFile('wysiwygeditors', $item, $editor_name, $item['virtual_filename']);  ?>
                                <br />
                                <br />
                            </div>
                        </div> <!-- end tab -->

                        <div id="tab2">
                            <fieldset id="fieldset_permission_read">
                                <legend><?= ___('Who can read this page?'); ?></legend>
                                <?= \INPUT::UserGroupReadPermissionCheckboxGroup('read', $item['permission_read']) ?>
                            </fieldset>
                            <fieldset id="fieldset_permission_write">
                                <legend><?= ___('Who can modify this page?') ?></legend>
                                <?= \INPUT::UserGroupWritePermissionCheckboxGroup('write', $item['permission_write'], $CurrentUser->getCurrentUserGroupIDs(), false) ?>
                            </fieldset>
                            
                        </div> <!-- end tab -->
 
                        <!-- end tab -->                        

                    </div>
                </div>
            </div>

        </form>
    </div>    
</schlix-data-editor>
