<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

namespace App;

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
class wysiwygEditors_Admin extends \SCHLIX\cmsAdmin_PluginsManager {

//_________________________________________________________________________//
    public function __construct() {
        // Data: Item
        parent::__construct('wysiwygeditors');
    }

//_________________________________________________________________________//
    public function ajaxGetAllItems($start = 0, $end = 0, $sortby = '', $sortdirection = 'ASC') {
        $this->checkForUnregisteredItems(); // Experimental
        return parent::ajaxGetAllItems($start, $end, $sortby, $sortdirection);
    }
            
    //_________________________________________________________________________//
    public function ajaxSetDefaultEditor($mode, $id) {
        $retval = $this->app->setDefaultWYSIWYG($mode, $id);
        return ajax_reply(200, $retval);
    }

    //_________________________________________________________________________//
    public function Install() {

        $zipfile = $_FILES['zipfileupload'];
        if (is_array($zipfile)) {
            if ($zipfile['error'] == 0 && $zipfile['size'] > 0) {
                $zip = new \PclZip($zipfile['tmp_name']);
                if ($zip->extract(PCLZIP_OPT_PATH, SCHLIX_SITE_PATH . '/templates/') == 0) {
                    display_schlix_alert("There was a problem. Please try again!");
                } else {
                    $this->returnToMainAdminApplication();
                }
            }
        }
        return false;
    }

    //_________________________________________________________________________//
    public function ajaxGetDefaultWYSIWYGID() {
        $response = [];
        $response['frontend'] = $this->app->getDefaultWYSIWYGID('frontend');
        $response['backend'] = $this->app->getDefaultWYSIWYGID('backend');
        return ajax_reply(200, $response);
    }

    //_________________________________________________________________________//
    public function Run() {
        switch (fget_alphanumeric('action')) {
            case 'setdefaultwysiwyg':
                return ajax_echo($this->ajaxSetDefaultEditor($_POST['mode'], $_POST['id']));
                break;
            case 'getdefaultwysiwyg':
                return ajax_echo($this->ajaxGetDefaultWYSIWYGID());
                break;
            default: return parent::Run();
        }
    }

}

?>