<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

namespace Block;

class Menus extends \SCHLIX\cmsBlock
{
    static $li_submenu_icon = '';

    public function Run()
    {

        $my_menu = new \App\Menus();

        $menu_id = intval($this->config['int_menu_id']);
        self::$li_submenu_icon = $this->config['str_submenu_icon'];
        $css_prefix = $this->config['str_custom_css_class'];
        $output = $my_menu->displayMenuByCategoryID($menu_id, '\Block\menus::frontendCustomDisplayMenu', false, $this->block_name, $css_prefix);
        echo $output;
    }

    public static function frontendCustomDisplayMenu($item, $has_submenu = false)
    {
        if (SCHLIX_SEF_ENABLED)
            $menu_link = $item['sefurl'];
        else {
            switch ($item['application'])
            {
                case 'home':$menu_link = SCHLIX_SITE_HTTPBASE . $item['internalurl'];
                    break;
                case 'menu_divider': return '<hr class="submenu_divider" />';
                case 'external_link': $menu_link = $item['internalurl'];
                    break;
                default: $menu_link = "index.php?{$item['internalurl']}";
            }
        }
        if ($item['application'] === 'menu_divider')
            return '<hr class="submenu_divider" />';
        $font_icon = strip_tags(trim($item['font_icon']));
        $menu_title = $original_menu_title = ___h($item['title']);
        if ($font_icon)
        {
            $font_icon_tag = '<i class="'.$font_icon.'"></i>';
            $menu_title = $item['use_font_icon_only_no_text'] ? $font_icon_tag : $font_icon_tag.' '.$menu_title;
        }
        
        $the_target = '';
        if ($item['open_in_new_window'] == 1)
            $the_target = '_blank';
        if (SCHLIX_SITE_SSL_ENABLED && $item['ssl_state'] == 2)
            $menu_link = SCHLIX_SITE_HTTPS_URL . $menu_link;
        else
        if ($item['ssl_state'] == 1)
            $menu_link = SCHLIX_SITE_HTTP_URL . $menu_link;
        $attributes = array();
        if ($has_submenu) {
            $attributes['class'] = "dropdown-toggle";
            $attributes['data-toggle'] = "dropdown";
        }
        $attributes['id'] = 'block_'.alpha_numeric_only($item['_block_name'])."_id-{$item['id']}";
        $attributes['target'] = $the_target;
        $attributes['title'] = $original_menu_title;
        $attributes['data-hassubmenu'] = $has_submenu;
        $icon = self::$li_submenu_icon;
        $font_css = $icon ? " <i class=\"{$icon}\"></i>" : '';
        $submenu_icon = $has_submenu ? $font_css : "";
        $display = \__Html::A($menu_title . $submenu_icon, $menu_link, $attributes);

        return $display;
    }

} 