<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php global $SystemConfig, $CurrentUser; ?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ': ' . ___('Configuration') ?>"  data-schlix-controller="<?= $this->javascript_controller_class ?>" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">

    <!-- end sidebar -->
    <div class="content">
        <form method="post" action="<?= $this->createFriendlyAdminURL("action=saveconfig") ?>" autocomplete="off" >

            <div class="row">
                <div class="col-md-8">
                    <!-- -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        


            <?= \INPUT::CSRF() ?>

            <!-- begin tabs -->
            <div class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li  class="selected"><a href="#tab1"><em><?= ___('Application Configuration') ?></em></a></li>                
                    <li><a href="#tab2"><em><?= ___('Permissions') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <!-- tab -->
                    <div id="tab1">
                        <!--config -->
                        <schlix-config:app_alias class="form-control" />
                        <schlix-config:app_description class="form-control" />
                        <schlix-config:textbox config-key='str_meta_keywords' label='<?= ___('Default Meta Keywords') ?>' class="form-control" />
                        <schlix-config:textbox config-key='str_meta_description' label='<?= ___('Default Meta Description') ?>' class="form-control" />


                        <!-- end config -->
                    </div>
                    <!-- tab -->
                    <div id="tab2">
                        
                        <schlix-config:permission-usergroups config-key="array_groups_allowed_for_backend_access" label="<?=  ___('Enable backend access for the following user groups') ?>" />

                        <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                    </div>
                </div>
            </div>
            <br />
        </form>
    </div>
</schlix-data-editor>