<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');

$___initial_memory = memory_get_usage();
$___initial_memory_peak = memory_get_peak_usage();
$third_party_apps = \App\Admin::get3rdPartyApplicationList();
global $CurrentUser, $Application;

$last_10_logs = \App\logViewer::getLastLog(10);
$log_count = ___c($last_10_logs);
 
$current_user_info = $CurrentUser->getCurrentUserInfo();
?>
<?php define('ADMIN_THEME_URL_PATH', SCHLIX_SITE_HTTPBASE . '/system/themes/admindefault') ?>
<!DOCTYPE html>
<html>
    <head>
        <?php include('header.template.php'); ?>
    </head>  
    <body role="application" >
        <div id="global-busy-indicator" class="busy-indicator-2" style="display:none"></div>
        
        <div class="wrapper" id="schlix-cms-main-wrapper">

            <!-- Main Header -->
            <header class="main-header" id="top-schlix-header">

                <!-- Logo -->
                <a href="<?= SCHLIX_SITE_HTTPBASE ?>/admin/" class="logo">
                    <!-- mini logo for sidebar mini 50x50 pixels -->
                    <img src="<?= SCHLIX_SITE_HTTPBASE; ?>/system/themes/admindefault/images/schlix_darkbg_logo_v2_32.png" alt="SCHLIX CMS" title="Main" id="schlix-admin-logo" />
                </a>

                <!-- Header Navbar -->
                <nav class="navbar navbar-static-top" role="navigation" id="top-schlix-navigation">
                    <!-- Sidebar toggle button-->
                    <a href="#" class="sidebar-toggle" data-toggle="sidebar" role="button">
                        <span class="sr-only">Toggle navigation</span>
                    </a>
                    <h3 class="navbar-text" id="main-app-description"></h3>
                    
                    <div class="navbar-custom-menu" id="top-schlix-right-menu">
                        <ul class="nav navbar-nav">

                            <!-- Notifications  -->
                            <li class="dropdown notifications-menu">
                                <!-- Menu toggle  -->
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                    <i class="fas fa-tv"></i>
                                    <span class="label label-warning"><?= $log_count ?></span>
                                </a>
                                <ul class="dropdown-menu">
                                    <li class="header"><?= sprintf(___('Last %s log entries'), $log_count) ?></li>
                                    <li>
                                        <!-- Inner Menu: contains the notifications -->
                                        <ul class="menu">
                                            <?php foreach ($last_10_logs as $log): ?>
                                                <li><!-- start notification -->
                                                    <a href="javascript:void(0)">
                                                        <i class="fas fa-tv text-aqua"></i>&nbsp;<span><?= ___h($log['description']) ?></span>
                                                            <div class="small pull-right"><i class="far fa-clock"></i>&nbsp;<span><?= $log['date_created'] ?></span></div>
                                                    </a>
                                                </li><!-- end notification -->
                                            <?php endforeach; ?>
                                        </ul>
                                    </li>
                                    <li class="footer"><a href="<?= \App\Admin::getAdminApp('logviewer') ?>"><?= ___('View all') ?></a></li>
                                </ul>
                            </li>




                            <!-- User Account Menu -->
                            <li class="dropdown user user-menu">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">

                                    <span>
                                        <?php if ($current_user_info['avatar']): ?>
                                            <?php
                                            $avatar_small = $CurrentUser->getDataFileURLPath('avatar_small', $current_user_info['avatar']);
                                            ?>
                                        <img src="<?= $avatar_small ?>" id="user_avatar_img_tiny" class="current-user-avatar-tiny" alt="<?= ___h($current_user_info['username']) ?>"  />
                                        <?php else: ?>
                                        <i class="fa fa-user"></i>
                                        <?php endif ?>
                                        <?= ___h($current_user_info['username']) ?>&nbsp;</span>
                                </a>
                                <ul class="dropdown-menu">
                                    <!-- User image -->
                                    <li class="user-header">
                                        <?php if ($current_user_info['avatar']): ?>
                                            <?php
                                            $avatar_small = $CurrentUser->getDataFileURLPath('avatar_medium', $current_user_info['avatar']);
                                            ?>
                                        <img src="<?= $avatar_small ?>" id="user_avatar_img_small" class="current-user-avatar-small"   alt="<?= ___h($current_user_info['username']) ?>" />
                                        <?php else: ?>

                                        <span class="fa-stack fa-4x">
                                            <i class="far fa-circle fa-stack-2x"></i>
                                            <i class="fa fa-user fa-stack-1x"></i>
                                        </span>                                        
                                        <?php endif ?>
                                        <p>
                                            <?= ___h($current_user_info['username']) ?>
                                            <small><?= ___('Logged in') ?>&nbsp;<?= time_since($_SESSION['logged_in_since']) ?>&nbsp;<?= ___('ago') ?></small>
                                        </p>
                                    </li>
                                    <!-- Menu Body -->
                                    <!-- Menu Footer-->
                                    <li class="user-footer">
                                        <div class="pull-left">
                                            <a href="<?= \App\Admin::getAdminApp('users') . "?action=edititem&id=" . $CurrentUser->getCurrentUserID() ?>" class="btn btn-primary btn-flat"><i class="far fa-user-circle"></i> <?= ___('Profile') ?></a>
                                        </div>
                                        <div class="pull-right">
                                            <a href="<?= SCHLIX_SITE_HTTPBASE . '/' . get_application_alias('admin') ?>/logout" class="btn btn-danger"><i class="fas fa-sign-out-alt"></i> <?= ___('Logout') ?></a>
                                        </div>
                                    </li>
                                </ul>
                            </li> 
                        </ul>
                    </div>
                </nav>
            </header>

            <aside class="main-sidebar" id="top-schlix-aside">
                <section class="sidebar" id="top-schlix-sidebar">
                    <?= \App\Admin::renderBackendMenu() ?>
                </section>
            </aside>

            <div class="content-wrapper" id="schlix-content-wrapper">
                <!-- Main content -->
                <section class="main-content">
                    <!-- Your Page Content Here -->
                    <div id="schlixadminmain" >
                        <!-- ######################################### -->
                        <!-- ######################################### -->
                        <!-- ######################################### -->
                        <?= \SCHLIX\cmsPageOutput::ApplicationBody(); ?>
                        <!-- ######################################### -->
                        <!-- ######################################### -->
                        <!-- ######################################### -->
                    </div>

                </section><!-- /.content -->
            </div><!-- /.content-wrapper -->

            <!-- Main Footer -->
            <div class="clearfix footer-filler"></div>
            <footer id="main-schlix-footer" >
                <div class="row">
                    <div class="col-sm-8 text-left"><i class="fas fa-external-link-alt"></i>  <a href="<?= SCHLIX_SITE_URL . SCHLIX_SITE_HTTPBASE . '/' ?>" target="_blank"><?= ___h(SCHLIX_SITE_NAME) ?></a></div>
                    <div class="col-sm-4  text-right"><a href="https://www.schlix.com/documentation/" target="_blank">SCHLIX CMS</a> v<?= SCHLIX_VERSION ?></div>
                </div>
            </footer>

        </div><!-- ./wrapper -->

    </body>
</html>
