<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die('No Access');

global $CurrentUser;
global $ViewData;
if (!is_array($ViewData['latest_blog_all']))
    $ViewData['latest_blog_all'] = array()
    ?>

<div id="<?= $this->block_name; ?>" class="frontpage-latestblog col-xs-12">
    <h3 class="frontpage-latestblog-category-title"><?= $block_title; ?></h3>
    <ul class="hexgrid">

        <?php for ($i = 0; $i < $max_entries; $i++): ?>
            <?php
            $item = $items[$i];
            $entry = $item['date_created'];
            // you can customize your own stuff here
            $link = $blog->createFriendlyURL("action=viewitem&id={$item['id']}");
            $entrydate = date("j.M.Y", strtotime($item['date_created']));
            $entrytitle = $item['title'];
            /* <li><?= $entrydate; ?><br /><a href="<?= $link; ?>"><?= ___h($entrytitle); ?></a></li> */

            $secondary_headline = $item['summary_secondary_headline'] ? $item['summary_secondary_headline'] : mb_substr(strip_tags($item['summary']), 0, 255, 'UTF-8') . '...';
            if ($item['summary_secondary_headline']) {
                $secondary_headline = $item['summary_secondary_headline'];
            } else {
                $article_summary = strip_tags($item['summary']);
                $max_string_length = 100;
                $article_summary_space_position = mb_strpos($article_summary, ' ', $max_string_length - 5);
                if ($article_summary_space_position == 0 || $article_summary_space_position > $max_string_length)
                    $article_summary_space_position = $max_string_length;
                $secondary_headline = mb_substr($article_summary, 0, $article_summary_space_position, 'UTF-8');
            }

            $thumb_filename = $item['summary_intro_image'] ? $blog->getDataFileURLPath('image_small', $item['summary_intro_image']) : '';
            ?> 


            <?php if ($item['status'] == 1 && $CurrentUser->hasReadPermission($item['permission_read']) && ( $item['date_expiry'] == '0000-00-00 00:00:00' || days_difference_from_today($item['date_expiry']) > 0 )): ?>
            <!-- begin hex -->
                <li class="hex">
                    <div class="hexin">
                        <a class="hexhref" href="<?= $link ?>" 
                        <?php if ($thumb_filename): ?>
                               style="background-image:url(<?= $thumb_filename ?>)"
                           <?php endif ?> >

                            <h4><?= ___h($entrytitle) ?></h4>
                            <p><?= $secondary_headline ?></p>
                        </a>
                    </div>
                </li> 
                <!-- end hex -->
            <?php endif; ?>
        <?php endfor; ?>
    </ul>
</div>