<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');

 $config = $this->config;
 $css_class = $config['str_created_by_css_class'] ? $config['str_created_by_css_class'] : 'article-meta-created-by';
 
 $user_display_name = $user['display_name'] ? $user['display_name'] : $user['firstname'].' '.$user['lastname'];
 $user_profile_link = $config['bool_created_by_display_link'] ? $CurrentUser->createFriendlyURL("action=viewitem&id={$user['id']}") : '';
?>
<?php if ($config['bool_created_by_display_avatar']): ?>
<div class="<?= ___h($css_class) ?>">
    <div class="row">
        <div class="col-xs-2">
            
            <?php if ($config['bool_created_by_display_link']) : ?> 
                <a class="user-profile-link" href="<?= $user_profile_link ?>"><img class="user-article-avatar" src="<?= $CurrentUser->getUserAvatarURLByExistingUserInfo($user, 'large') ?>" id="avatar"  align="top"  /></a>
            <?php else: ?>
                <img class="user-article-avatar" src="<?= $CurrentUser->getUserAvatarURLByExistingUserInfo($user, 'large') ?>" id="avatar"  align="top"  />
            <?php endif ?>
            
        </div>
        <div class="col-xs-10">
            <div class="user-displayname">
                <?= ___('written by') ?>: 
                <?php if ($config['bool_created_by_display_link']) : ?> 
                    <a href="<?= $user_profile_link ?>"><?= ___h($user_display_name) ?></a>
                <?php else: ?>
                    <?= ___h($user_display_name) ?>
                <?php endif ?>
                
            </div>
            <div class="user-intro"><?= $user['summary'] ?></div>
        </div>
    </div>
</div>
<?php else: ?>
<address class="<?= ___h($css_class) ?>">
    <span class="prefix"><?= $config['str_created_by_prefix'] ?></span> <span class="date"><?= date($date_format, $date) ?></span>
    <?php if ($config['bool_created_by_display_link']) : ?> 
        <a href="<?= $user_profile_link ?>"><?= ___h($user_display_name) ?></a>
    <?php else: ?>
        <?= ___h($user_display_name) ?>
    <?php endif ?>
</address>
<?php endif ?>